# Release version 5.0.20171.551 - 03/27/2017

## C1.Silverlight.Maps

### Breaking changes

- The SOAP Services will be retired on June 30, 2017. We updated to use REST service in C1Maps component. (TFS-239591)
  Please refer to the following links:
  https://blogs.bing.com/maps/June-2016/Bing-Maps-V8-Web-Control-Released
  https://www.microsoft.com/maps/discon-control-migrat-guide.aspx

# Release version 5.0.20163.535 - 11/28/2016

## C1.Silverlight.PdfViewer

### Bug Fixes

- C1PdfViewer does not displays the attached pdf files and becomes blank.(TFS-218148)

# Release version 5.0.20162.516 - 06/27/2016

## C1.Silverlight.DataGrid

### Bug fixes

- Fixed the issue that C1Datagrid RowHeaderPresenter creates a lot of MouseEventHandler. (Tfs 193437)

## C1.Silverlight.PdfViewer

### Bug Fixes

- Fixed the issue that Pdf document does not rendered correctly in C1PdfViewer.(TFS-145389)

# Release version 5.0.20161.507 - 04/23/2016

## C1.Silverlight.Olap

### Improvements

- Provide feature for custom sort for column headers and row
  headers. (TFS-136783)

## C1.Silverlight.PdfViewer

### Bug Fixes

- Fixed the issue that the image is not rendered in correct in C1PdfViewer. (TFS-150539)
- Fixed the issue that loading PDF file created via C1PDFDocument has long
  delay when running on a mac. (TFS-152215)

### Improvements:

- Changed the search behavior. Search only starts at pressing Enter
  key in the search box. Pressing Escape key cancels long search operation.

# Release version 5.0.20161.506 - 04/01/2016

## C1.Silverlight.Docking

### Bug Fixes:

- [C1DockControl] Fixed the issue that center indicator of Docking panel
  is not visible when we drag a C1DockTabItem towards center. (TFS-150076)

## C1.Silverlight.PdfViewer

### Bug Fixes

- Fixed the issue that application freezes when enter any text in the
  Find TextBox for the first time with large pdf file. (TFS-149611)

## C1.Silverlight.RichTextBox

### Improvements:

- AutoFormatHyperlinks is used to indicate whether url strings would be converted
  to hyperlink when the user presses the ENTER or SPACE key.(TFS-146369)

# Release version 5.0.20161.504 - 03/14/2016

## C1.Silverlight.Chart3D

### Bug fixes

- Fixed the issue that PointToData() method does not appear to work on a second
  surface.(TFS-118254)

## C1.Silverlight.DataGrid

### Bug fixes

- Improved performance at changing rows visibility
  (http://our.componentone.com/groups/topic/massive-c1datagrid-row-visibility-performance-issues/).

## C1.Silverlight.FlexGrid

### Bug Fixes

- Fixed the issue that System.Argument exception is thrown when we disable
  the scrollbars and resize the C1FlexGrid.(TFS-147602)

## C1.Silverlight.OutlookBar

### Bug fixes

- Fixed the issue that "Hide additional button" is not dim state from
  customize buttons menu when C1OutlookBar is empty.(TFS-29926)
- Fixed the issue that outlook item is not hidden when clicking "Show Fewer Buttons"
  at the first time.(TFS-33194)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that text alignment of cell content is not retained as in
  original while the nested table is copied and pasted.(TFS-144929)

## C1.Silverlight.RichTextBox.Toolbar

### Bug fixes:

- Fixed the issue that OBJ is shown as Text in Hyperlink dialogbox when add
  hyperlink for image.(TFS-23464)

# Release version 5.0.20161.503 - 03/01/2016

## C1.Silverlight.PdfViewer

### Bug Fixes

- Fixed the issue that while selecting the text in C1PDFViwer, all of
  contents in that pages are lost absolutely. (TFS-146976)

# Release version 5.0.20161.502 - 02/23/2016

## C1.Silverlight.DataGrid.OpenRia

### Improvements

- First release.

## C1.Silverlight.DateTime

### Bug Fixes

- added validation of DisplayDate property at DisplayDateEnd and DisplayDateStart property changes. (Tfs 144704).

## C1.Silverlight.Excel

### Bug fixes

- Excel file does not exported correctly while exporting the styles and merging the
  cells of C1Excel. (TFS:144689)

## C1.Silverlight.FlexGrid

### Bug Fixes

- Honor culture settings when pasting from clipboard (TFS-139040).

## C1.Silverlight.Gauge

### Bug Fixes:

- Request to set default value for "FontFamily" in C1Gauge.Decorators.C1GaugeLabel property. (TFS-32018)

# Release version 5.0.20161.501 - 02/03/2016

## C1.Silverlight.DataGrid

### Improvements

- Added support for vertical scrollbar commands ScrollHere, ScrollToTop, ScrollToBottom (Tfs 143124).

## C1.Silverlight.Docking

### Bug Fixes:

- [C1DockControl] Fixed the issue that exception throws when save or load
  method is excuted if property is bound. (TFS-142200)

## C1.Silverlight.Excel

### Bug fixes

- "Invalid Excel OpenXml file (*.xlsx)" exception is thrown while Importing
  an Excel(.xlsx) file generated using Altova Mapforce or Telerik
  SpreadSheetProcessing for Wpf with C1Excel. (TFS:142312)

## C1.Silverlight.OutlookBar

### Bug fixes

- Fixed the issue that IsEnabled property does not work during selection.(TFS-18128)

## C1.Silverlight.PdfViewer

### Bug Fixes

- Fixed the issue that BlackoutWords property is not working correctly
  in C1PdfViewer when RenderMode is set to "Extended". (TFS-142874)
- Fixed the issue that System.NullReferenceException occurs when
  load pdf file. (TFS-143486)
- Fixed the issue that NullReference exception occurs while creating
  of pdf by PdfFilter.PrintDocument. (TFS-143540)

# Release version 5.0.20161.499 - 01/18/2016

## C1.Silverlight.DataGrid.Filters

### Improvements:

- Add Watermark property into DataGridFilterRow.

## C1.Silverlight.Excel

### Bug fixes

- At times, position of a string is changed to BottomAligned in the output. (TFS:139667)

## C1.Silverlight.Extended

### Bug fixes

- [C1PropertyGrid] Fixed the issue that control still gets dimmed after
  setting “DisabledCuesVisibility=Collapsed” if “IsEnabled=False”.(TFS-19061)
- [C1ColorPicker] Fixed the issue that Dropdown of C1ColorPicker is not correctly
  shown if multiple C1ColorPicker instances are placed on the page. (TFS-17191)

## C1.Silverlight.Gauge

### Bug Fixes:

- Fixed the issue that PointerStroke and PointerStrokeThickness are not effected in C1Knob.(TFS-41841)

## C1.Silverlight.Maps

### Bug fixes:

- Fixed the issue that zooming does not work on clicking slider bar of zoom tool.(TFS-33372)

## C1.Silverlight.PdfViewer

### Breaking changes:

- Remove obsolete PageSize and PageMargin properties.

### Bug Fixes

- Fixed the issue that error image got displayed instead of smiles while
  loading a pdf file in C1PdfViewer(TFS-137440)
- Fixed the issue that touch is not supported.(TFS-140310)
- Fixed the issue that System.FormatException is thrown
  while loading a pdf document in C1PdfViewer.(TFS-141025)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed could not add space before table.(TFS-33428)

## C1.Silverlight.TileView

### Bug fixes

- Fixed the issue that ButtonBackground and ButtonForeground properties
  have no effect.(TFS-30039)

## C1.Silverlight.Toolbar

### Bug Fixes

- [C1ToolBar] Fixed the issue that Selected tab item of c1Toolbar is not retained
  after C1ToolBar is collapsed expanded.(TFS-28961)
- [C1ToolBar] Fixed the issue that Seconditem is not selected after collapsed
  c1Toolbar is expanded when setting IsSelectable of firstitem to False.(TFS-30885)

# Release version 5.0.20153.497 - 12/24/2015

## C1.Silverlight.PdfViewer

### Improvements:

- Added Hungarian and Slovenian resources.

## C1.Silverlight.ReportViewer

### Improvements:

- Added Hungarian and Slovenian resources.

# Release version 5.0.20153.496 - 12/23/2015

## C1.Silverlight.Docking

### Bug Fixes:

- Correct Japanese strings for some tooltip of MakeDocked, MakeHidden,
  MakeSliding, Sliding.(TFS-39123)

# Release version 5.0.20153.495 - 12/14/2015

## C1.Silverlight.FlexGridFilter

### Improvements:

- Added support to filter child rows.(TFS-112847)
  Note: 1. The type of child rows must be ICollectionView.
  2. Please don't use the same Binding name for parent and child.
  For example:
  public class SalesPerson
  {
  public string PersonName { get; set; }
  public ICollectionView Children { get; set; }
  }
  public class Sales
  {
  public string SaleName { get; set; }
  }
  (PersonName,SaleName) Name should not be the same, if they are all "Name",
  can not distinguish them and don't know which name should be filtered.
  3. The current version does not support sort.

# Release version 5.0.20153.493 - 11/30/2015

## C1.Silverlight

### Bug fixes

- [C1TreeView] Fixed the issue that Application freezes while expanding a
  node which is having 10000 child items.(TFS-123618)

## C1.Silverlight.Olap

### Bug Fixes

- Fixed the issue that printing the Report for an OLAP chart does not
  display legend colors on the printout. (TFS-95417)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that last character of selected word is not getting
  pasted in IE9.(TFS-138235)

# Release version 5.0.20153.492 - 11/23/2015

## C1.Silverlight

### Improvements

- [C1RadialMenu] Add CollapseOnClick property for
  C1RadialMenuItem to indicate if the menu will auto collapse when the user clicks on
  item which has no child items.

## C1.Silverlight.Excel

### Improvements

- Added new C1XLBook.ListSeparator property for using in methods C1XLBook.Load
  (for .cvs files), XLSheet.LoadCsv and XLSheet.SaveCsv.

# Release version 5.0.20153.491 - 11/17/2015

## C1.Silverlight.DataGrid

### Bug fixes

- NullReferenceException is thrown while setting DataGridColumnValues as ItemSource
  of a ComboBox (Tfs 136883).

## C1.Silverlight.Excel

### Bug fixes

- Image and CheckBox is not retained when the Excel file containing
  check box and image is saved. (TFS:136880)
- C1Excel incorrect loaded/saved hyperlink ("Cannot open the specified file.")
  (TFS:136722)

## C1.Silverlight.FlexGrid

### Bug Fixes

- Fixed the issue that the location of dropdown popup is not correct when
  FlowDirection is RightToLeft.

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that an extra paragraph is added when copy/paste in IE11.
- Fixed the issue that content will go to next line when press space key
  in C1RichTextBox.(TFS-136732)

# Release version 5.0.20153.489 - 10/31/2015

## C1.Silverlight.Excel

### Bug fixes

- Cell range is NOT selected when cell range with Frozen row/col is
  selected in C1Excel book. Regression issue. (TFS:30427)

# Release version 5.0.20153.487 - 10/27/2015

## C1.Silverlight

### Breaking changes

- [C1ListViewer] BringIndexIntoView method second parameter "subOffset" default value
  is set to null, and second parameter "subOffset" is nullable now. The same in its'
  derived controls C1ListBox/C1TileListBox.

## C1.Silverlight.Excel

### Bug fixes

- NullReferenceException is thrown when loading an excle file
  which contains macro with .xlsx/.xls format. (TFS:135360)

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that watermark image of pdf document is replaced with red cross
  mark while loading in C1PdfViewer.(TFS-129639)
- Fixed the issue that more than one page is moved while clicking the Next Page button
  of C1PdfViewerToolbar.(TFS-132707)
- Fixed the issue that System.NullReferenceException is thrown while loading a pdf
  document in C1PdfViewer.(TFS-135478)

# Release version 5.0.20153.486 - 10/21/2015

## C1.Silverlight.Excel

### Bug fixes

- Unable to read all data from Excel file. (TFS:134318)
- Format is changed after load and save by C1Excel. (TFS:134884)
- Specified hyperlink issues for complex sheet names. (TFS:134586)
- Specified background pattern for the ConditionalFormatted cells
  is not saved. (TFS:127975)
- Header and footer image is not displayed when setting header
  and footer image by using C1Excel. Regression of TFS:121907. (TFS:127155)
- Postion of Custom Header (Image) is changed when saving an
  excel file using C1Excel. Really image moved from page header to sheet. (TFS:121907)
- When loaded .xlsx that fixed Column/Row is set and active cell
  is set into fixed Column/Row, saved .xlsx is incorrect. (TFS:120427)
- In loaded xlsx file, Index of print title cannot get by
  GetRangeToRepeat method. (TFS:119851)
- Line Color of Header and Footer image is not retained in
  output excel file when saving as OpenXML format. (TFS:116520)
- Header and Footer images disappear in output excel
  file [regression for 43]. (TFS:116260)
- When set neutral culture to CurrentUICulture property, error
  occurs on code for genarate C1XLBook object. (TFS:115908)

### Improvements

- Added support of OpenXMLMacro format (Open XML format with support
  VBA projects, *.xlsm extension).

# Release version 5.0.20153.485 - 10/12/2015

## C1.Silverlight

### Bug fixes

- [C1TabControl] Fixed the issue that the controls set in ItemContainerStyle
  are nor rendered in C1TabControl.(TFS-133182)

# Release version 5.0.20153.483 - 09/28/2015

## C1.Silverlight.Data

### Bug Fixes

- don't create anonymous types if table has no columns. It saves some memory in complex applications
  (http://our.componentone.com/groups/topic/creating-dynamic-assemblies-on-using-c1-datatables/).

## C1.Silverlight.DataGrid

### Bug fixes

- Fix issue that alternatingRows are disorder after change rows Visibility(Tfs 125936).

## C1.Silverlight.DataGrid.Summaries

### Bug fixes

- Fix issue that text in the group row hides while scrolling the C1DataGrid horizontally.
  (TFS-130686)

## C1.Silverlight.Schedule

### Improvements:

- Added C1Scheduler.SmallVisualIntervalScale property.
  If this property value is set, defines TimeSpan of each VisualInterval
  in the VisualIntervals collection for views with intervals shorter
  than 1 day (Day, WorkWeek, Week and TimeLine). This is a dependency property.
  The default value is TimeSpan.Zero which means that only
  C1Scheduler.VisualIntervalScale property has effect.

# Release version 5.0.20152.480 - 09/14/2015

## C1.Silverlight.FlexGrid

### Bug Fixes

- Fix the issue that all rows are not printed while setting the MaxRowHeight
  property of C1FlexGrid.(TFS-130376)

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed NulLreferenceException.(TFS-129568)

# Release version 5.0.20152.479 - 08/27/2015

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that in custom regional settings , value in Zoom combobox is not
  changing when zooming with Ctrl+Mouse Wheel.(TFS-128825)

# Release version 5.0.20152.478 - 08/26/2015

## C1.Silverlight.Extended

### Bug fixes

- [C1PropertyGrid] Fixed the issue that "AmbiguousMatchException" is thrown
  when C1Maps object is set to SelectedObject property of C1PropertyGrid.(TFS-29838)
- [C1PropertyGrid] Fixed the issue that "AmbiguousMatchException" occurs
  on opening "Items" collection editor in C1PropertyGrid at run-time.(TFS-30025)
- [C1PropertyGrid] Fixed the issue that "AmbiguousMatchException" occurs
  when setting SelectedObject property of C1PropertyGrid to C1FlexSheet.(TFS-128569)
- [C1PropertyGrid] Fixed the issue that "AmbiguousMatchException" is
  thrown on clicking the collection editor button for Items collection when
  bounded with C1Menu.(TFS-128589)

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that nullReferenceException occurs when navigating pages on PdfViewer
  with Pdf file with Annotations.(TFS-128223)

# Release version 5.0.20152.477 - 08/18/2015

## C1.Silverlight

### Bug fixes

- [C1TileListBox] Fixed the issue that C1TileListBox re-renders when the window
  is resized.(TFS-125812)
- [C1DropDownButton] Fixed the issue that "HeaderFontSize", "HeaderFontStyle"
  and "HeaderFontWeight" properties do not work in C1DropDownButton.(TFS-41775)

## C1.Silverlight.DataGrid

### Bug fixes

- Fix issue that even if all checks are removed separately by filter operation of
  C1AdvancedFiltersBehavior, a check of "Select All" doesn't come off (Tfs 126304).
- Fix issue that Select All checkbox in filter dropdown does not reflect the current
  state of checkboxes in filter dropdown (Tfs 15864).
- Fix issue that if the cell of a filtering target column is selected after displaying
  a filter dialog, the dialog will be hidden, but a drop-down arrow will be shown at
  the header of column concerned(Tfs 126329).

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that pencil marks are not shown in C1PdfViewer.(TFS-122450)

# Release version 5.0.20152.476 - 08/03/2015

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that memory leak with C1PdfViewer in pdfviewer sample.(TFS-70722)
- Fixed the issue that memory Leak observed in C1PDFViewer.(TFS-98440)
- Fixed the issue that OutOfMemoryException is raised on a Phone Device.(TFS-98716)
- Fixed the issue that memory Leak observed with C1PdfViewer while loading multiple
  documents.(TFS-118262)

# Release version 5.0.20152.475 - 07/20/2015

## C1.Silverlight

### Bug fixes

- [C1TabControl] Fixed the issue that "System.Argument" Exception thrown by
  the designer when placing a Grid into a nested C1TabControl.(TFS-124276)

## C1.Silverlight.FlexGrid

### Bug Fixes

- Fix the issue that few columns are not highlighted with SelectionMode is
  ListBox if some columns are hidden.(TFS-122659)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that unnecessary square icon are showed when "Thai" text
  are copy/paste in C1RichTextBox.(TFS-23407)

## C1.Silverlight.RichTextBox.Toolbar

### Bug fixes:

- Fixed the issue that ArgumentException is thrown when clicking "Picture"
  button in Hebrew localized RichTextBoxToolbar.(TFS-50029)

# Release version 5.0.20152.473 - 07/07/2015

## C1.Silverlight

### Bug fixes

- [C1RadiaMenu] Fixed the issue displays text rotated with
  certain culture settings.(TFS-123008)

## C1.Silverlight.FlexGrid

### Bug Fixes

- Fix the issue that incorrect Cell Navigation when setting FlowDirection to
  "RightToLeft".(TFS-109547)

# Release version 5.0.20152.472 - 06/29/2015

## C1.Silverlight

### Bug fixes

- [C1TileListBox] Fixed the issue that BringIndexIntoView method does not works
  correctly.(TFS-111201)

## C1.Silverlight.Theming

### Bug Fixes:

- Fix the issues that xmlParseException occurs on applying BureauBlack theme
  to controls.(TFS-121984)

# Release version 5.0.20152.471 - 06/22/2015

## C1.Silverlight

### Bug fixes

- [C1ContextMenu] Fixed the issue that offset property always
  returns 0.(TFS-118179)

## C1.Silverlight.DataGrid

### Bug fixes

- BottomRow shows a validation error while validating the last row in C1DataGrid (Tfs 120855).

# Release version 5.0.20152.463 - 05/23/2015

## C1.Silverlight.Schedule

### Improvements:

- Added C1Calendar.SelectionMode property(TFS-117732).
  The default value is SelectionMode.Extended, it keeps the same behavior as in previous released versions.
  SelectionMode.Multiple allows the user to select multiple items without pressing a modifier key.
  Note, even if this property value allows to select multiple items, the actual number of selected days
  might be limited by the value of the MaxSelectionCount property.

# Release version 5.0.20151.468 - 06/12/2015

## C1.Silverlight.Docking

### Bug Fixes:

- [C1DockControl] Fixed the issue that Layout of C1DockControl is not
  preserved.(TFS-100166)

## C1.Silverlight.FlexGrid

### Bug Fixes

- Fix the issue that argumentOutOfRangeException occurs when copying the chart in
  C1FlexSheet.(TFS-119055)

## C1.Silverlight.Olap

### Improvements

- Public OlapCellFactory so that customer can custom CellFactory for
  OlapGrid base on the OlapCellFactory. (TFS-120027)

# Release version 5.0.20151.466 - 05/25/2015

## C1.Silverlight

### Bug fixes

- [C1NumericBox] Fixed the issue that leading zero is removed while
  editing. (TFS-98620)

## C1.Silverlight.FlexGrid

### Improvements

- added RowCol.VisibleIndex property. This property is read-only.
  If element's IsVisible property is True, VisibleIndex property returns index of
  element in the collection of visible items.

# Release version 5.0.20151.462 - 05/11/2015

## C1.Silverlight.Schedule

### Improvements:

- honor Escape key at in-place appointment editing (Tfs 116276).

# Release version 5.0.20151.460 - 04/27/2015

## C1.Silverlight

### Bug fixes

- [C1Menu] Fixed the issue that setting 'IsEnabled' to false
  on button click does not visually disable C1MenuItem.(TFS-100109)

## C1.Silverlight.Excel

### Improvements

- Merge changes of WinForms 44 build.

## C1.Silverlight.Schedule

### Improvements:

- improved keyboard navigation in the C1Scheduler control:
- F2 key turns on in-place appointment editing for selected appointment;
- Enter key creates new in-place appointment or opens appointment dialog for existent selected appointment;
- Tab (Shift-Tab) key navigates selection and keyboard focus to the next (previous) appointment in the current view.

# Release version 5.0.20151.459 - 04/13/2015

## C1.Silverlight

### Bug fixes

- [C1NumericBox] Fixed the issue that FormatException occurs on setting
  Decimal("D") Format in C1NumericBox.(TFS-113928)

## C1.Silverlight.FlexGrid

### Bug Fixes

- Fix the issue that last Column of C1FlexGrid is not visible completely while
  setting "VerticalScrollBarVisibility = Visible".(TFS-114739)

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that incorrect behavior observed with "FindText" in case of a
  specific PDF Document.(TFS-109133)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that System.FormatException occurs on loading the
  C1RichTextBox with custom regional windows settings.(TFS-110968)

# Release version 5.0.20151.458 - 03/30/2015

## C1.Silverlight

### Improvements

- [C1RadialMenu] Honor C1RadialMenuItem.ItemTemplate property
  (http://our.componentone.com/groups/topic/radial-menu/#post-656932).

## C1.Silverlight.Excel

### Bug fixes

- Request to provide the property similar to ‘Scale with document’ available
  under Header/Footer tab in PageSetup dialog in MSExcel. (TFS:39819)

## C1.Silverlight.FlexGrid

### Bug Fixes

- Fix the issue that can't re-size the column of C1FlexGrid at run time.(TFS-112908)
- Fix the issue that hidden cells are copied when a range containing them is copied
  using Ctrl + C.(TFS-41714)

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that pageNumberChanged event not fired when ToolbarVisibility
  property is set to Collapsed.(TFS-111374)

### Improvements:

- Add MaxZoom and MinZoom properties.

# Release version 5.0.20151.455 - 03/13/2015

## C1.Silverlight.FlexGrid

### Bug Fixes

- Fix the issue that rows cannot be dragged and dropped in C1FlexGrid Unbound
  mode(TFS-111903)

# Release version 5.0.20151.454 - 03/09/2015

## C1.Silverlight.FlexGrid

### Improvements

- Drag improved. Add DragDropIndicatorBrush property to get or set the brush
  of drop indicator when drag columns or rows.

# Release version 5.0.20151.453 - 03/02/2015

## C1.Silverlight

### Improvements

- [C1RadialMenu] Added C1RadialMenu.GoBack method. It navigates menu
  one level up as if end-user clicked Back button (Tfs 101896).

## C1.Silverlight.DataGrid

### Bug fixes

- C1DataGrid appeared clipped when printing a grid whose Margin property was set through an implicit style.

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that words are not getting selected when double clicking on them.
  (TFS-110018)
- Fixed the issue that page is automatically scrolled down when dragging the mouse
  on Japanese text.(TFS-110063)

# Release version 5.0.20151.452 - 02/17/2015

## C1.Silverlight.Chart

### Bug fixes

- Honor AxisScrollbar visibility at layout. (TFS-105717)

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that japanese text are not shown in loaded Pdf file.(TFS-109861)

# Release version 5.0.20151.451 - 02/15/2015

## C1.Silverlight.DataGrid

### Bug fixes

- When ScaleMode is set to 'SinglePage', some columns are cut off in printed grid (TFS 36483).
- DataGridComboBoxColumn honors first key stroke passing the info to the editing element.

## C1.Silverlight.FlexGrid

### Bug Fixes

- Cell values disappears on clicking a cell, if C1Office2013 theme is applied on C1FlexGrid(TFS-105737)

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that footer text are missing and incorrect logo images are shown
  in C1PDFViewer.(TFS-108798)
- Fixed the issue that some text and circle bullets are shown with square characters
  .(TFS-109128)
- Fixed the issue that hebrew characters are not shown correctly in PdfViewer
  .(TFS-109134)

## C1.Silverlight.ReportViewer

### Bug Fixes:

- Fixed the issue that NullReferenceException occurs when typing text in search
  box which is loaded *.htm file in C1ReportViewer.(TFS-109283)

# Release version 5.0.20151.449 - 02/09/2015

## C1.Silverlight.Schedule

### Improvements:

- improved iCal import for reading historical time zones (Tfs 108759).

# Release version 5.0.20143.447 - 02/05/2015

## C1.Silverlight

### Bug fixes

- [C1NumericBox] Fixed the issue that decimal point cannot enter if Format
  does not contain digital.(TFS-101646)

## C1.Silverlight.DataGrid

### Bug fixes

- DataGridBoundColumn.IsEditable property now is false when Path or XPath of the column binding is null.

## C1.Silverlight.DataGrid.Excel

### Bug Fixes

- Background color of top row is not exported to excel sheet (Tfs 98455).
- Unlike previous build, DataGrid's Foreground, RowForeground and AlternatingRowForeground colors are not honored in exported .xlsx file (Tfs 101572).

## C1.Silverlight.FlexGrid

### Bug Fixes

- Fixed the issue that InvalidCastException occurs when using Conditions
  filter type in bounded flexgrid.(TFS-100850)

# Release version 5.0.20143.446 - 02/02/2015

## C1.Silverlight

### Bug fixes

- [C1TreeView] Fixed the issue that treeView is automatically scrolled up
  after double-click.(TFS-106751)
- [C1TreeView] Fixed the issue that "IsSelected" implicit binding get lost
  on all child nodes when parent treenode is collapsed and expanded.(TFS-106762)
- [C1TreeView] Fixed the issue that combo dropdown is not shown on clicking
  the dropdown icon if used in C1TreeView.(TFS-106789)

## C1.Silverlight.DataGrid

### Breaking changes

- Changed property type of DataGridAutoGeneratingColumnEventArgs.Column property to DataGridColum.
  To use DataGridBoundColumn.Format property in event handlers, you should cast Column property value to the DataGridBoundColumn type first.

### Bug fixes

- Error is observed on creating a creating a Template column in AutoGenerating event of C1DataGrid.
  Changed property type of DataGridAutoGeneratingColumnEventArgs.Column property to DataGridColum. (Tfs 100083)

## C1.Silverlight.Excel

### Bug fixes

- Unlike previous build, 'IOException' occurs when saving the Excel file. [WPF, SL] (TFS:106766)
- ArgumentException was unhandled occurred when LoadExcel() is used to opened XLSX file. (TFS:106325)
- Unlike previous build, IOException occurs when saving the excel file with image. (TFS:106879)

## C1.Silverlight.PdfViewer

### Improvements:

- Support open type font.
- Add RenderMode property. It has two value(Default,
  Extended). Extended mode is a special mode to render all text in pdf with microsoft
  textblock. It is used in 2 cases: 1. must set RenderMode to Extended before using
  BlackoutWords property. 2. try to use Extended mode when texts are not rendered
  properly.

## C1.Silverlight.ReportViewer

### Improvements:

- Support open type font.

# Release version 5.0.20143.445 - 01/26/2015

## C1.Silverlight

### Bug fixes

- [C1TreeView] Fixed the issue that NullReferenceException occurs when
  pressing 'Enter' key after pressing 'Tab' key if IsVirtualizing=True.(TFS-105916)
- [C1TreeView] Fixed the issue that ArgumetOutOfRangeException occurs when
  TreeViewItem is clicked after removing an record from underlying data source if
  HierarchicalDataTemplate is used.(TFS-105946)
- [C1TreeView] Fixed the issue that item selection gets lost after new item
  is added to the underlying data source.(TFS-106415)
- [C1TreeView] Fixed the issue that ArgumetOutOfRangeException occurs on
  clicking C1TreeViewItem after node drag drop.(TFS-106420)

## C1.Silverlight.Excel

### Bug fixes

- Fix exception 'out of memory exception' at write C1XLBook directly to the disk. (TFS:36268)
- Unlike previous build, 'System.NotSupportedException' is thrown when loading
  an excle file which contains macro (.xlsx format). (TFS:105927)

### Improvements

- Added tempary file storage for WPF and SL versions. In WPF using
  tempary file storage by default, for SL is need use UseTempStorage property.
- Merge changes of WinForms 22 build.

# Release version 5.0.20143.444 - 01/19/2015

## C1.Silverlight

### Bug fixes

- [C1TreeView] Fix issue that ArgumentOutOfRangeException occurs on clicking
  the treeview item after an item is removed from the underlying data source.
  (TFS-101384)
- [C1TreeView] Fixed the issue that Fix the issue that NullReferenceException
  occurs when pressing Keyboard shortcut if IsVirtualizing="True".(TFS-100528)

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that input values are not displayed in pdf controls.(TFS-101915)
- Fixed the issue that IndexOutRangeException occurs when Pdf with Graphic objects
  are loaded into C1PdfViewer.(TFS-101976)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that font size/style are not consistently maintained when HTML
  file is loaded and modified.(TFS-100541)

## C1.Silverlight.RichTextBox.Toolbar

### Improvements

- added localized resources for the cultures partly:
  -- Slovenian(sl, sl-SI)
  -- Hungarian(hu, hu-HU)

# Release version 5.0.20143.443 - 01/05/2015

## C1.Silverlight.Chart

### Bug fixes

- Fixed the issue that AnnoCreated event does not been fired. (TFS-97330)

## C1.Silverlight.Excel

### Bug fixes

- Exception (can't access cross-thread) thrown when loading Excel in a child thread. [SL] (TFS:98145)
- Deleteing Column that includes final cell in a merge does not reduce merge. Fixed part 2. (TFS:90131)
- C1XLBook.Save performance is decreased in build 14 compare to build 11. (TFS:98333)
- Cell's Border Color is changed when saving excel file. (TFS:84854)
- ArgumentException is thrown when an Excel file is loaded in C1XLBook [Fixed only exception]. (TFS:97861)
- Exception (can't access cross-thread) thrown when loading Excel in a child thread. [SL] (TFS:98145)
- #VALUE! is shown in the cell which has ROUNDDOWN formula as Biff8 format. (TFS:85358)

### Improvements

- Merge changes of WinForms 20 build.

## C1.Silverlight.SpellChecker

### Breaking changes:

- Removed AutoReplaceList property, OnAutoReplace method,
  AutoReplace event, AutoReplaceEventArgs and AutoReplaceEventHandler because they
  are not used.

# Release version 5.0.20143.442 - 12/22/2014

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that Chinese Characters are not displayed correctly in the
  Bookmark contents of the loaded PDF File.(TFS-94567)
- Fixed the issue that Hebrew support in C1PDFViewer.(TFS-90240)
- Fixed the issue that Displays PDF file incorrectly black background.(TFS-95627)
- Fixed the issue that Page navigation does not work when clicking on the links in
  c1PdfViewer.(TFS-98681)

# Release version 5.0.20143.438 - 12/11/2014

## C1.Silverlight

### Bug fixes

- [C1TreeView] Fixed the issue that pressing navigation
  keys does not work after pressing "Delete" key.(TFS-97867)

# Release version 5.0.20143.437 - 12/10/2014

## C1.Silverlight.FlexGrid

### Bug Fixes

- Fixed the issue that string values are not shown in the filter drop down list.

# Release version 5.0.20143.436 - 12/08/2014

## C1.Silverlight

### Bug fixes

- Allows setting String.Empty in objects whose property type is Nullable<T> where T != string.
- [C1TreeView] Fixed the issue that keyboard navigation stop working if
  ItemTemplate binding is set.(TFS-97543)

## C1.Silverlight.Chart

### Bug fixes

- added property name to event arguments for Axis.PropertyChanged event. (TFS-86886)

## C1.Silverlight.FlexGrid

### Bug Fixes

- checkbox on merged cells are not displayed correctly after sorting the grid
  when checkbox values are filled by Spacebar key.

## C1.Silverlight.Maps

### Improvements:

- Added support for ShapeFile format to C1Maps.

## C1.Silverlight.Schedule

### Bug Fixes:

- improved performance when when working with long-lasting appointments (Tfs 95610).

# Release version 5.0.20143.435 - 11/24/2014

## C1.Silverlight.DataGrid

### Bug fixes

- Row.DataItem is null in CommittedNewRow event.
- Selection was lost after removing a row if the grid is grouped.

## C1.Silverlight.Schedule

### Improvements:

- added support for RECURRENCE-ID, SEQUENCE and UID in iCal import (TFS:91112).
  Note, cases when RECURRENCE-ID is a recurring event are not supported.

# Release version 5.0.20143.432 - 11/11/2014

## C1.Silverlight.DataGrid

### Bug fixes

- Selection was lost after removing a row.

## C1.Silverlight.FlexGrid

### Bug Fixes

- Row was not invalidated correctly when moving it to the last position by dragging its header.

# Release version 5.0.20143.431 - 11/09/2014

## C1.Silverlight.FlexGrid

### Bug Fixes

- Getting values from cells was raising an exception when the data source used indexed properties.

# Release version 5.0.20143.430 - 11/06/2014

## C1.Silverlight

### Breaking changes

- Added new AboutBox logic and display.
- Implemented new evaluation version logic. The new logic restricts
  evaluation installs to 30 days.

## C1.Silverlight.FlexGrid

### Bug Fixes

- Setting a non convertible value was raising an exception.
- Evaluating a path with a numeric indexer was not returning the right value.
- Pasting values was not working fine in numeric and boolean columns.
- Resizing rows was not working correctly.
- Auto-sizing columns was not working correctly when there was merged cells.

## C1.Silverlight.Olap

### Bug Fixes

- Fixed the issue that ArgumentNullException throws when adding Rows through
  "Row Collection Editor: Rows".(TFS-92573)
- Fixed the issue that NullReferenceException thrown when GroupAxisAnnotation
  property is set to true and open OlapChart at the run time.(TFS-91703)
- Fixed the issue that 'Exception is observed when open 'Miscellaneous' dropdown
  in 'Properties' grid after drag and drop OlapChart on form.(TFS-93715)
- Fixed the issue that "Detail View" grid does not show when right click
  over cell in OlapGrid.(TFS-93712)

## C1.Silverlight.Schedule

### Bug Fixes:

- fixed issue with occasionally not firing AppointmentChanged event at drag&drop operations (Tfs 93042).

# Release version 5.0.20143.428 - 11/03/2014

## C1.Silverlight

### Bug fixes

- [C1ContextMenu] Fixed the issue that Submenu is shown at the Top-Left position
  when expand submenu of item and open other page or clearing all item.(TFS-43303)

## C1.Silverlight.DataGrid

### Bug fixes

- Avoid changing selection while current item changes, to prevent conflicts with selection mode.

## C1.Silverlight.FlexGrid

### Bug Fixes

- Setting enum values as string was raising an exception.

# Release version 5.0.20143.427 - 10/27/2014

## C1.Silverlight.DataGrid

### Bug fixes

- Exception thrown when dragging a frozen column and another frozen column is hidden.

## C1.Silverlight.DataGrid.Excel

### Bug Fixes

- Height of the rows was incorrect when grid wasn't scrolled previously.
- DataGridColumnHeaderRow wasn't exported to excel

## C1.Silverlight.FlexGrid

### Bug Fixes

- Setting values was throwing an exception when underlying type was Enum and the value was a string.

## C1.Silverlight.FlexGridFilter

### Bug Fixes

- Executes the column converter when filtering using a text filter.

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that When Pdf file containing circle is loaded, Circle is
  displayed with irregular border.(TFS-19808)
- Fixed the issue that oversubscribed dynamic bit lengths tree exception occurs on
  opening PDF File.(TFS-89062)

# Release version 5.0.20143.424 - 10/15/2014

## C1.Silverlight

### Breaking changes

- extension methods for System.Type have been moved from the Extensions class to the TypeEx class.

### Improvements

- Added new C1ProgressIndicator control.
- [C1Menu] added new Close() method.
  Use it in complicated scenarios if you need to close any opened submenus before updating UI layout.
- extension methods for System.Type have been mpved from the Extensions class to the TypeEx class.

## C1.Silverlight.DataGrid

### Improvements

- DataGrid uses new C1ProgressIndicator control to display loading state.
  Default control template has been simplified.
  You can customize loading indicator style by setting the new C1DataGrid.LoadingIndicatorStyle to the custom C1ProgressIndicator style.

## C1.Silverlight.FlexGrid

### Bug Fixes

- Aggregate cells are updated when GroupRow is in ColumnHeaders panel.

# Release version 5.0.20142.422 - 10/14/2014

## C1.Silverlight

### Bug fixes

- [C1TabControl] Fixed the issue that InvalidCastException occurs when
  using bounded datasource in C1TabControl.(TFS-90583)

## C1.Silverlight.FlexGrid

### Bug Fixes

- Exception raised when setting a cell value if items source is DataTable.

## C1.Silverlight.Maps

### Breaking changes

- Change the names of constant properties from MaxLong, MinLong, MaxLat, MinLat,
  MaxZoom, MinZoom to MaxLongValue, MinLongValue, MaxLatValue, MinLatValue,
  MaxZoomValue, MinZoomValue.

# Release version 5.0.20142.421 - 10/10/2014

## C1.Silverlight.Chart

### Bug fixes

- Fixed issue that out of range datapoints are visible on the chart When the RenderMode
  is set to 'Bitmap' and Zooming is performed on the Chart object.(TFS-88119)

## C1.Silverlight.DataGrid

### Improvements:

- DataGridDateColumn now supports CustomDateFormat and CustomTimeFormat.

## C1.Silverlight.DataGrid.Filters

### Breaking changes

- DataGridMultiLineDateFilter.EditMode type changed from C1DateTimePickerEditMode to DataGridDateTimeColumnEditMode.

### Improvements:

- DataGridMultiLineDateFilter now supports "Custom" EditMode which allows entering the
  datetime in a textbox, analogously to date time column editor.
- DataGridMultiLineDateFilter now supports CustomDateFormat and CustomTimeFormat.

## C1.Silverlight.FlexGrid

### Bug Fixes

- AutoSizeColumn method was raising an exception.

## C1.Silverlight.FlexGrid.GroupPanel

### Bug fixes

- Hide columns when loading a grouped source and HideGroupedColumn is false.

## C1.Silverlight.FlexGridFilter

### Bug Fixes

- Exception raised when loading a filter whose value has not the right format.

# Release version 5.0.20142.420 - 09/29/2014

## C1.Silverlight

### Bug fixes

- [C1ContextMenu] Fixed the issue that set value to Height and
  Width property of the C1ContextMenu does not effect on displayed size.(TFS-18488)
- C1ListBox unhandled exception thrown when setting SelectedItem to null.

## C1.Silverlight.Chart

### Bug fixes

- Fixed issue that ChartPanelObject goes out of the ChartView area after Zooming.(TFS-86899)

## C1.Silverlight.Chart3D

### Bug fixes

- Fixed the issue thatlLicense file is not created
  on dropping the control at design time.(TFS-87447)

## C1.Silverlight.FlexGrid

### Bug Fixes

- Performance issue was fixed when resizing columns.
- Avoids pasting data in a read-only grid.
- Updates column's visibility when HideGroupedColumns is set at runtime.
- Pasting from clipboard wasn't working fine in all cases.

## C1.Silverlight.FlexGrid.GroupPanel

### Bug fixes

- Drop indicator displaced when scroll position was different from zero.

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that pdf file is not correctly rendered in C1PdfViewer.(TFS-60880)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that paste function does not work correctly on IE11.(TFS-87943)

## C1.Silverlight.RichTextBox.Toolbar

### Bug fixes:

- Fixed the issue that selected text's font/font-size is not changed when
  changing font/font size by pressing up/down keyboard arrow keys.(TFS-62874)
- Fixed the issue that when selected text is edited by using ChangeCase
  tool, the above line get selected.(TFS-37201)

## C1.Silverlight.Schedule

### Improvements:

- Added new property ViewType to the C1Scheduler control. It simplifies changing default C1Scheduler styles both at runtime and design-time.
- Added context menu item to switch C1Scheduler views at design-time.
- The C1Scheduler.BeforeViewChange event is also fired when view is changed due to C1Scheduler.ViewType property change.
- added support to highlight current time in the Day/Week/TimeLine views. That includes:
- new TimeRuler control used in default C1Scheduler control templates;
- new C1Scheduler.CurrentTimeBrush property.

# Release version 5.0.20142.419 - 09/15/2014

## C1.Silverlight

### Bug fixes

- C1ListViewer hide preview item template when full template is displayed in order
  to avoid seeing duplicated elements.

## C1.Silverlight.Excel

### Bug fixes

- Partly Setting "FitPageAcross" property changes the "AutoScale" property to True.(TFS:64023)
- Fixed missing newline character after bold styling.(TFS:85280)
- Fixed case 1 of styles not getting applied in the saved excel book.(TFS:84477)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the isue that the type attribute in OL tag doesn't handle lower-roman
  or lower-latin.(TFS-17898)
- Fixed the isue that System.ArgumentException is raised on loading an Html file
  coming from LinkedIn email.(TFS-86576)

# Release version 5.0.20142.418 - 09/07/2014

## C1.Silverlight.Maps

### Improvements:

- Add MaxLong, MaxLat, MaxZoom, MinLong, MinLat, MinZoom properties into C1Maps.

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that when Header text(like <H2>) are exporting to pdf,
  large space are rendered between header text.(TFS-50001)

## C1.Silverlight.Toolbar

### Bug Fixes

- [C1Toolbar] Fixed the issue that selected tab is not opened on clicking
  tabstrip of C1Toolbar at design-time.(TFS-33257)

# Release version 5.0.20142.417 - 09/01/2014

## C1.Silverlight

### Bug fixes

- [C1NumericBox] Fixed the issue that Shift+Tab does not exit
  C1NumericBox to the previous input control.(TFS-77195)
- [C1NumericBox] Fixed the issue that formatting is incorrect in
  C1NumericBox.(TFS-35023)
- [C1TabControl] Fixed the issue that tabItem cannot be moved to first
  position if underlying datasource is used.(TFS-83123)
- [C1Window] Fixed the issue that Long item names of C1Chart placed
  in C1Windows are protruding out of window.(TFS-75616)

## C1.Silverlight.Chart

### Bug fixes

- Fixed exception when hiding y-axis in polar chart.(TFS-67642)

## C1.Silverlight.DataGrid

### Bug fixes

- [DataGrid] Fix the issue that NullReferenceException occurs when new row
  is added if underlying data source contains an indexed property(TFS-82210)

## C1.Silverlight.DateTime

### Bug Fixes

- fixed mouse handling issues (Tfs 83380).

## C1.Silverlight.Docking

### Bug Fixes:

- [C1DockControl] Fixed the issue that 'MaxDockWidth' property works
  incorrectly in C1DockTabControl.(TFS-82651)

## C1.Silverlight.Extended

### Bug fixes

- [C1PropertyGrid] Fix issue that notSupportedException occurs when 'String'
  ItemArray is adding to DataRow by collection editor.(TFS-84163)

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that exception occurs on opening PDF File.(TFS-80263)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that horizontal scroll bar in RichTextBox briefly
  appears when page is refreshed.(TFS-80110)
- Fixed the issue that character spacing cannot be restored by
  pressing Crtl + Z key if selected texts are changed large font size.(TFS-66942)

## C1.Silverlight.RichTextBox.Toolbar

### Bug fixes:

- Fixed the issue that Underline and Strikethrough button are auto
  selected when click on the inserted picture.(TFS-77511)

## C1.Silverlight.Theming

### Bug Fixes:

- [C1PdfViewer] Fix the issue that Two Pages icon still shown in C1PdfViewer
  toolbar when theme is Cosmopolitan, CosmopolitanDark, Office2013White,
  Office2013LightGray, Office2013DarkGray.(TFS-79360)

## C1.Silverlight.Tile

### Bug fixes

- NullReferenceException occurs when the DataContext of the C1Tiles, whose CommandBinding is set in code, is changed (Tfs issue 83390).

# Release version 5.0.20142.416 - 08/18/2014

## C1.Silverlight.DataGrid

### Bug fixes

- [DataGrid] Fix the issue that values are changed while entering decimal
  data with some scenario in C1DataGrid(TFS-18697)

## C1.Silverlight.FlexGrid

### Bug Fixes

- Column.Format was not being applied correctly.
- Changes were incorrectly committed when changing the focus
  if the grid was inside a popup.

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that indexOutOfRangeException occurs on clicking the Page Number.
  (TFS-79810)
- Fixed the issue that search occurrence count is not correctly displayed in
  C1PDFViewer.(TFS-79638)
- Fixed the issue that text selection does not work if Japanese text and numbers
  are put into a table.(TFS-79618)
- Fixed the issue that Text selection does not work correctly in signed pdf document
  when Find action is performed.(TFS-80438)

## C1.Silverlight.RichTextBox

### Improvements:

- Fixed the issue that text overlaps in table cell when C1RichTextBox is
  resized.(TFS-80108)

# Release version 5.0.20142.413 - 08/07/2014

## C1.Silverlight

### Bug fixes

- [C1ComboBox] Fixed the issue that selected item is larger than comboboxitems in
  C1ComboBox when applying Cosmopolitan or CosmopolitanDark theme.(TFS-79210)

## C1.Silverlight.DataGrid

### Bug fixes

- Unhandled exception raised when rendering.
- Virtualized columns width was incorrect when printing.

# Release version 5.0.20142.411 - 07/28/2014

## C1.Silverlight

### Bug fixes

- [C1Window] Fixed the issue that the size of the C1Window does not consist
  with the size of content.(TFS-76311)

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that argumentOutOfRangeException occurs when dragging
  selected texts after 'Find' action is performed.(TFS-76268)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that space is added to double byte characters
  when exporting to RTF.(TFS-77079)

# Release version 5.0.20142.410 - 07/21/2014

## C1.Silverlight

### Bug fixes

- [C1TreeView] Fixed the issue that autoSearch property does not work for Japanese
  characters.(TFS-3826)

## C1.Silverlight.Extended

### Bug fixes

- [C1PropertyGrid] Fix issue that propertyGrid formatting not applied
  (TFS-68513).

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that "Zoom In" button is still enabled although Zoom
  value is set maximized value "800%" at first time.(TFS-74256)
- Fixed the issue that found word is not selected on clicking Find Next
  if Pdf file contains Japanese and English text.(TFS-74433)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that delete key does not delete the space
  before table.(TFS-33515)
- Fixed the issue that deleting table content using delete key
  would reduce the table to a single cell.(TFS-33426)

# Release version 5.0.20142.409 - 07/08/2014

## C1.Silverlight.DataGrid

### Bug fixes

- Filter items were not changed when Language is changed in the application.

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that some words cannot be able to select when Find action is performed.(#73800)
- Fix issue that unlike previous build, 'Zoom In' button is still enabled although
  Zoom value is set maximized value '800%' at first time.(#73883)

# Release version 5.0.20142.408 - 07/07/2014

## C1.Silverlight

### Bug fixes

- [C1Menu] Fixed the issue that c1MenuListItem is not getting disabled
  when command is bound.(TFS-47359)

### Improvements

- added missing translations for different cultures

## C1.Silverlight.DataGrid

### Bug fixes

- Exception raised when pressing Enter key in the filter drop-down.

### Improvements

- added missing localized resources.

## C1.Silverlight.FlexGridFilter

### Improvements:

- Added Romanian resources.

## C1.Silverlight.OutlookBar

### Improvements:

- Added localized resources for different cultures.

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that XamlParseException occurs on loading certain pdf file in c1PdfViewr.(#64607)
- Fixed the issue that Unable to print more than 2000 pages from C1PDFViewer.(#33096)
- Fixed the issue that Inflating error is raised on loading the certain pdf file.(#33728)
- Fixed the issue that when Orientation is set to Horizontal, 'next page' button is not working at toolbar. (72899)
- Fixed the issue that ArgumentException is raised when typed text in search box.(#72422)
- Fixed the issue that certain pdf file does not render correctly.(#60880)
- Fixed the issue that CryptographicException thrown when loading certain pdf file(#66968)

## C1.Silverlight.ReportViewer

### Bug Fixes:

- Fixed the issue that InvalidOperationException occurs
  when finding texts in c1ReportViewer if headerfooter template is used (#73510)
- Fixed the issue that 'NullReferenceException' occurs when
  clicking zoom out button after changing zoom value 0% to any viewmode
  in c1reportviewer if pageTemplate is used.(#73544)
- Fixed the issue 'UnhandledException' occurs
  when typing in 'Find' textbox after loading pdf file
  into C1ReportViewer if zoom value is less than 25% (#73627)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that bullet is clipped when bullet is applied to text
  after setting large font size.(TFS-34728)
- Fixed the issue that white line is showed at the bottom of the cell after
  merging the table cell.(TFS-40110)

### Improvements:

- Fixed the issue that bullet is clipped when bullet is applied to text
  after setting large font size.(TFS-34728)

## C1.Silverlight.RichTextBox.Toolbar

### Improvements:

- Added Romanian resources, added missing translations for different cultures.

## C1.Silverlight.Schedule

### Improvements:

- Added Romanian resources, added missing translations for different cultures.

## C1.Silverlight.SpellChecker

### Improvements

- Added Romanian resources.

## C1.Silverlight.Uploader

### Improvements

- Added localized resources for different cultures.

# Release version 5.0.20142.406 - 06/30/2014

## C1.Silverlight

### Bug fixes

- C1ListViewer.BringIntoView() method was not working correctly.
- C1ListViewer.MinZoom and MaxZoom were not honored when setting Zoom property programatically.
- [C1TabControl] Fixed the issue that MouseLeftButtonUp event is not fired
  in C1TabControl.(TFS-72034)

## C1.Silverlight.Chart

### Bug fixes.

- Fixed exception when zooming StepAreaStacked (TFS 49275).

## C1.Silverlight.DataGrid

### Bug fixes

- Exception raised when pressing Tab key.
- Filter drop-down shown incorrectly.
- Exception raised when merging cells and grouping at the same time.
- Header dissapear after printing when it is a TextBlock.

## C1.Silverlight.DataGrid.Filters

### Bug fixes:

- Filters tab navigation improved.

## C1.Silverlight.Extended

### Bug fixes

- NullReferenceException is thrown if SelectedObject is set to an object instance
  whose class definition consist of a ColorPalette(TFS-16375).

## C1.Silverlight.FlexGrid

### Bug Fixes

- Right border missing when printing.

### Improvements

- Improved the performance of AutoSizeColumns(allCells).

## C1.Silverlight.FlexGridFilter

### Bug Fixes

- Column header content was centered incorrectly when using filters.

### Improvements:

- Added Simplified Chinese and Traditional Chinese resources.

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed issue that SelectedText property does not work in c1PdfViewer.(#71638)
- Fixed issue that unable to navigate hyperlinks in PDFViewer.(#67532)

## C1.Silverlight.RichTextBox.Toolbar

### Bug fixes:

- Fixed the issue that when typing -9 in zoom textbox,
  value reset to 100%.(TFS-72027)

## C1.Silverlight.Schedule

### Improvements:

- Added Simplified Chinese and Traditional Chinese resources.

## C1.Silverlight.Uploader

### Improvements

- Added Simplified Chinese and Traditional Chinese resources.

# Release version 5.0.20142.403 - 06/23/2014

## C1.Silverlight

### Bug fixes

- [C1TabControl] Fixed the issue that slow peformance is observed when theme is
  applied and C1DockTabItem containing large number of controls is selected.(TFS-67375)

### Improvements

- [C1RadialMenu] Add new C1RadialMenu Control. It represents a touch-friendly
  alternative to the traditional context menu. Please reference the behavior of
  C1RadialMenu in XAML.

## C1.Silverlight.Chart3D

### Breaking Changes

- RenderMode3D renamed to RenderMode.

## C1.Silverlight.FlexGridFilter

### Bug Fixes

- Filtering null values was not working correctly.

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed issue that embedded font does not been applied.(#70739,#70874,#71080)

### Improvements:

- - Reconstructing C1PdfViewer by using C1ListViewer on WPF and SL.
- Adding touch support and improving scrolling smoothness.
- Remove the "Two Pages" button from PdfViewerToolbar.
- The behavior of rendering multiple pages is the same as Winrt's. (vertical rendering)
- As Winrt's C1PdfViewer, adding ViewportGap and Orientation property.

## C1.Silverlight.RichTextBox.Toolbar

### Improvements:

- Add view tab that includes C1PrintViewLargeTool, C1DraftViewLargeTool,
  C1ZoomInTool, C1ZoomOutTool, C1Zoom100PercentTool, C1OnePageTool, C1TwoPagesTool
  and C1FitWidthTool to C1RichTextBoxToolBar.
- Add C1StrikethoughTool to the home tab of C1RichTextBoxToolBar.

## C1.Silverlight.Schedule

### Breaking Changes

- Removed obsolete C1Scheduler properties:
  VisualIntervals,
  VisualIntervalGroups,
  VisualIntervalsView.

### Improvements:

- Added IntervalAppointmentPresenter.ShowTime property.
  It gets a value that determines whether to show appointment time.

# Release version 5.0.20141.402 - 06/17/2014

## C1.Silverlight

### Bug fixes

- C1DragHelper inertia was not working when two helpers were attachedto the same
  ui-element and one of them expected inertia whereas the other do not.
- [C1NumericBox] Fixed the issue that increment number is not shown and
  application stopped working when clicking increment button in C1NumericBox.(TFS-69299)
- [C1NumericBox] Fixed the issue that when a C1NumericBox is bound with another
  C1NumericBox, it's value cannot change once it hit maximum or minimum value.(TFS-56483)

### Improvements

- [C1ContextMenu] Show C1ContextMenu when holding on touch screen.

## C1.Silverlight.Chart

### Bug fixes.

- Fixed problem with label position in pie chart when starting angle is negative (TFS 68670).

## C1.Silverlight.DataGrid

### Bug fixes

- DataGridNumericConverter changed to convert DBNull values to null.

## C1.Silverlight.FlexGridFilter

### Bug Fixes

- Exception raised when filtering.
- Getting cell values was not working correctly when the binding of the column was using XPath.

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that C1PdfViewer is automatically scrolled down on double clicking a word.(TFS-69317)
- Fixed the issue that circle bullets are replaced with rectangles in c1PdfViewer.(TFS-69432)

## C1.Silverlight.TileView

### Bug fixes

- [C1TileView] When moving TileViewItem, item is moved in inconsistent
  order.(TFS-69891)

# Release version 5.0.20141.401 - 06/09/2014

## C1.Silverlight

### Bug fixes

- C1ListViewer item was burred when zooming-in using ZoomAnimation().
- C1TapHelper Holding event implemented for these platforms.

## C1.Silverlight.DataGrid

### Bug fixes

- Viewport.CellsRange was raising an exception if the range was invalid, now it returns null.

## C1.Silverlight.Extended

### Bug fixes

- C1BasicColorPicker keyboard navigation fixed.

## C1.Silverlight.FlexGrid

### Bug Fixes

- Improved the performance of Row.GetData() method.

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that text of bullet list are shown in larger font size.(TFS-67913)
- Fixed the issue that logo images and graphic line are missing.(TFS-67932)
- Fixed the issue that exception occurs when loading certain pdf file.(TFS-64879)

## C1.Silverlight.Theming

### Bug Fixes:

- In Theming.Office2013 foreground was not propagated because the usage of an implicit style
  whose forground was set.

# Release version 5.0.20141.400 - 05/26/2014

## C1.Silverlight

### Bug fixes

- C1ListViewer was not honoring Horizontal and VerticalAlignment properties of the items.

## C1.Silverlight.DataGrid.Summaries

### Bug fixes

- DataGridGroupWithSummaryRowPresenter template was not displaying the background set by the user.

## C1.Silverlight.Docking

### Bug Fixes:

- [C1DockControl] Fixed the issue that C1DockTabControl does not fill the
  C1DockControl when 'Save' and 'Load' methods of 'C1DockControl' are used.(TFS-64655)

## C1.Silverlight.Extended

### Bug fixes

- [C1PropertyGrid] SubProperties of type ObservableCollection
  are not displayed correctly in C1PropertyGrid(TFS-47538)

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that image of pdf file appears smudged when viewed in C1PdfViewer.(TFS-64196)
- Fixed the issue that circle bullets are replaced with rectangles (TFS-67027)
- Fixed the issue that NullReferenceException occurs when loading pdf file containing input controls.(TFS-67138)
- Fixed the issue that dotted line is replaced with square characters.(TFS-67250)
- Fixed the issue that CryptographicException occurs when loading password protected pdf file.(TFS-67198)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that formatting when pasting from Outlook/Word not
  formatted correctly.(TFS-65254)
- Fixed the isue that ArgumentNullException occurred when removed link from
  hyperlink text after removed underline from it.(TFS-63328)

# Release version 5.0.20141.399 - 05/12/2014

## C1.Silverlight

### Bug fixes

- [C1ComboBox] Fixed the issue that incorrect Item Selection with Condition
  property as 'Contains'.(TFS-64874)
- [C1TreeView] Fixed the issue AutoSearch not working for selected keyboard language
  (TFS-61298)
- [C1TabControl] Fixed the issue that the views and view models were not being
  garbage collected When UnselectedContentMode is set to Collapsed.(TFS-47360)

## C1.Silverlight.Docking

### Bug Fixes:

- [C1DockControl] Fixed the issue that Close button is displayed even after
  setting 'CanUserHide' to 'False' for C1DockTabControl.(TFS-64722)

### Improvements

- [C1DockControl] Support float tab control when dragging.

## C1.Silverlight.MediaPlayer

### Improvements

- [C1MediaPlayer] Add MediaStreamSource to C1MediaItem to play WAV files.(TFS-62948)

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that characters are too close and nearly overlapped in loaded pdf file.(TFS-65171)
- Fixed the issue that unlike previous build, Table UI , logo image, checkbox, barcode,
  header text are not displayed.(TFS-65374)

# Release version 5.0.20141.398 - 05/03/2014

## C1.Silverlight

### Bug fixes

- C1DragHelper property Origin of DragStarted event args was returning a wrong value
  when performed with the finger.

## C1.Silverlight.DataGrid

### Bug fixes

- Tab KeyPress event was incorrecly handled when no cell with a focusable control was found.
- Printed data grid was not considering the height of the rows.

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that some characters do not show PdfViewer.(TFS-64926)
- Fixed the issue that some characters render incorrectly in PdfViewer.(TFS-64954,63001)
- Fixed the issue that some white vertical lines are appeared upper the texts in C1PdfViewer.(TFS-64971)

# Release version 5.0.20141.397 - 04/28/2014

## C1.Silverlight

### Bug fixes

- Property path setter and getter were modified to support nested indexed path's
  as well as Default Visual Basic properties.

## C1.Silverlight.FlexGrid

### Bug Fixes

- Recycle templated cells to improve performance and avoid memory leaks (TFS 47354)

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that "Search" function does not work correctly.(TFS-64697)
- Fixed the issue that uncorrect text renders in text box.(TFS-64707)
- Fixed the issue that uncorrect text renders in PdfViewer.(TFS-64704,TFS-64863)
- Fixed the issue that some formula and texts and table are not shown correctly in c1PdfViewer.(TFS-64730)

## C1.Silverlight.ReportViewer

### Bug Fixes:

- Fixed the issue that exception occurs when loading PDF file.(TFS-47505)

# Release version 5.0.20141.396 - 04/24/2014

## C1.Silverlight

### Bug fixes

- [C1NumericBox] Fixed the issue that ArgumentOutOfRangeException occurs when
  deleting the initial value '0' in c1NumericBox.(TFS-64508)

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that checkboxes are displayed as unknown characters.(TFS-64441)
- Fixed the issue that incorrect characters rendering.(TFS-64457,TFS-64459,TFS-64468,TFS-64482,TFS-64495,TFS-64483,TFS-64521,TFS-64522,TFS-64674)
- Fixed the issue that font size render too large when load certain file.(TFS-64462,TFS-64467,TFS-64510)
- Fixed the issue that incorrect text location and overlapped text rendering.(TFS-64460,TFS-64472,TFS-64511,TFS-64562,TFS-64647,TFS-64649)
- Fixed the issue that IndexOutOfRangeException occurs on dragging the mouse on Japanese Kanji characeter.
  (TFS-64404)
- Fixed the issue that PdfViewer can not scroll text into view.(TFS-64519,TFS-64523,TFS-64632)
- Fixed the issue that strange block renders in PdfViewer.(TFS-64444)
- Fixed the issue that text missing and small in PdfViewer.(TFS-64585)
- Fixed the issue that correct word cannot be selected while searching texts on loading chinese pdf file.(TFS-64646)

# Release version 5.0.20141.395 - 04/21/2014

## C1.Silverlight

### Bug fixes

- [C1NumericBox] Fixed the issue that zero could not be entered after a decimal
  point in C1Numericbox even is the set format is 'F2' or 'N2'.(TFS-63178)
- [C1NumericBox] Fixed the issue that cursor does not shifts its position if the
  digit which occurs after the decimal point is typed again after the decimal for the
  second time.(TFS-63470)
- [C1MaskTextBox] Fixed the issue that 'VerticalScrollBar' doesn't fully
  shown as C1MaskTextBox's height.(TFS-63405)

## C1.Silverlight.DataGrid

### Bug fixes

- Unselect row when Ctrl key was pressed and selection mode is multi-row.

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that text are not correctly selected on searching the value in pdf file.
  (TFS-63384)(TFS-63398)(TFS-63691)
- Fixed the issue that watermark text are not correctly displayed in loaded pdf file.(TFS-63402)
- Fixed the issue that some words and numbers are changed large font size in C1PdfViewer.
  (TFS-63397)(TFS-63469)
- Fixed the issue that text are not correctly aligned
  when Chinese and English characters are on the same page(TFS-63431)
- Fixed the issue that IndexOutOfRangeException occurs on loading pdf file.(TFS-63480)
- [WPF] Fixed the issue that C1PDFViewer displays some blank pages.(TFS-50602)
- Fixed the issue that some text overlapped when loading certain pdf file.(TFS-63514)
- Fixed the issue that exception occurs on opening certain pdf file.(TFS-63840)

## C1.Silverlight.Schedule

### Bug Fixes

- Fixed issue with incorrect drag&drop behavior in the C1Scheduler, when Application.Current.RootVisual uses RightToLeft FlowDirection (Tfs 63580).

## C1.Silverlight.TileView

### Bug fixes

- [C1TileView] Unlike previous build, ArgumentNullException
  occurs when clearing all c1TileViewItem if one item is maximized.(TFS-63559)

# Release version 5.0.20141.394 - 04/07/2014

## C1.Silverlight.DataGrid

### Bug fixes

- Row validation background disappears when scrolling up and down.

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that text are overlapped in scanned pdf.(TFS-61707)
- Fixed the issue that text IndexOutOfRangeException occurs on loading the pdf file.
  (TFS-61708)(TFS-62919)(TFS-61726)
- Fixed the issue that text NullReferenceExecption occurs on loading the pdf file.(TFS-62873)
- Fixed the issue that texts are not shown on loading Pdf file.(TFS-61729)
- Fixed the issue that some texts are getting lost except from first characters in Vietnamese pdf file
  (TFS-61731)
- Fixed the issue that some texts are overlapped on loading Pdf file.(TFS-62861)
- Fixed the issue that spaces disappear.(TFS-62867)
- Fixed the issue that long time to load a file.(TFS-63083)
- Fixed the issue that some texts inside the table
  are shown in larger font size when loading pdf file.(TFS-63001)
- Fixed the issue that texts in specific rectangle are not shown in C1PdfViewer.(TFS-63039)
- Fixed the issue “Find text” textbox is not able to search text
  on loading the pdf file containing both English and Japanese text.
  (TFS-62879)(TFS-63053)(TFS-62939)(TFS-63290)(TFS-63297)
- Fixed the issue that some words are become large font size in c1PdfViewer.(TFS-61728)
- Fixed the issue that blank pages are shown in C1PdfViewer.(TFS-63009)
- Fixed the issue that header text is shown improperly in c1PdfViewer.(TFS-63266)
- Fixed the issue that some texts are missing on loading report type 'RPC' format in C1ReportViewer.(TFS-63300)
- Fixed the issue that NullReferenceException occurs when trying to go to page 31 in c1PdfViewer.(TFS-63283)

## C1.Silverlight.ReportViewer

### Bug Fixes:

- Fixed the issue that texts are not displayed correctly
  when loading pdf file in C1ReportViewer(TFS-62877)

# Release version 5.0.20141.393 - 03/31/2014

## C1.Silverlight

### Bug fixes

- [C1TreeView] Drag Drop between two C1TreeView controls leaves drag
  impression on source C1TreeView.(TFS-56613)
- GetPropertyValue extension was not evaluating the path correctly when it has the
  following structure "[xxx.xxx]".
- C1ListBox problem with scrollbar's visibility fixed.

## C1.Silverlight.PdfViewer

### Bug Fixes:

- [WPF] Fixed the issue that bullets are replaced with ! in loaded pdf file.(TFS-60642)
- Fixed the issue that ArgumentException is thrown when open certain pdf file.(TFS-61429)
- Fixed the issue that overlapped text shown.(TFS-61659)
- Fixed the issue few chinese characters are not rendered correctly.(TFS-49010)
- Fixed the issue Japanese pdf file is not rendered properly in C1PdfViewer.(TFS-47215)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that "LayoutCycle" exception is observed when numerous
  (>130) C1RichTextBox controls are added at runtime.(TFS-51019)
- Fixed the issue that MouseWheel event does not get fired.(TFS-52050)
- Fixed the issue that images resized in RichTextBox do not maintain scaling
  when exported to C1PdfViewer.(TFS-60648)
- Fixed the issue that list alignment now working with ToolBar.(TFS-56762)

# Release version 5.0.20141.391 - 03/18/2014

## C1.Silverlight

### Bug fixes

- [C1TreeView] Fixed the issue that xamlParseException is thrown when Items.Add
  method is called in C1TreeView.(TFS-49409)
- [C1TabControl] Fixed the issue that C1TabControl cannot be accessed through UI
  Automation Client.(TFS-56098)
- [C1NumericBox] Fixed the issue that IsTabStop property doesn't work.(TFS-55599)
- [C1TabControl] Fixed the issue that exception occurs if C1TabItems are added
  after closing tabitems while UpdateSourceCollection=False.(TFS-50752)

### Improvements

- [C1TreeView] Added support for expanding/collapsing tree nodes with double-click.

## C1.Silverlight.Automation

### Bug fixes

- Merged the Automation of C1TabControl and C1TabItem to main folder.(TFS-52057)
- Fixed SelectedIndex issue in C1TabControl automation.(TFS-51130)

### Improvements

- Added automation peers for C1DataGrid.

## C1.Silverlight.Chart

### Bug fixes.

- Improved clipping for line charts, previously the lines may appear outside
  plot area.
- Fixed exception when zooming polygon chart(TFS 51384).
- Plot areas are visible only for charts with Cartesian axes(TFS 50722).
- Fixed exception when adding plot areas(TFS 50312).
- Fixed exception when using mouse wheel for scaling(TFS 50369).
- The point labels are hidden for collapsed series(TFS 50488).

### Improvements.

- Added new property DataSeries.AggregateGroupSelector that allows to specify custom
  function for aggregating data along x-axis.

## C1.Silverlight.Data

### Bug Fixes

- fixed issue with not firing PropertyChanged event for cases when DataColumn.ColumnEscapeName is different from the DataColumn.ColumnName
  (http://our.componentone.com/groups/topic/c1datatable-reject-changes/).

## C1.Silverlight.DataGrid

### Bug fixes

- Clipping issue fixed when resizing the browser and star columns were present.
- Focus is not shown in the cell when AddNewRow is clicked.(TFS-51185)
- Tab navigation was not considering merged cells.
- Enter, Backspace and Escape key strokes was being handled incorrectly when performed
  in the row details.
- When ctrl+v is pressed and clipboard dialog is displayed garbled character was entered.
- Exception raised when tabbing in the filter row.
- When ctrl+c is pressed and clipboard dialog is displayed garbled character was entered.
- Override default Tab key behavior for filter row, in order to follow columns order and display hidden cells.

## C1.Silverlight.Docking

### Bug Fixes:

- [C1DockTabControl] Fixed the issue that unhandled exception thrown on
  dragging the splitter bar.(TFS-56183)
- [C1DockControl] Fixed the issue that DockTabControl's area is appeared
  when changing DockMode property sliding to floating state.(TFS-55654)
- [C1DockTabControl] Fixed the issue that two clicks require to close
  C1DockTabItem after opening TabStripMenu at floating mode.(TFS-51525)
- [C1DockControl] Fixed the issue that Multiple Dropdown lists could be opened
  at the same time in C1DockControl.(TFS-50852)

## C1.Silverlight.Extended

### Breaking changes

- C1SpectrumColorPicker template parts changed.
- Type of the property ExpandDirection of the controls C1Expander and C1Accordion was
  changed from C1.Silverlight.Extended.ExpandDirection to C1.Silverlight.C1ExpandDirection.

### Bug fixes

- C1SpectrumColorPicker keyboard navigation was not working.

### Improvements

- Animations added to C1Accordion.
- C1SlideContentControl control added.

## C1.Silverlight.FlexGrid

### Improvements

- Take row visibility into account when rendering alternate rows.

## C1.Silverlight.FlexGridFilter

### Bug Fixes

- Added support for DBNull values in filter (in addition to regular null values)

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that unlike previous build, logo image is covered up by unknown
  multi color lines.(TFS-55871)
- Fixed the issue that unlike previous build, some formula symbols are replaced by
  rectangle in c1PdfViewer.(TFS-55899)
- Fixed the issue that 'NullReferenceException' is observed on loading certain pdf file.
  (TFS-55844)
- [WPF] Fixed the issue that InvalidOperationException occurs when trying to print
  scanned pdf file in C1PdfViewr.(TFS-56093)
- Fixed the issue that unlike previous build, some bracket is not shown in C1PdfViewer.
  (TFS-52279)
- Fixed the issue that unlike previous build, NullReferenceException occurs when trying
  to go to next page.(TFS-54416)
- Fixed the issue that red cross are shown instead of images in C1PdfViewer.(TFS-51666)
- Fixed the issue that text render incorrectly in C1PDfViewer.(TFS-51663)
- Fixed the issue that formatException occurs when loading scanned image pdf file.(TFS-51681)
- Fixed the issue that unlike previous build, text in logo image are displayed in
  reverse order.(TFS-51729)
- Fixed the issue that unlike previous build, Images are displayed at incorrect
  position in c1PdfViewer.(TFS-51755)
- Fixed the issue that logo image is overlapped by black rectangle in C1PdfViewer.
  (TFS-51917)
- Fixed the issue that unlike previous build, bullets are replaced with rectangles.
  (TFS-50952)
- Fixed the issue that customer's pdf file do not load in C1PdfViewer.(TFS-23668)
- Fixed the issue that C1PDFViewer can not veiw properly certain pdf file.(TFS-29951)
- Fixed the issue that background color is not rendered & few text appears garbled
  when loading specific pdf file.(TFS-43306)
- Fixed the issue that gray background is shown instead of gradient background.
  (TFS-49683)
- Fixed the issue that certain pdf file does not load in C1PdfViewer.(TFS-50044)
- Fixed the issue that all the spaces infront of the found text are selected when
  typing in the "Search" box after loading the Japanese pdf file.(TFS-51100)
- Fixed the issue that Text is displayed with incorrect background color when
  loading the pdf file in C1PdfViewer.(TFS-33008)
- Fixed the issue that Pdf Not Displaying Properly.(TFS-21476)
- Fixed the issue that image are converted to gray scale when open with C1PDFViewer.
  (TFS-23932)
- Fixed the issue that unlike previous build ,bullets are replaced with unknown characters.
  (TFS-51312)
- Fixed the issue that number renders incorrectly.(TFS-51263)
- Fixed the issue that text font size are getting increased.(TFS-51448)
- Fixed the issue that targetInvocationException is raised on loading the certain pdf file.
  (TFS-34549)
- Fixed the issue that unlike previous build, typed text in "Search" box is not
  selected in C1PdfViewer if pdf file containing Chinese characters is loaded.(TFS-50832)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that underline is not removed after removing
  existing hyperlink.(TFS-57184)
- Fixed the issue that no word is pasted when pressing Ctrl+v after
  pressing Ctrl+x twice or more.(TFS-33108)
- Fixed the issue that strikethrough line does not work after conversion
  to "Rtf".(TFS-48586)
- Fixed the issue that image present in loaded RTF file cannot be
  deleted.(TFS-50685)

## C1.Silverlight.RichTextBox.Toolbar

### Bug fixes:

- Fixed the issue that duplicate signal shown in C1RichTextToolbar.(TFS-50502)

## C1.Silverlight.SpellChecker

### Bug fixes:

- [C1SpellChecker] In 'BadWordFound' event, 'e.Cancel=true' thrown the exception.(TFS-24778)

# Release version 5.0.20133.382 - 01/31/2014

## C1.Silverlight

### Bug fixes

- [C1ListViewer] Items disappear after applying a theme.
- [C1TabControl] Fixed the issue that DisplayMemberPath property does not work
  in Silverlight C1TabControl.(TFS-49835)

## C1.Silverlight.DataGrid.Excel

### Bug Fixes

- Height of the rows was considering the details when expoted to excel.

## C1.Silverlight.Extended

### Bug fixes

- C1SpectrumColorPicker moving the pointer with the keyboard was not working properly.
- C1HexColorBox cursor is set a the wrong position when ShowSharpPrefix is set to true.

# Release version 5.0.20133.381 - 01/27/2014

## C1.Silverlight

### Bug fixes

- [C1ListViewer] HorizontalContentAlignment and VerticalContentAlignment properties
  were bound to analogous properties of the items, and the default values were set
  to Left and Center.
- [C1TreeView] [SL4][SL5][WPF][C1TreeView] Unlike previous build , C1TreeViewItems
  are invisible when changing Built-in Theme.(TFS-49075)
- [C1TabControl] Fixed the issue that next button is still shown when all
  C1TabItems are collapsed.(TFS-49820)
- Properties propagation was overwriting the properties set through a style which
  is based on another style.
- Content of the ScrollViewer is clipped incorrectly when Padding property is set.
- [C1ComboBox] Fixed the issue that disabled items can be selected via keyboard in
  databound C1ComboBox.(TFS-49788)

## C1.Silverlight.Automation

### Improvements

- Added automation peers for the next controls (supported patterns in the brackets):
  C1TimeEditor (Value, RangeValue)
  C1DatePicker (Value, ExpandCollapse)
  C1DateTimePicker (Value)
  C1TileBase (Invoke)
  C1Calendar (Selection)
  C1CalendarItem
  DaySlotPresenter (SelectionItem)

## C1.Silverlight.Chart

### Bug fixes.

- Fixed varios issues with plot area appearence(TFS 49628, 49674, 49681).

## C1.Silverlight.DataGrid

### Bug fixes

- Paste feature was modified to paste the clipboard content in the current cell when
  it is not formatted.
- Avoid entering in edit mode when Ctrl key is pressed.

## C1.Silverlight.DateTime

### Improvements:

- Added automation support. Requires C1.Silverlight.Automation assembly reference.
  Supported automation patterns:
  C1TimeEditor (Value, RangeValue)
  C1DatePicker (Value, ExpandCollapse)
  C1DateTimePicker (Value)

## C1.Silverlight.FlexGrid

### Bug Fixes

- Avoid entering in edit mode when double click in a cell that already was in edit mode.

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that numbers render out of circle.(TFS-50321)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that ArgumentOutOfRange Exception occurs in loading html
  file into C1RichTextBox.(TFS-49798)
- Fixed the issue that "Index and length must refer to a location within
  the string" exception throw when copy and paste some specific text.(TFS-49818)
- Fixed the issue that XamlParse Exception occurs when setting the
  string containing <span> tag to C1RichTextBox.Html.(TFS-49793)

## C1.Silverlight.Schedule

### Improvements:

- Added automation support. Requires C1.Silverlight.Automation assembly reference.
  Supported automation patterns:
  C1Calendar (Selection)
  C1CalendarItem
  DaySlotPresenter (SelectionItem)

## C1.Silverlight.Tile

### Improvements:

- Added support for Invoke automation pattern. Requires C1.Silverlight.Automation assembly reference.

# Release version 5.0.20133.380 - 01/20/2014

## C1.Silverlight

### Bug fixes

- [C1TabControl] Fixed the issue that IE does not respond when clicking 'Next'
  button at C1TabControl in which TabItem is hidden.(TFS-49486)
- [C1ComboBox] Fixed the issue that full class name of the underlying data
  source is displayed when item with empty text is selected.(TFS-49667)
- [C1TreeView] Unlike previous build , Horizontal scrollbar does not work
  although AutoScrollMode is set to "Both" and C1TreeViewItem content does not fit
  in the current ViewPort.(TFS-49066)
- [C1TreeView] Unlike previous build , ArgumentNullException occurs when
  leaving the edit mode in EditTemplate of C1TreeView.(TFS-49351)

## C1.Silverlight.Chart

### Bug fixes.

- Fixed the problem when using zoom with area stacked chart(TFS 49275).

## C1.Silverlight.Maps

### Bug fixes:

- Fix the issue that TargetZoomSpeed can't work well.

## C1.Silverlight.PdfViewer

### Bug Fixes:

- [WPF] Fixed the issue that unknow rectangle is showen when mouse dragging.
  (TFS-49023)
- Fixed the issue that win32 exception occurs when trying to select text of signed pdf
  .(TFS-49675)
- Fixed the issue that image/graphic is shown with black background.(TFS-35635)
- Fixed the issue that pdf is not rendered properly in C1PDFViewer.(TFS-24581)
- Fixed the issue that keyNotFoundException is raised on loading the Pdf file.
  (TFS-20258)
- Fixed the issue that pdF File is not rendered properly.(TFS-30107)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that "Up" Keyboard navigation not possible on loading
  a xhtml document in C1RichTextBox containing "div" tags.(TFS-49273)

# Release version 5.0.20133.378 - 01/13/2014

## C1.Silverlight

### Bug fixes

- [C1TabControl] Fixed the issue that unable to move Tabs with Single Click
  on Navigation button with Hidden TabItems.(TFS-46163)
- [C1TreeView] Unlike previous build , C1TreeViewItems cannot be expanded
  by setting IsExpanded property in code.(TFS-49053)
- [C1TreeView] Unlike previous build , C1TreeViewItems cannot be expanded
  by setting IsExpanded property in code.(TFS-49057)
- [C1TreeView] Unlike previous build , SelectedBackground is not fully
  displayed in C1TreeView.(TFS-49056)

### Improvements

- [C1TreeView] Add SelectionChanging event for C1TreeView.(TFS-46500)

## C1.Silverlight.Docking

### Bug Fixes:

- [C1DockControl] Fixed the issue that docking diamond is showed in DockTabItem
  while dragged it out of the floating DockTabControl.(TFS-49030)

## C1.Silverlight.PdfViewer

### Bug Fixes:

- [WPF] Fixed the issue that extra spaces are added in between of some words.(TFS-49024)

## C1.Silverlight.Schedule

### Improvements

- added support for cases when working time should last from one day to another.
  If CalendarHelper.EndDayTime property value less than CalendarHelper.StartDayTime property value,
  working time will be represented as 2 time intervals - from day start to CalendarHelper.EndDayTime
  and from CalendarHelper.StartDayTime to day end.
  The C1Scheduler control honors this setting when ShowWorkTimeOnly property is true.
  Note, when ShowWorkTimeOnly is true, the C1Scheduler always shows the full hour.
  So some free time might be included into the view.

# Release version 5.0.20133.377 - 01/06/2014

## C1.Silverlight

### Improvements

- [C1TreeView] Implement Virtualization for C1TreeView.

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue unlike previous build,unlike previous build, some texts become
  large font size in C1PdfViewer.(TFS-48565)
- Fixed the issue unlike previous build,unlike previous build, text are not clearly
  shown in scanned pdf.(TFS-48560)
- [WPF] Fixed the issue unlike previous build, vertical lines are shown when
  scanned pdf is loaded.(TFS-48537)
- [WPF] Fixed the issue unlike previous build , some italic texts are not
  correctly displayed in C1PdfViewer.(TFS-48909)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that UpdateSourceTrigger set to "PropertyChanged" value does
  not work correctly.(TFS-30551)
- Fixed the issue that extra english character is displayed
  between the Japanese Hiragana characeters.(TFS-48589)
- Fixed the issue that right edge of table is not rendered when it is
  distribured on two C1RichTextBoxes and its width is more than 1000px.(TFS-42226)
- Fixed the issue that exception thrown when pressing Delete key in
  copied-pasted text.(TFS-48858)

## C1.Silverlight.Schedule

### Improvements

- the C1Scheduler.BeforeViewChange event is fired before the view is changed with the C1Scheduler.ChangeStyle command.
- added new method to the C1Scheduler control:
  protected virtual void OnChangeStyleCommand(ExecutedRoutedEventArgs args);
  Handles the C1Scheduler.ChangeStyle command.
  Override this method to alter the default behavior.

# Release version 5.0.20133.376 - 12/30/2013

## C1.Silverlight

### Bug fixes

- C1FilePicker was raising exception when setting FilterIndex property.

## C1.Silverlight.DataGrid.Summaries

### Bug fixes

- Exported summary cells were showing incorrect values when copy and paste.

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue unlike previous build, applied underline styles are missing in some
  titles.(TFS-48185)
- Fixed the issue unlike previous build, German texts are not shown in C1PdfViewer.
  (TFS-48172)
- Fixed the issue unlike previous build, dotted lines are missing in C1PdfViewer.
  (TFS-48195)
- Fixed the issue unlike previous build, text are not displayed in C1PdfViewer
  if these are added inside the box or rectangle.(TFS-48208)
- Fixed the issue pdfParserException raised on viewing certain Pdf file(Support
  ASCIIHexDecode,RunLengthDecode).(TFS-40257)
- Fixed the issue unable to view scanned pdf file in C1PDFViewer.(TFS-33170)

## C1.Silverlight.ReportViewer

### Bug Fixes:

- Fixed the issue that Unlike previous build, NullReferenece exception occurs on
  loading HTML file(TFS-48280)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that incorrect selected text is shown when some text
  with new line characters is deleted.(TFS-42267)

# Release version 5.0.20133.375 - 12/23/2013

## C1.Silverlight

### Bug fixes

- C1FilePicker was displaying the name of a selected file after calling ClearSelection
  and setting Multiselect.
- [C1ComboBox] Fix the issue that cursor does not remain in C1ComboBox after
  selecting the item.(TFS-47762)
- [C1ComboBox] Fix the issue that keyboard navigation does not work correctly
  if any item of underlying datasource contains empty space.(TFS-46962)

## C1.Silverlight.FlexGrid

### Bug Fixes

- Editing value was not committed when using a combobox inside a template cell.

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that CloseDocument can not release memory.(TFS-47441)
- Fixed the issue unlike previous build , Japanese text are not displayed in
  C1PdfViewer.(TFS-47752)
- Fixed the issue 'NullReferenceException' occurred when drag Annotation dialog
  box .(TFS-47858)
- Fixed the issue Blurry text found when viewing the certain pdf file in C1PdfViewer.
  (TFS-44145)

# Release version 5.0.20133.374 - 12/16/2013

## C1.Silverlight

### Bug fixes

- [C1ComboBox] Fix the issue that C1ComboBox is not working correctly if used
  inside CellEditingTemplate of C1FlexGrid.(TFS-45227)

## C1.Silverlight.DataGrid

### Bug fixes

- Error committing value in DataGridTemplateColumn when root of the template was a panel.
- Selecting all the cells and copying to the clipboard was not working fine.

## C1.Silverlight.DataGrid.Excel

### Bug Fixes

- Explicitly defined summary row height is not honored in exported file.
- Aggregate values appear in exported group headers even if C1GroupingWithSummariesBehavior
  is not set for the exporting DataGrid.

### Improvements:

- [Breaking change]If KeepRowHeights export option is set to true then an exported row height is retrieved
  from each certain grid row (DataGridRow.ActualHeight property), instead of from the
  DataGrid.RowHeight property.

## C1.Silverlight.PdfViewer

### Bug Fixes:

- [WPF][PH] Fixed the issue that PdfPasswordException raised on opening the pdf
  file with“owner” password(TFS-42242)
- Fixed the issue unlike previous build , some words and numbers are crashed.
  (TFS-47457)
- Fixed the issue unlike previous build, some texts are not shown in specific rectangle
  area.(TFS-47481)
- Fixed the issue unlike previous build , some numbers become large font.
  (TFS-47525)
- Fixed the issue that larger font size are shown and some text are cut off
  (TFS-47450)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that "Delete cells" option doesn't deletes first cell in
  that row.(TFS-47537)

## C1.Silverlight.Schedule

### Improvements

- added new C1SchedulerSettings.UseMouseWheelForGroupNavigation property. Set it to true to alter default
  mouse wheel behavior in the TimeLineView. By default mouse wheel in the TimeLine view is used for horizontal scrolling to different DateTime intervals.
  When UseMouseWheelForGroupNavigation is true and there are some invisible groups, mouse wheel will navigate C1Scheduler
  in the vertical direction to other group items.
  ([37755-139][SL Schedule] Request to suggest a way to enable Vertical Scrolling with MouseWheel when Grouping is enabled in TimeLine View)

# Release version 5.0.20133.373 - 12/09/2013

## C1.Silverlight

### Bug fixes

- [C1Menu] Fix the issue that if we right click after opening menu of C1Menu,
  the menu does not get close automatically even 'AutoClose=True'.(TFS-46917)
- [C1ComboBox] Fix the issue that after typing the first character in C1ComboBox
  and selecting the list item, 'SelectedIndexChanged' event is fired twice.(TFS-47270)
- ScrollViewer template changed to render corners more accurately.

## C1.Silverlight.DataGrid

### Bug fixes

- Freezing separator was not working fine when FlowDirection="RightToLeft".
- Copy and Paste to clipboard modified to include a leading column per indent level
  so that group rows with summaries can be exported to excel.

## C1.Silverlight.DataGrid.Excel

### Bug Fixes

- Some symbols like '\', '{' and '}' in aggregate value strings are not shown in an
  exported file.

## C1.Silverlight.FlexGrid

### Bug Fixes

- Resizing a column header was not working fine when zoom was applied in the browser.

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that C1PdfViewer cannot select and find the text on custom create
  pdf file(19965)
- Fixed the issue that C1PdfViewer cannot render wrong text when load certain file.
  (TFS-47139)(TFS-47140)
- Fixed the issue that C1PdfViewer cannot render wrong text when load certain file.
  (TFS-47157)
- [WPF] Fixed the issue that Unlike previous build, Japanese text cannot be
  selected through mouse dragging(TFS-47148)
- [WPF] Fixed the issue that unlike previous build, solid line is replaced with
  dotted line in load pdf file(TFS-47216)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that Chinese characters appear garbled when loaded from
  a RTF file.(TFS-41696)

# Release version 5.0.20133.372 - 12/02/2013

## C1.Silverlight

### Bug fixes

- [C1ComboBox] Fix the issue that vertical scrollbar does not scrollup when item
  selection reach to the certain C1ComboBox item.(TFS-45457)
- [C1Window] Fix the issue that when restore the maximizing C1Window, C1Window's
  width and height aren't changed.(TFS-42577)
- 'IsEnabled=False' property set in Style tag that not applied on some wpf
  controls.(TFS-42144)

## C1.Silverlight.DataGrid

### Bug fixes

- Error in the layout when pressing Ctrl+V twice.

## C1.Silverlight.DataGrid.Summaries

### Bug fixes

- Summary cell was showing nothing by default, ResultFormat property default value
  was changed to "{0}".
- Unhandled exception is thrown when '&' character is included in ResultFormat property of DataGridAggregate.
- Aggregate result was not taking double-braces into account.

### Improvements:

- DataGridSummaryRow provides the aggregate results as text to be used in clipboard operations.

## C1.Silverlight.Maps

### Bug fixes:

- Change the attached property name "LatLong" to "LongLat" of C1MapCanvas class.(TFS-32762)

## C1.Silverlight.PdfViewer

### Bug Fixes:

- [WPF] Fixed the issue that C1PdfViewer is scrolled down when japanese text
  is selected using the mouse(46757)
- Fixed the issue that Unlike previous build, it takes longer time to see the
  pdf content(46856)
- Fixed the issue that garble text render when load japanese file.(TFS-46461,TFS-46462)

# Release version 5.0.20133.371 - 11/25/2013

## C1.Silverlight

### Bug fixes

- Fix the issue that even on setting CurrentUICulture to English, display is in Japanese.(TFS-43302)

### Improvements

- C1ProgressBar added.

## C1.Silverlight.DataGrid

### Bug fixes

- Selection of columns was not working properly when the last row was added or removed.

## C1.Silverlight.DataGrid.Excel

### Bug Fixes

- Wrong alignment of aggregate values in group headers.

### Improvements:

- If DataGridAggregate's formatting is defined via the ResultFormat property, instead of
  ResultTemplate, then formatted values will be exported exactly as they shown in C1DataGrid .

## C1.Silverlight.DataGrid.Summaries

### Improvements:

- DataGridAggregate.ResultFormat property added to allow specifying the result as a
  formatted string, which can be exported to excel.

## C1.Silverlight.Docking

### Bug Fixes:

- [C1DockTabControl] Can't drag the last tab item from one floating C1DockTabControl
  to another floating C1DockTabControl.

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that text overlapped when loaded certain text.(46315)
- Fixed the issue that lines of text are missing in loaded pdf file.(46310)
- Fixed the issue that PdfViewer render rectangle by using unicode.(46317)
- Fixed the issue that incomplete dynamic bit lengths tree xxx occurs on loading
  the pdf file containing the input controls.(44649)
- Fixed the issue that Inflating error is raised on loading the certain pdf
  file.(33728)
- Fixed the issue that C1.C1Zip.ZLib.ZStreamException occurs when pdf file with
  graphic is opened(33003)
- Fixed the issue that Win32 exception raised on loading
  AcroForm pdf file if RenderMode=System.(46458)
- Fixed the issue that the page are overlapped and are bigger than the container.
- Fixed the issue that incorrect links are displayed in the RequestNavigate event
  (45697)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that text gets garbled when 4byte character is selected.(TFS-4013)

# Release version 5.0.20133.369 - 11/18/2013

## C1.Silverlight.DataGrid

### Bug fixes

- Bug related to the groups when setting ItemsSource in a grid that was previously
  grouped with a different source.
- Resizing a column was not working correctly when FlowDirection="RightToLeft".

## C1.Silverlight.FlexGrid

### Bug Fixes

- Selecting template cells when the original event was handled was not working properly.

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that in C1PdfViewer, wrong character is displayed.(TFS-29618)
- Fixed the issue that in C1PdfViewer, extra spaces is displayed.(TFS-44523)
  (TFS-33260)
- Fixed the performance issue with pdfviewer when RenderMode= System.

## C1.Silverlight.ReportViewer

### Bug Fixes:

- Fixed the issue that wrong page text rendering when changed viewer mode.
  (TFS-45716)
- Fixed the issue that Some found occurence are not highlighted
  when searching in 'Find' textbox (TFS-46029)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that "Top" Padding is removed on setting "Bottom" padding and
  vice versa for Table Cells in C1RichTextBox.(TFS-41281)

# Release version 5.0.20133.367 - 11/11/2013

## C1.Silverlight

### Breaking Changes

- C1ListViewer.ItemTap, ItemClick and ItemHold events were marked as "Obsolete",
  use ItemTapped and ItemHolding instead.

### Bug fixes

- C1ListViewer items whose width was bigger than the viewport was being clipped.
- C1ListViewerItem and C1ListBoxItem properties Horizontal/VerticalContentAlignment
  were not honored.
- [C1ComboBox] Fixed the issue that C1ComboBox dropdown is filckering and
  Application hangs if reopen the dropdown when Condition property is set.(TFS-45274)
- [C1ComboBox] Fixed the issue that SelectedIndex property does not correctly
  work after pasting the text.(TFS-45995)
- [C1ComboBox] Fixed the issue that user cannot enter the text in C1ComboBox.
- [C1ComboBox] Fixed the issue that user could not enter Japanese text into
  C1ComboBox.(TFS-45454)
- [C1ComboBox] Fixed the issue that Condition="Contains" property setting
  does not work when C1ComboBox is reopened.(TFS-45268)
- [C1ContextMenu] Fixed the issue that contextmenu does not close on rightclicking
  outside the assigned region.(TFS-45598)
- [C1ContextMenu] Fixed the issue that copy option of ContextMenu does not
  work in C1ReportViewer for Silverlight.(TFS-42922)
- [C1ListViewer] Layout changed to stretch items when the width of the
  items is not specified.
- [C1ListViewer] MouseOverBrush was not being applied correctly.
- [C1ComboBox] Fixed the issue that subsequent typed text are not shown in
  C1ComboBox after clearing the text by pressing "Esc" key.(TFS-45366)
- [C1ComboBox] Fixed the issue that combobox item selection through keyboard
  does not work correctly if Condition="Contains".(TFS-45417)
- [C1ComboBox] ComboBox.Condition.Contains does not update with mouse click.(TFS-44147)
- [C1Menu] Although 'AutoClose' property set 'False', C1Menu are closed
  when click other control.(TFS-43243)
- [C1NumericBox, C1MaskedTextBox] Controls now honour the FrameworkElement.Language
  property. The Culture property is marked as obsolete.
- [C1DragDropManager] Unlike previous build, DragDrop Events do not fire
  correctly.(TFS-42930)
- [C1DragDropManager] Unlike previous build, smaller size of border is shown
  during in drag drop operation.(TFS-43235)
- [C1TabControl] Change of the C1TabControl.TabStripPlacement property value
  may distort control layout under some specific conditions.
- [C1TabControl] C1TabControl with a global close button causes an infinite
  measure/arrange loop when minimized to a length that doesn't fit a single tab.

### Improvements

- C1TapHelper.Holding event added.
- C1ListBox now accept selecting an item by clicking it or tapping it.
- C1ListViewer now support loading items on demand.

## C1.Silverlight.Automation

### Bug fixes

- Silverlight 5 automation assembly can't be loaded even if it's referenced in an application
  project.
- An application may become irresponsive in case where an automation assembly can't be found.

## C1.Silverlight.Binding

### Bug fixes:

- Fix the issue that dll version of C1.Silverlight.Binding.5.dll shown as
  '4.0.20133.360'(TFS-43029).

## C1.Silverlight.Chart

### Bug fixes.

- Chart updates correctly after changing Axis.UseExactLimits property(TFS 23834).

## C1.Silverlight.Chart3D

### Improvements

- Added mouse rotation. The new properties Chart3D.AzimuthAction
  and Chart3D.ElevationAction allow to specify mouse action to change chart
  azimuth and elevation. The azimuth is modified by horizontal mouse movement
  and the elevation is changed by vertical mouse movement. Optionally it possible
  to add keyboard modifier for action with AzimuthActionModifiers and
  ElevationActionModifiers properties.
  e.g.
  // use left mouse button to rotate chart
  chart3D.AzimuthAction = ActionType.LeftMouseDrag;
  chart3D.ElevationAction = ActionType.LeftMouseDrag;
  // use alt + left mouse button to change chart elevation
  chart3D.ElevationAction = ActionType.LeftMouseDrag;
  chart3D.ElevationActionModifiers = ModifierKeys.Alt;
- Added coordinate conversion methods:
  Point3D? PointToData(Point screenPoint)
  Converts 2D screen control coordinates to 3D data coordinates. The method returns
  null if conversion is not possible(e.g. no data corresponds to the specified point).
  Point? DataToPoint(Point3D dataPoint)
  Converts 3D data coordinates to 2D screen control coordinates. The method returns
  null if conversion is not possible.

## C1.Silverlight.DataGrid

### Bug fixes

- Render problem after collapsing group rows detected.
- First key stroke was ignored in template column when entering in edit mode.
- Selecting multiple rows by dragging row headers was not working properly.
- Dragging a frozen column header was not working properly.
- Allow sorting by clicking the column header in the grouping area when CanUserGroup is set to false.
- Avoid setting filter when is the same as the previous one.
- Selection logic was not working fine when ctrl key was pressed.
- Avoid grouping the same column (or two columns with the same group field) twice.

### Improvements

- Selection of rows by dragging the row headers.
- C1DataGrid default template improved.

## C1.Silverlight.DataGrid.Ria

### Bug fixes

- "Not equal" operator was not shown after filtering in numeric and text filters.

## C1.Silverlight.Docking

### Bug Fixes:

- [C1DockTabControl] When in the Sliding mode, if control is resized to a zero length
  then it becomes impossible to resize it back.
- [C1DockTabControl] When dragging a single tab item of a floating C1DockTabControl,
  the latter doesn't move behind the mouse pointer.
- [C1DockTabControl] Closing of a last tab of a floating C1DockTabControl doesn't cause
  closing of the latter. Now it gets DockMode = DockMode.Floating in this case.

## C1.Silverlight.Extended

### Bug fixes

- [C1Book] Fix the issue that C1Book is distorted on changing ‘CurrentPage’
  property when ShowPageFold is set to 'Always'.(TFS-43991)
- [C1PropertyGrid] 'Reset Button' is not appeared even 'ShowResetButton'
  checkbox is ON.(TFS-14100)
- C1Reflector AutoUpdate property was not being honored.
- ColorPicker keyboard navigation fixed.

## C1.Silverlight.FlexGrid

### Bug Fixes

- Printed grid was not honoring MinHeight property.
- In the Japanese version only, require pressing enter twice to finish edit mode (TFS 41823).
- Checkbox state was not changed correctly after entering in edit mode.
- Auto-sizing a column with the mouse was causing the sort operation to be executed incorrectly.
- Selection was not performed when templated cells contain elements that handle mouse events.

## C1.Silverlight.FlexGrid.GroupPanel

### Improvements

- Scroll grid horizontally while dragging columns off the grid (TFS 42448)

## C1.Silverlight.FlexGridFilter

### Bug Fixes

- Fixed problem persisting condition filters for nullable types (TFS 45112)

## C1.Silverlight.Maps

### Bug fixes:

- Fix the issues that Bing maps key can't take effect on C1Maps.

## C1.Silverlight.OutlookBar

### Bug fixes

- [C1Outlookbar] Unlike previous build, icons are not displayed in
  contextmenu of databound C1Outlookbar.(TFS-42026)

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that extra spaces appear when load certain pdf file.(TFS-45523)
- Fixed the issue that spaces disappear when load certain pdf file.(TFS-45525)
- Fixed the issue that bulleted list items are not correctly rendered
  in C1PdfViewer.(TFS-45715)
- Fixed the issue that text clipped when load certain file.(TFS-41690)
- Fixed the issue that certain text can not be found.(TFS-43910)
- Fixed the issue that FreeText can not show.(TFS-42910)
- Fixed the issue that when the acroform pdf file is loaded in C1PdfViewer,
  ListBox and ComboBox shown blank instead of displaying their respective items in them.
  (TFS-42904).
- To support password textbox and readonly textbox for formField .(TFS-42902).
- Fixed the issue that text overlapped and clipped when load certain text file.
  (TFS-41690)(TFS-41981)
- Fixed the issue that when the custom zoom value is set and the
  focus is removed from the zoom combo box, the custom zoom value is shown
  as "set value + 1"(TFS-35402)
- Fixed the issue that Border style is missing in input controls of loaded pdf file.
  (TFS-43664).
- Fixed the issue that When the acroform pdf file is loaded in C1PdfViewer,
  text cannot enter in the blank cell of the table.(TFS-42907)
- Fixed the issue that RequestNavigate event which link self file does not fire.
  (TFS-43305)
- Fixed the issue that Unhandled exception [Input string was not in correct format xxx ]
  occurs.(TFS-42803)
- Fixed the issue that thrown nullreference exception on loading pdf file.(TFS-42804)
- Fixed the issue that thrown unhandled exception on loading pdf file.(TFS-42805)
- Fixed the issue that it does not scroll down to show the found result.(TFS-42909)
- Fixed the issue that Signature and Paragraph are missing in load pdf file.(TFS-42821)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that ArgumentException is thrown when negative value is
  entered for Table's width.(TFS-40487)

## C1.Silverlight.Schedule

### Bug Fixes

- fixed issue with CalendarHelper.EndDayTime set to 24:00
  (http://our.componentone.com/groups/topic/c1scheduler-showworktimeonly-calendarhelper-enddaytime/).

### Improvements

- embedded dialogs honor C1Scheduler.FlowDirection property value (Tfs issue 37061).
- added new properties to the C1SchedulerSettings class:
  public Size AppointmentDialogSize { get; set; }
  Gets or sets the size of the Appointment dialog.
  Note, Appointment dialog is resizable, so this property might be changed at run time if end-user resizes the window.
  public Size AppointmentDialogMinSize { get; set; }
  Gets or sets the minimum size of the Appointment dialog.
  These properties are honored both for default and custom EditAppointmentTemplate.
- added support for touch scrolling. On touch-enabled devices end-user can scroll C1Scheduler by sliding scrollable area.
  The default C1Scheduler control templates have been updated to support touch scrolling. That includes adding
  ScrollViewerTouchBehavior to ScrollViewers and setting C1SchedulerPresenter.PanningDirection property according to the scroll orientation.
  Note, if C1SchedulerPresenter.PanningDirection property is not set,
  all touch interactions will be used for selection and touch scrolling might not work.
  If you use custom control templates and need the same touch support, look at changes in default xaml and update your templates in the same way.

## C1.Silverlight.Theming

### Bug Fixes:

- Added Theming.Office2013 assembly with the White, LightGray and DarkGray themes included.

## C1.Silverlight.Tile

### Bug fixes

- Unlike C1FlipTile, ‘DropShadowEffect’ is not affected in C1Tile and C1SlideTile (Tfs issue 43463).
  Added the new TemplatePart to the C1Tile control. If control template contains element with "contentGrid" name,
  the C1Tile control will clip this element to bounds so that to don't allow animated content get out of control bounds.
  If this template part does not exist in the control template, then the C1TileControl will clip itself.

## C1.Silverlight.Toolbar

### Bug Fixes

- Fixed exception in C1ToolbarStrip after changing theme(TFS 44517).

# Release version 5.0.20132.359 - 09/30/2013

## C1.Silverlight

### Bug fixes

- [C1ContextMenu] Fix the issue that unlike previous build, Show method is
  not working correctly.(TFS-42140)
- [C1Window] Content overlaps window Header when Size is set to a small
  value.(TFS-42070)
- [C1DataGrid] Filter popup does not detect boundary when setting
  ‘FlowDirection – RightToLeft’.(TFS-42248)

## C1.Silverlight.Extended

### Bug fixes

- [C1Book] Page fold is not displayed correctly on turning pages using ‘Page Up’
  key when hovering mouse over book page.(TFS-41091)
- C1ColorPicker was not showing current selected color in basic tab.

### Improvements

- C1SpectrumColorPicker improved to avoid changing hue when it is indeterminate.

## C1.Silverlight.Maps

### Breaking Changes:

- Remove ParentMaps property from C1MapCanvas/C1MapItemsLayer/C1MapTilesLayer/
  C1MapToolsLayer/C1MapVirtualLayer/C1VectorLayer classes.

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that unknown white line is displayed
  in the header of loaded pdf file.(TFS-41693)
- Fixed the issue that when customer's pdf file is viewed in C1PDfViewer ,
  then 'Invalid file format' error is observed.(TFS-42043)
- Fixed the issue that extra spaces are inserted.(TFS-42436)
- Fixed the issue last word of the sentence is not displayed in loaded pdf file.(41690)
- Fixed the issue that text are overlapped.(40275)

### Improvements:

- Provide formfield support to C1PDFViewer.
- Provide annotation support to C1PDFViewer.

## C1.Silverlight.Theming

### Bug Fixes:

- Dropping of a theme from the Toolbox to a page fails if a project that doesn't reference
  the C1.Silverlight assembly at the moment.

## C1.Silverlight.Toolbar

### Bug Fixes

- Toolbar tab item can be activated at design-time(TFS 33257).

# Release version 5.0.20132.358 - 09/23/2013

## C1.Silverlight.Chart

### Bug fixes.

- The ChartView.PlotShape property clears correctly after C1Chart.Reset() method
  (TFS 41719).

## C1.Silverlight.DataGrid.Filters

### Bug fixes:

- DataGridFilterRow was not honoring CanUserFilter property of DataGridColumn.

# Release version 5.0.20132.357 - 09/16/2013

## C1.Silverlight

### Bug fixes

- [C1ComboBox] Unlike previous build, C1ComboBox is not cleared after some
  scenarios.(TFS-41757)
- [C1ListBox] SelectedItems property was not working properly.

## C1.Silverlight.Chart

### Improvements.

- After dropping chart from toolbox the palette is set to Office.

## C1.Silverlight.Maps

### Improvements:

- Add InertialScrolling to C1Maps control in order to enable/disable inertial scrolling.

## C1.Silverlight.OutlookBar

### Bug fixes

- [C1OutlookBar] Unlike previous build, each item
  of bounded data value is displayed twice in C1OutlookItem headers.(TFS-41702)
- [C1OutlookBar] Unlike previous build, data is not correctly displayed
  in header of C1OutlookItem present in unbound C1OutlookBar.(TFS-41700)

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that text are overlapped in loaded pdf file
  when pdf file is loaded into C1PdfViewer.

## C1.Silverlight.RichTextBox

### Improvements:

- Add Ignore property to DocumentHistory which is used to indicates whether
  the action is stored in DocumentHistory or not when change the document.

# Release version 5.0.20132.356 - 09/09/2013

## C1.Silverlight

### Bug fixes

- [C1TapHelper] Double click event was raised despite the distance between points.

## C1.Silverlight.Chart

### Bug fixes.

- AxisPosition.DisableLastLabelOverflow flag works correctly with y-axis(TFS 40250).

## C1.Silverlight.PdfViewer

### Bug Fixes:

- [C1PdfViewer] Unlike previous build, some characters are missing
  when pdf file is loaded into C1PdfViewer.(TFS-41517)

# Release version 5.0.20132.354 - 09/04/2013

## C1.Silverlight.DataGrid

### Bug fixes

- When two colums had the same "Binding" and the underlying data source was grouped by
  that field, two grouped fields were shown in the grouping area.

## C1.Silverlight.Maps

### Bug fixes:

- The position of C1VectorLayer updated correctly after panning(TFS-41501).

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that memory leak with repeated content decoration.(TFS-41420)

# Release version 5.0.20132.353 - 09/02/2013

## C1.Silverlight

### Bug fixes

- [C1ListViewer] items dissapear when theme is changed.

## C1.Silverlight.Extended

### Improvements

- C1Accordion exception raised when changing the theme applied.

## C1.Silverlight.OutlookBar

### Bug fixes

- [C1OutlookBar] Unlike previous build, dynamically added items are
  not correctly displayed.(TFS-41100)

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that image mask render incorrectly. (TFS-41221)(TFS-41228)
- Fixed the issue that text are overlapped and some char render incorrectly. (TFS-41052)
- Fixed the issue that PDFViewer raise an exception when load a certain file. (TFS-41417)

# Release version 5.0.20132.352 - 08/26/2013

## C1.Silverlight

### Improvements

- [C1DropDown] Multiple items are displayed as selected when C1Treeview is used
  inside C1Dropdown.(TFS-40303)

## C1.Silverlight.Chart

### Bug fixes.

- Automatic min/max calculation for auxiliary axes is consistent with main axes.
  Previously it may be different for the constant data values(TFS 41160).

## C1.Silverlight.DataGrid

### Bug fixes

- Exception raised when opening the filter of a combo box column whose ItemsSource is loaded on demand.

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that image background render black in C1PdfViewer. (TFS-41044)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that using Shift+ENTER to break line, multi lines text are
  pasted as single line text.(TFS-41119)

## C1.Silverlight.Schedule

### Improvements

- added new public method to the C1Scheduler control:
  public void NavigateToGroup(int index);
  If the C1Scheduler control is grouped, this method makes sure that the group with the specified index is visible in the UI.
  Parameter index - the index of group in the C1Scheduler.GroupItems collection.
  The sample of using:
  // C1Scheduler.GroupBy = "Category"
  // find group by category
  SchedulerGroupItem group = sched1.GroupItems[sched1.DataStorage.CategoryStorage.Categories[12]];
  // navigate to the found group
  sched1.NavigateToGroup(sched1.GroupItems.IndexOf(group));

# Release version 5.0.20132.351 - 08/19/2013

## C1.Silverlight

### Bug fixes

- [C1TapHelper] Tapped event was not fired correctly in SL and WPF3.5.

## C1.Silverlight.DataGrid

### Bug fixes

- Tapping in an editing control causes editing to be finished unexpectedly.
- Reordering columns in the grouping panel causes an exception if the column is not sorted.

## C1.Silverlight.DataGrid.Excel

### Bug Fixes

- Export time non-linearly grows with grid rows increase in case of big number of columns.
  The performance improvement is actually made in C1Excel.

## C1.Silverlight.Extended

### Improvements

- [C1PropertyGrid] Add PropertyBorderBrush, PropertyBorderThickness
  and EditorPadding property into C1PropertyGrid.

## C1.Silverlight.OutlookBar

### Bug fixes

- [C1OutlookBar] Unlike previous build, image path is displayed instead
  of LargeIcon and SmallIcon.(TFS-40614)

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that image is not display in C1PdfViewer. (TFS-40812)
- Fixed the issue that text location render incorrectly.(TFS-40947)
- Fixed the issue that background render incorrectly.(TFS-40711)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that line breaks are missing when html file is loaded in
  C1RichTextBox.(TFS-40974)

## C1.Silverlight.RichTextBox.Toolbar

### Bug fixes:

- Fixed the issue that watermark is not shown when "Insert Image" dialog
  is opened.(TFS-40616)

# Release version 5.0.20132.350 - 08/12/2013

## C1.Silverlight

### Bug fixes

- [C1ComboBox] When C1ComboBox's Condition property is set to 'Contains', cursor
  move to the initial point as soon as type the text.(TFS-40603)

## C1.Silverlight.Chart3D

### Improvements

- Improved chart layout when XScale/YScale is not equal to 1. The margins from
  control border are smaller and more reasonalble.

## C1.Silverlight.DataGrid

### Bug fixes

- Grouping feature not working when dragging a second column in the grouping area.
- Exception raised when cancelling the editing of a row.
- Group header was not being displayed correctly in the grouping area.
- French translation improved.
- Tapping in the filter frame was causing sort operation to be executed unexpectedly.
- Checkbox state was not changed when tapped with the finger in DataGridCheckBoxColumn.

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that text in the page are not fully displayed. (TFS-40485)
- Fixed the issue that text render slowly. (TFS-40648)

### Improvements:

- Add BlackoutWords property that make specific text as black out.(TFS-29415)

# Release version 5.0.20132.349 - 08/05/2013

## C1.Silverlight

### Bug fixes

- [C1Window] 'Hyperlink' window and 'SpellChecking' window are not in the
  active state when that windows are opened up.(TFS-40369)

### Improvements

- C1TapHelper.RightTapped event added.

## C1.Silverlight.DataGrid

### Bug fixes

- Remove validation error from new row when the editing is canceled.

### Improvements

- Allow grouping without sorting.
- CanceledNewRow and CanceledRowEdit events added.

## C1.Silverlight.Extended

### Bug fixes

- [C1Book] Incorrect behavior is showed when PageMode is changed from
  OnePage to TwoPage at the run time.(TFS-40301)
- [C1Book] Incorrect property description is showed for 'PageMode.TwoPage'.(TFS-40300)

## C1.Silverlight.FlexGrid

### Bug Fixes

- Selecting a second range of cells by pressing ctrl key and dragging the selection was not working correctly.

## C1.Silverlight.OutlookBar

### Bug fixes

- [C1OutlookBar] Unlike previous build, LargeIcon is not shown when
  it is bounded.(TFS-40229)

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that images are not rendered correctly.(TFS-40353)
- Fixed the issue that images are not rendered correctly.(TFS-40449)
- Fixed the issue that images are not rendered.(TFS-40121)
- Fixed the issue that images are not rendered.(TFS-40125)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that after merging table cells, new row cannot insert at
  the below of table.(TFS-40354)

# Release version 5.0.20132.345 - 07/29/2013

## C1.Silverlight

### Bug fixes

- [C1Window] Window is not active on minimizing window when there is a control
  in the content of C1Window.(TFS-33077)
- [C1ComboBox] Unlike MS ComboBox,the selected item is changed when pressing
  End/Home key while the dropdown list is opening.(TFS-33091)
- [C1ComboBox] Unlike MS-ComboBox, selecteditem is still shown in content of
  c1ComboBox although it is removed.(TFS-31637)

## C1.Silverlight.DataGrid

### Bug fixes

- StackOverflow exception thrown when multi-value filter contains more than 60.000 values to compare.
- Error icon on the new row was not disappearing after commiting the row.

## C1.Silverlight.DataGrid.Excel

### Bug Fixes

- [Regression, introduced in build 342] Any attempt to perform export causes an exception.

## C1.Silverlight.Docking

### Bug Fixes:

- [C1DockTabControl] Dragging a C1DockTabControl with a single tab item onto a content
  of another C1DockTabControl may cause an exception.
- [C1DockTab] C1DockTabControl is not displayed at design time if
  'DockMode' is floating.(TFS-19878)
- [C1DockControl] Extra header is showed when floating dockitem is
  docking into another floating dockitem.(TFS-36802)
- [C1DockControl] DockTabItem inside floating DockTabControl
  can be dragged over the DockControl's border(TFS-36800)
- [C1DockControl] At design time, other controls cannot be dragged into
  DockTabItem as child control.(TFS-34680)

## C1.Silverlight.Extended

### Bug fixes

- C1ColorPicker buttons made larger in order to be touched more easily.
- [C1Book] c1BookItem’s Background is not affected if setting color by
  setter.(TFS-32422)

## C1.Silverlight.FlexGrid

### Bug Fixes

- GetClipString and SetClipString methods now respect invisible rows (TFS 39945).

## C1.Silverlight.FlexGrid.GroupPanel

### Initial Release

- The C1FlexGridGroupPanel class provides a UI for manipulating groups in a bound
  C1FlexGrid control.
- The C1FlexGridGroupPanel is an independent element that is connected to a
  C1FlexGrid through the "FlexGrid" property.
- The C1FlexGridGroupPanel shows a panel and allows users to create groups by
  dragging column headers from the grid into the panel. Users can reorder the
  groups by dragging the group markers, or sort and remove groups by clicking
  the group markers.
- The appearance of the group markers is automatically determined by the grid
  that is connected to the C1FlexGridGroupPanel. You don't have to select any
  fonts or brushes.
- The XAML below shows how you would create a C1FlexGridGroupPanel and connect
  it to a C1FlexGrid:
  <!-- Add a grouping UI to the _flex control -->
  <c1:C1FlexGridGroupPanel
  x:Name="_groupPanel" Grid.Row="0" Background="WhiteSmoke"
  FlexGrid="{Binding ElementName=_flex}"
  WatermarkText="Drag column headers here to create groups."
  MaxGroups="8"
  HideGroupedColumns="True"
  DragMarkerColor="#312DFF" />

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that rendered with C1Report display incorrectly.(TFS-34807)
- Fixed the issue that images are not rendered correctly.(TFS-34281)

## C1.Silverlight.RichTextBox

### Breaking Changes

- Integrate rtf filter into C1RichTextBox assembly. Please remove the extra
  RtfFilter assembly in your application from now on.

### Bug fixes:

- Fixed the issue that more than 1 row is inserted when insert one new row in
  merged table.(TFS-36681)
- Fixed the issue that multiple cells are inserted if the table cells are
  merged.(TFS-34458)
- Fixed the issue that focus cursor does not get into user's view after adding new
  row by pressing TAB key.(TFS-39835)
- Fixed the issue that Although hyperlink is removed from C1RichTextBox,
  it is not actually removed in it's html.(TFS-36675)

## C1.Silverlight.Theming

### Bug Fixes:

- Missing toolbox icons for CosmopolitanDark/Office2007Blue/Office2010Blue theme controls.(TFS-34274).

# Release version 5.0.20132.342 - 07/18/2013

## C1.Silverlight

### Breaking Changes

- C1MouseHelper obsolete drag events removed, use C1DragHelper instead.

### Bug fixes

- C1ListViewer.IsSwipeEnabled default value set to false.
- [C1TabControl] Unlike previous build, SelectedIndex property does not work.(TFS-39903)
- [C1Menu] Fix the issue that unhandled exception when leaf nodes in C1MenuList
  are clicked.(TFS-39624)
- [C1TreeView] Unlike previous build, DropDown Box is closed when clicking
  on expand button of C1TreeView.(TFS-39753)
- [C1Window] Although 'IsActive' property is set to false, C1Window is opened in
  the active state.(TFS-37240)
- [C1Window] Unlike previous build, 'NullReferenceException' is occurred on
  setting C1 theme when running ‘Themes2010’ sample.(TFS-39596)
- ScrollViewerTouchBehavior was raising an exception when the Theme was changed.
- [Menu] Second level submenu opens overlapped or far away from its respective
  main menu.(TFS-36748)
- [C1ContextMenu] Submenu of ContextMenu opens far away from its main menu when
  FlowDirection = RightToLeft.(TFS-36734)
- [C1Window] Unlike previous build, Order (ZOrder) is incorrect when another window
  is opened from a window.(TFS-38430)
- [C1TabControl] Unlike previous build, fist tab item is not shown as default selected item.(TFS-35846)
- C1Window could not be resized inwards with the finger.
- [C1NumericBox] Pressing d digit key when a current value is 0.d and is fully selected
  doesn't change the value to d.
  [Xaml][C1TabControl] Unhandled exception is occurred at design-time when drop
  C1TabControl on the design page in a certain scenario.(TFS-36112)
- [C1TreeView] When SelectionMode is set to Multiple, selected
  item does not get unselected by clicking again that item.(TFS-37383)
- [C1TreeView] Scroll thumb is not showed in horizontal and vertical
  scrollbar.(TFS-37338)
- [C1TreeView] Setting TextWrapping property on C1TreeViewItem does not work and text is not wrapped.(TFS-37049)
- [C1TabControl] Unlike previous build, tab item selection gets lost after clicking
  "Pin" button and sorting applied.(TFS-35184)
- CornerRadius of templated ScrollViewer was not being clipped correctly.

### Improvements

- improved C1UniformGrid behavior which honors layout rounding issue
  (http://our.componentone.com/groups/topic/c1uniformgrid-clip-path-fidure-on-sides/).
- Added ScrollViewerTouchBehavior in order to give MS ScrollViewer the
  capability of being scrolled with the finger over the scrolling area.
- C1ComboBox, C1ListBox, C1TreeView, C1PropertyGrid touch support added.

## C1.Silverlight.Chart

### Bug fixes.

- Interaction now supported for several plot areas, the actions are
  applied for plot area under mouse pointer. Previously the interaction
  was available only for plot area with main x- and y-axes(TFS 28294).
- Clipping now works correctly for financial charts(HighLowOpenClose,Candle).
  Previously the symbol can not be shown if its part is not in plot area.
- Interactive action(like zoom or scale) can be started only if the pointer
  is inside plot area(TFS 33464).
- PieDoughnut chart displayed correctly(TFS 37460).

### Improvements.

- Added new chart type: stacked step area, new enum element ChartType.StepAreaStacked.
  // set stacked step area chart type
  chart.ChartType = ChartType.StepAreaStacked;
- Added new attached property BarColumnOptions.SeriesOverlap. The property controls
  series overlap for bar and column chart. The valid range is from -1 to 1.
  // set overlap between series by 25%
  BarColumnOptions.SetSeriesOverlap(chart, 0.25);
- Added new attached property PieOptions.Offet. The property defines the relative
  offset of pie slice(explosion) from the center. The valid range is from 0 to 1.
  // set relative distance from center to 0.1
  PieOptions.SetOffset(chart, 0.1);
- Added new attached property PieOptions.InnerRadius. The property specifies inner
  radius(hole size). The valid range is from 0 to 1 where 1 corresponds to outer
  radius.
  // set inner radius to half of outer radius
  PieOptions.SetInnerRadius(chart, 0.5);
- Added option to hide axis labels, new enum element AnnoPosition.None.
  // hide x-axis labels
  chart.View.AxisX.AnnoPosition = AnnoPostion.None;
- Added new options for LegendPosition, new elements of LegendPosition enum:
  TopLeft, TopCenter(same as Top), TopRight,
  BottomLeft, BottomCenter(same as Bottom), BottomRight.
  // put legend to the top right
  legend.Position = LegendPosition.TopRight.
- Added new property C1ChartLegend.OverlapChart. When OverlapChart = true the legend
  can overlap the parent chart. Default value is false.
  // allow legend to overlap chart
  legend.OverlapChart = true;

## C1.Silverlight.DataGrid

### Breaking changes

- Group and sort features are enabled in a column whose SortMemberPath is null or empty
  string, set CanUserSort=False and CanUserGroup=False in order to disable these features.
- Filter feature is enabled in a column whose FilterMemberPath is null or empty
  string, set CanUserFilter=False in order to disable this feature.
- Editing feature of a bound column is enabled even if the mode of the binding is
  different from TwoWay, set IsReadOnly=True to disable this feature.

### Bug fixes

- 2 clicks was required to toggle the checkbox of a checkbox column.
- Avoid selecting DataGridColumnHeaderRow when Ctrl+A is pressed.
- Row header selected on mouse up event in order to work with C1DragDropManager.
- Current value lost when editing DataGridComboBoxColumn.
- Exception thrown when opening the combo box of a DataGridComboBoxColumn.
- DataGridHyperlinkColumn recycling was not working correctly.
- DataGridMultiValue filter was not working fine when previously a "Equals" predicate was set.
- Binding.Mode of the cells belonging to any DataGridBoundColumn, whose IsReadOnly property
  is set to true, is set to OneWay in order to avoid an exception thrown when the source
  property has no setter.
- DataGridCheckBoxColumn cells were not persisting values.
- ImageColumn sorting/grouping feature was disabled by default.

### Improvements

- C1ValidationBehavior improved to refresh errors when INotifyPropertyChanged is raised.
- DataItem property added to the CreatingRow event args.
- ColumnHeaderOptionsVisibility property added in order to make the drop-down always visible.
- DataGridColumn.CanUserGroup property added.
- DataGridColumn.SortMemberPath and FilterMemberPath default value is taken from
  Binding.Path when they are not explicitly defined.
- DataGridColumn.Binding.Mode TwoWay value is not necessary any longer to edit the
  cells of the column.
- Touch support added in cells panel.

## C1.Silverlight.DataGrid.Excel

### Bug Fixes

- Date and numeric values can be exported using a format different from shown by C1DataGrid.
- Group header values may be incorrectly aligned.

## C1.Silverlight.DataGrid.Ria

### Improvements

- Japanese localization added.

## C1.Silverlight.DataGrid.Summaries

### Bug fixes

- Sum and Avg aggregate functions were not calculating the value correctly when a null
  value was set in any of the cells.

## C1.Silverlight.Docking

### Bug Fixes:

- [C1DockControl] Unhandled exception is thrown
  after dragging and dropping the DockTabItem at the run time.(TFS-39857)

## C1.Silverlight.Extended

### Bug fixes

- [C1PropertyGrid] Property DisplayName of MemberAttribute is not being displayed correctly in the property grid of silverligh
  control explorer.
- [HtmlHost] Setting C1HtmlHost Visibility to collapded does not work on IE 10
  version 10.0.9200.16618.(TFS-39019)
- [C1Book] C1Book is disappeared when 'CurrentPage' property set odd number and
  set 'IsFirstPageOnTheRight=false' in runtime.(TFS-38417)
- [C1PropertyGrid] Remove PropertyGroup from VS ToolBox.(TFS-37439)
- [C1Book] Inconsistent CurrentPage value is shown in property grid and XAML tag.(TFS-37643)

## C1.Silverlight.FlexGrid

### Bug Fixes

- Column/Row could no be resized by dragging its header separator and sorting was performed
  incorrectly on double clicking the resize separator.
- Sorting was performed incorrectly when outline bar buttons were pressed.
- Avoid scrolling horizontally when the gesture started over a row header, and vertically
  when the gesture is performed over a column header.
- Sort action was incorrectly performed on mouse down, instead of mouse click,
  and when double-click was performed in the auto-resize zone.
- Avoid selecting when a row header is being resized.
- Click,Row/ColumnResized events were not being fired.
- Printing did not account for footer rows correctly (TFS 37350)

## C1.Silverlight.Gauge

### Bug Fixes:

- [C1Gauge] In Aboutbox dialog, 'C1.Silverlight' is showed instead of 'C1.Silverlight.OutlookBar'.(TFS-30019)

## C1.Silverlight.Maps

### Bug fixes:

- StackOverflow exception raised if map is unloaded while moving because of the inertia.
- Pan feature was not working when the mouse was pressed(without moving) in the pan tools.
- Tool's slider was not showing the correct zoom when set in xaml.
- Map was enlarged when clicking 'Zoom out' button twice, and panning was not stopped
  when mouse is released outside the panning control.
- Fix the issue that images of the placemarks don't show and polylines
  don't return to their set thickness on zooming in/out(TFS-36620).
- Fix the issue that clicking the navigation pan doesn't take any effect.

## C1.Silverlight.MediaPlayer

### Improvements

- [C1MediaPlayer] In Aboutbox dialog, 'C1.Silverlight' is showed instead of 'C1.Silverlight.OutlookBar'(TFS-30019)

## C1.Silverlight.OutlookBar

### Bug fixes

- [C1OutLookBar] When sliding the items in C1OutLookBarItem, items move just a little.(TFS-37850)

### Improvements

- [OutlookBar] Request to simplify LargeIcon and SmallIcon implementation.(TFS-18451)
- [C1OutLookBar] In Aboutbox dialog, 'C1.Silverlight' is showed instead of 'C1.Silverlight.OutlookBar'(TFS-30019)

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that controls are missing in loaded pdf file.(TFS-39938)
- Fixed the issue that shows blank page after clicked 'TwoPages' button and
  image does not show correctly.(TFS-37916)
- Fixed the issue that occur an exception on loading the pdf file
  containing input elements.(TFS-39825)
- Fixed the issue that watermark text are not correctly displayed in loaded pdf
  file.(TFS-39832)
- Fixed the issue that the colours in pdf are inverted when pdf file containing
  scanned image is loaded.(TFS-39829)
- Fixed the issue that character‘E’is shown instead of dash ‘-‘.(TFS-35192)
- Fixed the issue that highlight and found text are mismatch.(TFS-23414)
- [C1PdfViewer] When custom zoom % value is entered,
  exception has been thrown.(TFS-35402)
- PdfParserException thrown on loading the certain pdf file(TFS-35854)
- Fixed the issue that unhandle exception is raised on loading
  certain pdf file.(TFS-35594)
- Correct the display position of pdf control.(TFS-37721)
- Fixed the issue that the find text are not showed in the view
  when clicking 'find next' button on toolbar.(TFS-37759)
- Fixed the issue that the text spacing is be enlarged on clicking the mouse
  on the text.(TFS-36916)(TFS-36105)

### Improvements:

- Add parsing text field (using the "Tx" mechanism in the PDF file).
- Add FindNext and FindPrevious methods to get the occurrence of FindText
  in the specialized pages.

## C1.Silverlight.ReportViewer

### Bug Fixes:

- Correct the display position of pdf control.(TFS-37721)
- Fixed the issue that the find text are not showed in the view
  when clicking 'find next' button on toolbar.(TFS-37759)
- Fixed the issue that NullReferenceException is thrown when loading
  'mhtml' file and find text.(TFS-37976)

### Improvements:

- Add parsing text field (using the "Tx" mechanism in the PDF file).

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that rows appear to increase in size after deleting the cell
  content.(TFS-35627)
- Fixed the issue that table navigation with Tab does not continue when a cell
  contains bulleted/numbered list.(TFS-35641)
- Fixed the issue that Unlike MSWord, table cell is resizing when typing
  in a table.(TFS-35638)
- Fixed the issue that width setting is not correctly applied in loaded html
  file.(TFS-39798)
- Fixed the issue that when press 'Tab' key to navigate table cell, cell do not
  scroll into view.(TFS-35394)
- Table column width is not changed in % when removing/readding columns with
  undo/redo.(TFS-35166)
- Fixed the issue that when table content text is copied and pasted,
  table is divided into two parts IE 10.(TFS-38918)
- Fixed the issue that subsequent past of the same formatted text moves to
  a new line.(TFS-36141)
- Fixed the issue that incorrect observation for using <a> tag for Html
  property.(TFS-35811)
- [WPF][C1RichTextBox] For 'TextDecorations' collection property, more than
  one text decoration cannot be used.(TFS-36207)
- [WPF][C1RichTextBox] Unlike MSWord, cell borders are displayed incorrectly when
  merging and splitting.(TFS-35648)
- Fixed the issue that Layout cycle detected exception.(TFS-34809)
- Fixed the issue that focus cannot set at the last column if Table's width is
  greater than 150%.(TFS-38928)
- Fixed the issue that when table is copied and pasted in the another table,
  table is not pasted correctly.(TFS-39424)
- Fixed the issue that RichTextBox does not support mulitpage printing.(TFS-36795)
- Fixed the issue that cannot 'Cut' the table in RichTextBox via
  RichTextBoxToolbar.(TFS-34031)
- Fixed the issue that when html string is converted to Document using HtmlFilter,
  font size is changed.(TFS-37612)

## C1.Silverlight.RichTextBox.Toolbar

### Bug fixes:

- Fixed the issue that incorrect dialog pop up when finding non-existing
  word after existing word is found in RTB.(TFS-38416)

## C1.Silverlight.Schedule

### Bug Fixes

- Bug 37867 - Unlike previous build, 'SerializationException' is occur when recurrence appointment is export to binary file.

### Improvements

- performance related changes for the cases, when there are too many appointments in the visible area
  (http://our.componentone.com/groups/topic/increase-performance/#post-238894).
  Performance is a bit better, but still limited.
  This is limitation. The most of time is taken by the WPF/Silverlight layout system,
  not by the C1Scheduler control, there is no much room for further improvements here.

## C1.Silverlight.TileView

### Bug fixes

- [C1TileView][Touch] Finger tip sliding is not performed in the
  C1TileViewItem.(TFS-37859)

## C1.Silverlight.Zip

### Bug Fixes:

- Fix the issue that filename containing Japanese characters is output
  with garbled characters after compression.(TFS-18883)

# Release version 5.0.20131.329 - 05/30/2013

## C1.Silverlight.Gauge

### Bug Fixes:

- Fixed the issue that pointer is not able to drag when "InteractionMode" property
  is set to "Drag" or "ClickOrDrag" at run-time in C1Knob and C1RegionKnob.(TFS-35726)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that C1RichTextBox is not scrolled correctly when
  selecting text by dragging mouse.(TFS-36594)
- Fixed the issue that Row is not correctly inserted when there is horizontal
  and vertical merged cells in table.(TFS-36581)

## C1.Silverlight.Schedule

### Bug Fixes

- Bug 37194 - Regression issue - recurring appointments cannot be fetched
  through Appointment.Conflicts property.

# Release version 5.0.20131.327 - 05/27/2013

## C1.Silverlight

### Bug fixes

- C1ListBox scrollbars corner radius was not displayed correctly.

## C1.Silverlight.PdfViewer

### Improvements:

- Add DocumentInfo property to get the information of current document.

## C1.Silverlight.Schedule

### Improvements

- improved performance when working with recurring appointments (Tfs issue 37012).

# Release version 5.0.20131.326 - 05/20/2013

## C1.Silverlight

### Bug fixes

- C1ListBox vertical and horizontal scrollbars visibilities are not updated correctly
  when zoom mode was disabled.

## C1.Silverlight.DataGrid

### Bug fixes

- C1RowIndexHeaderBehavior was refreshing cells incorrectly.
- Avoid setting current row by clicking row header if Row.IsSelectable is false.

### Improvements

- DataGrid.Refresh() method parameter refreshRows added.

# Release version 5.0.20131.325 - 05/13/2013

## C1.Silverlight

### Bug fixes

- C1ListBox scrolling issue was fixed, it occurred when setting ItemsSource for second time.

## C1.Silverlight.DataGrid

### Improvements

- DataGridRow.Refresh() method parameters refreshRow, refreshCells, refreshRowHeader added.

## C1.Silverlight.Extended

### Bug fixes

- [C1PropertyGrid] Add a new property which will enable multiple-selection
  and changing the common properties of the objects.(TFS-29517)

## C1.Silverlight.PdfViewer

### Improvements:

- Add GoToBookmark method which is used to jump to a specified bookmark.

# Release version 5.0.20131.324 - 05/06/2013

## C1.Silverlight.FlexGrid

### Bug Fixes

- GetPageImages method was returning elements whose dimensions were different from the
  specified pageSize and the ScaleMode was different from ActualSize.
  Now all the returned pages dimensions are equal to the specified pageSize parameter.

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that text indentation is not maintained after copy paste.(TFS-36075)
- Fixed the issue that line breaks are removed after pasting from the clipboard.(TFS-36107)
- Fixed the issue that the whole table cannot be selected after table cell at
  the last row is deleted.(TFS-36147)

# Release version 5.0.20131.323 - 04/29/2013

## C1.Silverlight.Chart

### Bug fixes.

- Fixed the problem with exception in bubble chart when size values are the same
  (TFS 35887).

### Improvements.

- Improved calculation of axis title position(TFS 35835).
- StrokeStartLineCap and StrokeEndLineCap for line charts now have default value
  PenLineCap.Round(TFS 35745). This value can be modified in
  DataSeries.PlotElementLoaded event.
  ds.PlotElementLoaded += (s, e) =>
  {
  var pe = (PlotElement)s;
  pe.StrokeStartLineCap = pe.StrokeEndLineCap = PenLineCap.Flat;
  };

## C1.Silverlight.Extended

### Bug fixes

- Events of the content of C1AccordionItem were not being raised because IsHitTestVisible was set to false.

## C1.Silverlight.FlexGrid

### Improvements

- Keep collapsed state when ChildItemsCollection is set and the collection is modified

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that only first line is shown after copy paste.(TFS-35840)
- Fixed the issue that Table with merged cells not get deleted when using
  Selection.Delete(true,true) method.(TFS-35828)
- Fixed the issue that if text are copy and set Alignment ,its apply to
  whole text instead of selected text.(TFS-33819)
- Fixed the issue that only first cell/row got pasted when copying
  the nested table.(TFS-35865)
- Fixed the issue that row cannot be selected if any cell from that row is
  deleted using "Delete Cells" menu item from C1RichTextBoxToolbar.(TFS-33018)
- Fixed the issue that extra table cell is added when copy/paste
  the merged table.(TFS-35822)
- Fixed the issue that redo action does not work at once on TextEditor Area.(TFS-33812)

# Release version 5.0.20131.322 - 04/22/2013

## C1.Silverlight

### Bug fixes

- [C1NumericBox] The decimal numbers cannot be entered with Round-trip "R" format.
- [C1TabControl] Unlike previous build and MS-TabControl, tab item selection gets lost
  when the underlying data source is sorted.
- [C1TabControl] Unlike previous build, first tab item is always selected after closing a tab item.(TFS-35621)
- C1DragDropManager source marker was not clipped correctly when scrolling inside a scrollviewer.

### Improvements

- Romania language resources added.
- Added IC1ContextMenu interface. The C1ContextMenu control implements IC1ContextMenu.
  The C1ContextMenuService.ContextMenu attached property type has been changed to IC1ContextMenu.

## C1.Silverlight.DataGrid

### Bug fixes

- Incorrect selection set when dragging and scrolling at the same time.

### Improvements

- Romania language resources added to C1DataGrid.

## C1.Silverlight.Docking

### Improvements

- Romania language resources added.

## C1.Silverlight.Extended

### Bug fixes

- [C1PropertyGrid] Instead of showing 'Content' name, all ComboBox items are showing as [ComboBoxItem]
  when 'Items' Colleciton Editor is opened through C1PropertyGrid(TFS-35175).

### Improvements

- Romania language resources added.

## C1.Silverlight.MediaPlayer

### Improvements

- Romania language resources added.

## C1.Silverlight.PdfViewer

### Improvements:

- Romania language resources added.

## C1.Silverlight.ReportViewer

### Improvements

- Romania language resources added.

## C1.Silverlight.RichTextBox.Toolbar

### Improvements:

- Fixed the issue that New Table is able to reselect and add again
  during selection apply on existing table.(TFS-33690)

# Release version 5.0.20131.321 - 04/15/2013

## C1.Silverlight.DataGrid

### Bug fixes

- Unknow column header is shown when dragging the mouse in an empty zone of the grouping area.

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that cannot 'Cut' the table in RichTextBox via
  RichTextBoxToolbar.(TFS-35673)

# Release version 5.0.20131.320 - 04/10/2013

## C1.Silverlight.DataGrid

### Bug fixes

- Auto-generation of columns was not working fine when the underlying item type was
  "System.ServiceModel.DomainServices.Client.Entity".
- An exception was thrown when dragging in the grouping area.
- MouseLeftButtonUp event was not being raised in cell's presenters.

## C1.Silverlight.DataGrid.Ria

### Improvements

- C1DataPager.CornerRadius property added.

## C1.Silverlight.Docking

### Bug Fixes:

- [C1DockControl] System.ArgumentException occur when dragging docktabitem.(TFS-35373)

## C1.Silverlight.Extended

### Bug fixes

- C1ColorPicker FontSize was not being updated correctly at runtime.

# Release version 5.0.20131.319 - 04/08/2013

## C1.Silverlight

### Bug fixes

- C1DropDownButton exception raised when IsOpen is set to true before the template is applied.
- [C1TabControl] Unlike previous build, current item of C1TabControl is
  not synchronized with the underlying data source.(TFS-35515)
- [C1TabControl] Unlike previous build, second item is not selected after
  first item is pinned and removed.(TFS-35375)

## C1.Silverlight.Binding

### Bug Fixes

- Unlike English build, 'C1.Silverlight.Binding.5.dll' and 'C1.Silverlight.Binding.5.XML'
  are missing in Japanese build folder[4/5.0.20123.301_JPN](TFS-33862)

## C1.Silverlight.Chart

### Improvements.

- Minor ticks and grid lines are visible when Axis.ItemsSource is used and
  Axis.MinorUnit has non-default value. Previously the ticks and grid lines
  were hidden in such cases.

## C1.Silverlight.DataGrid

### Bug fixes

- Value of a checkbox of a column was changed with the keyboard when the column was read-only.
- Incorrect value was returned by a cell belonging to a FilterRow.
- DBNull values were displayed as Nan rather than empty string.
- Exception raised when removing a row by pressing Del key at the same time the
  selection is performed with the mouse.

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that GetHtml method adds line breaks after each word.(TFS-35364)

# Release version 5.0.20131.318 - 04/02/2013

## C1.Silverlight.DataGrid

### Improvements

- CanUserSelectByDragging property added.

# Release version 5.0.20131.317 - 04/01/2013

## C1.Silverlight

### Bug fixes

- C1ListBoxItem selected state was not reflected correctly when selection was set
  before template was applied.

## C1.Silverlight.Chart

### Improvements.

- PlotArea Settings(Stroke,StrokeThickness,Background) are applied to the plot
  even there is only one(main) plot area.

## C1.Silverlight.DataGrid

### Bug fixes

- CurrentColumn was not being set correctly when the columns are auto-generated as a
  consequence of the introduction of a new row.

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that Memory usage becomes very high on switching tabs
  with PdfViewer.(TFS-34534)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that InvalidOperationException is thrown if C1Document's
  BorderBrush Opacity is accessed in a thread.(TFS-35024)
- Fixed the issue that "System.InvalidOperationException" thrown when press
  Backspace key in merged table.(TFS-35415)
- Fixed the issue that corrupted css observed around the text-decoration.(TFS-35424)

# Release version 5.0.20131.316 - 03/25/2013

## C1.Silverlight

### Bug fixes

- [C1TabControl] Unlike previous build, second item is not selected
  after clicking the "Close" button of first tab item.(TFS-35300)

## C1.Silverlight.DataGrid

### Bug fixes

- Edit is not cancelled in date time column when escape key is pressed.
- SelectAll feature modified to select rows in a collapsed group.

## C1.Silverlight.Docking

### Bug Fixes:

- Fixed the issue that TabItem is able to drag from Header Toolbar and Header text
  is disappeared at floating state.(TFS-35255)
- [C1DockControl] Fixed the issue that when dragging docktabitem, it is moving
  according to mouse movement and docking diamond is not showed.(TFS-35149)

## C1.Silverlight.Extended

### Bug fixes

- C1CoverFlow scrollbar position was not updated if SelectedIndex was set in xaml.
- [C1PropertyGrid] Instead of showing 'Content' name, all ComboBox items are showing as [ComboBoxItem]
  when 'Items' Colleciton Editor is opened through C1PropertyGrid(TFS-35175).
- C1Reflector reflection was inverted if FlowDirection was set to RightToLeft.
- C1Reflector Background BorderBrush and BorderThickness properties were not being applied.

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that inconsistent behavior is observed in
  "Convert To Table" between string and uploaded images.(TFS-34735)

## C1.Silverlight.TileView

### Bug Fixes

- [WPF][TileView]C1Gridviews Performance inside C1TileView.(TFS-34808)

# Release version 5.0.20131.311 - 03/18/2013

## C1.Silverlight

### Breaking Changes

- C1MouseHelper drag events marked as obsolete, please use C1DragHelper instead.
- C1ListBoxItem template was changed to support selection.
- C1ListBoxPanel and C1ListBoxViewport renamed to C1ListViewerPanel and C1ListViewerViewport.

### Bug fixes

- Fix the issue that filter dropdown is showed at the top-left corner of C1DataGrid.(TFS-34873)
- Fix the issue that cell border style is not shown while the drag-drop action is performed.(TFS-33591)
- C1ListBox raised an exception when last item was removed if source implemented INotifyCollectionChanged.
- [C1TabControl] Unlike previous build, tab item reordering is not reflected in the underlying data source.(TFS-34813)
- [C1TabControl] Unlike previous build, clicking "Close" icon of tab item
  does not remove that item from underlying data source.(TFS-34816)
- [C1TabControl] Unlike previous build, current tab item selection gets
  lost by clicking "Pin" and "Close" button of other tab item.(TFS-34819)
- C1DragHelper constructor parameter initialThreshold default value set to 1.
- C1DragHelper unexpected inertia occurred when the mouse up event was raised after a period of inactivity.
- [C1TabControl] Unlike previous build, Data does not get displayed even on binding to
  TabContent property of C1TabControl.(TFS-34900)
- C1ListBox exception raised when ZoomMode changed.
- [WPF][C1TabControl] Unlike previous build, clicking "Pin" button does not
  correctly work after adding new item to the underlying data source. (TFS-34585)
- C1DragHelper inertia was improved.
- C1ListBox first item content dissapeared when changing Orientation.
- C1ListBox was clearing the items incorrectly when a collection of C1ListViewerItem
  was set as ItemSource.
- [C1TabControl] Unlike previous build , disabled tabitem is selected. (TFS-33995)
- [C1ComboBox] ComboBox dropdown selection does not follow textbox content.
- MouseHelper.Click event was raised improperly when DoubleClick event was being handled.

## C1.Silverlight.Chart

### Bug fixes.

- Fixed the problem with incorrect format exception after changing chart type
  (TFS 34491).
- Fixed the problem that may cause application hanging after binding under several
  conditions(TFS 34489).
- Fixed several design time problems specific for VS2012(34480, 33196).
- Fixed problem with resetting Axis.IsTime property(TFS 33774).

### Improvements.

- Added PieOptions.SeriesLabelTemplate attached dependency property. The property
  specifies template for series label of pie chart.

## C1.Silverlight.Chart3D

### Bug fixes

- The legend clears properly when there is no data in chart(TFS 34487).
- The Chart3D.ColorPalette property removed from VS property grid, it can't be edited
  with standard collection editor(TFS 34499).

### Improvements

- Added Axis3D.Reversed property that allows to change the direction of axis.
- Added C1Chart3DLegend.Reversed property that changes the order of legend items.

## C1.Silverlight.Data

### Improvements

- Added new property to C1.Silverlight.Data.DataTable class:
  public bool EnforceConstraints {get; set;}
  Gets or sets a value indicating whether constraint rules are
  followed when attempting any update operation.
  The setter only works if DataSet property is null.
  If the DataTable is used as a part of the DataSet object,
  use corresponding property of the owning DataSet.
- C1.Silverlight.Data.DataTable.BeginLoadData suspends DataTable.Columns collection change notifications.
  It improves performance when Columns collection is changed during updates.

## C1.Silverlight.DataGrid

### Breaking changes

- ColumnHeaderDragStarted, ColumnHeaderDragDelta, ColumnHeaderDragCompleted events args type changed.

### Bug fixes

- Reordering columns by dragging them in the grouping panel was not working fine.
- NewRow was keeping inserted row after the item was committed.
- Column's auto-generation and filter predicates was being generated by the first element type,
  causing problems when there are heterogeneous items in the collection.
- Dragging the freezing separator in the column header are is throwing an exception.
- Dragging a column header was not working properly when the datagrid was inside a popup.
- Click on column header was not being handled properly.
- Selection was not working fine when Single mode was set and the user performs a little drag.

### Improvements

- Auto-generation of columns is skipped when filtering an ICustomTypeProvider source.
- DataGridCell.Value property setter added.
- DataGrid copy & paste support added. See ClipboardCopyMode and ClipboardPasteMode.
- DataGridTemplateColumn.SettingCellValue event added to save the value in the data item
  when a clipboard paste operation is executed.
- Keep the focus in the new row when tabbing, commiting the row when it reach the end of the row.

## C1.Silverlight.DataGrid.Filters

### Bug fixes:

- Focus was removed from filter row when typing if C1RowIndexHeaderBehavior was present.

## C1.Silverlight.DataGrid.Ria

### Bug fixes

- C1DataPager next page button was not dimmed when there was no more pages.

## C1.Silverlight.Docking

### Bug Fixes:

- [C1DockControl] Dock indicators are appeared over C1DockTabItem.(TFS-34668)
- [C1DockTabControl] The dock tab item can be floated as a separated one in
  C1Dock Control in browser application. (TFS-34675)

### Improvements

- Add DeferRefresh method to improve the performance when adding the items to dock control.

## C1.Silverlight.Extended

### Breaking changes

- Unused FocusCuesVisibility and DisabledCuesVisibility removed from C1Accordion.

### Bug fixes

- [C1PropertyGrid] Fix the issue that invalidOperationException is raised on
  using the property with private setter.(TFS-34890)
- C1CoverFlow click gesture was not working when clicking a cover.
- C1CoverFlow incorrect behaviour when clicking the scrollbar to execute a large step scroll.
- C1Expander the property HitTestVisible of the header content is set to False.

### Improvements

- C1Accordion and C1Expander DisabledBrush property added.

## C1.Silverlight.FlexGrid

### Bug Fixes

- Fixed scrolling issue while dragging rows (TFS 34927)
- Adding new row on top did not always work correctly when binding to item sources
  based on ICustomTypeDescriptor (TFS 33761)

### Improvements

- Added AutoComplete property to add entries based on items already present on
  the column being edited (Excel-style auto-complete).
- Mouse resizing applies to multi-row/column selection
- Performance optimization for group aggregates
- Added method to configure ColumnValueConverter using a list of objects:
  public void SetSource(values, valuePath, displayMemberPath)
  where:
  values is a collection of objects that contain the key and display values.
  valuePath is the name of the property that contains the values stored in the grid.
  displayMemberPath is the name of the property that contains the values displayed in the grid.

## C1.Silverlight.Maps

### Bug fixes:

- Zoom tools was not being updated when zooming directly on the map either using mouse wheel or pinch gesture.

## C1.Silverlight.OutlookBar

### Improvements

- [C1OutlookBar] LargeIcon/SmallIcon binding does not work correctly in C1Outlookbar. (TFS-30365)

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that searching text has low performance in Windows XP. (TFS-33314)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that "InvalidOperationException was unhandled"
  exception was thrown when click "Convert To Table" after uploaded pictures
  (one picture per line).(TFS-34724)
- Fixed the issue that Exception is thrown when convert from Text to Table
  by click "Convert Text To Table" hyperlink button.(TFS-34878)
- Fixed the issue that Shift+Enter does not always take the caret
  to the next line.(TFS-31378)
- Fixed the issue that C1RichTextbox is not working properly
  when Table/Cell width/height is set to 'px'.(TFS-34862)
- Fixed the issue that unlike MS Word, multiple cells are
  inserted if the table cells are merged.(TFS-34458)
- Fixed the issue that the whole table is selected when columns
  are selected after merging.(TFS-33237)
- Fixed the issue that cursor is invisible and typing direction is
  reversal when the table is deleted.(TFS-33416)
- Fixed the issue that second row background of pasted table
  with shading displays incorrectly.(TFS-33893)
- Fixed the issue that deleting table content using keyboard would
  reduce the table to a single cell.(TFS-33426)
- Fixed the issue that cannot 'Cut' the table in RichTextBox via
  RichTextBoxToolbar.(TFS-34031)
- Fixed the issue that the row is added without merging when inserting a new
  row below the merged row.(TFS-33725)
- Fixed the issue that unlike MSWord, incorrect bullets applied to all cells
  of the table.(TFS-33808)
- Fixed the issue that formatting is lost when copy/paste the text with
  both underline and strikethrough in C1RichTextBox.(TFS-33204)
- Fixed the issue that different C1Documents objects generated with
  the same RichTextBox object.(TFS-32253)
- Fixed the issue that shift+insert shortcut can't be disabled from RTB.(TFS-34403)
- Fixed the issue that C1RichTextBox replaces "Span" tags with paragraph "p" tags.(TFS-34133)
- Fixed the issue that borders lost after pasting the Table in C1RichTextBox.(TFS-34033)
- Fixed the issue that subscript formatting is lost on pasting the text in RichTextBox.(TFS-34000)

## C1.Silverlight.Schedule

### Breaking Changes

- old Uri format: "/C1.WPF.Schedule;component/save.png"
- new Uri format: "/C1.WPF.Schedule;component/Resources/save.png"

## C1.Silverlight.Tile

### Improvements:

- added ILoadable interface:
  public interface ILoadable
  {
  bool IsLoaded { get; }
  bool Load();
  }
  Specifies that this object supports loading.
  Implement this interface in the custom business object if it needs long initialization.
  The C1Tile control honors this interface and calls Load method
  in advance to preload tile data before animation.
  Load method might start synchronous or asynchronous load operation.
  If Load method returns false, C1Tile will delay animations until IsLoaded property is true.
  You can find the sample implementation in the C1Tile Flickr samples.
- First release

# Release version 5.0.20123.301 - 02/04/2013

## C1.Silverlight

### Breaking changes

- [C1ComboBox] when press 'Enter' key, after Japanese text is input in it, the entire input text gets selected.(TFS-33540)

### Bug fixes

- [C1NumericBox] Can't enter a number with a decimal point with G2 format.
- [C1NumericBox] Can't enter a negative number with a decimal point with empty format.
- [C1NumericBox] If C1NumericBox is used as FlexGrid cell editor and cell editing is initiated by pressing
  a numeric key then an entered value may be lost after the cell loses focus.

## C1.Silverlight.FlexGrid

### Improvements

- Added IsSynchronizedWithCurrentItem property (as in ListBox, ComboBox)

# Release version 5.0.20123.300 - 01/28/2013

## C1.Silverlight

### Bug fixes

- GetAbsoluteUri extension updated to support out of browser applications.
- [C1Menu][] Fix the issue that duplicate AboutBox links are shown in context menu of control.(TFS-33209)
- [C1TabControl] Unlike previous JPN released build, tab strips are not properly displayed on
  setting ‘TabStripPlacement’ and ‘TabStripHorizontalAlignment’ properties.(TFS-33443)
- [C1TabControl][C1DockTabControl] Unlike Japan Released build[4.0.20122.266_JPN], items mixed up when same
  item source is bind with C1TabControl and C1DockTabControl
- C1ListBox Vertical and Horizontal offset updated accordingly when Zoom property is set.

### Improvements

- Added resources for Turkish to all controls.

## C1.Silverlight.DataGrid

### Bug fixes

- New row watermark was not hidden when it entered in edit mode by pressing tab key.

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that increasing the font size of Bulleted/Numbered text,
  cuts off the bullet/number.(TFS-27975)
- Fixed the issue that scrolling probelm is observed when C1RichTextBox
  is placed inside ScrollViewer.(TFS-23530)
- Fixed the issue that delay is observed on adding text to a table with
  large number of columns and rows.(TFS-33202)

### Improvements:

- Add method called RemoveShortcut in order to allow user could remove some shortcuts.

## C1.Silverlight.RichTextBox.Toolbar

### Improvements:

- Add Target textbox to Hyperlink window.

# Release version 5.0.20123.297 - 01/21/2013

## C1.Silverlight

### Bug fixes

- C1ListBox was not scrolling horizontally with the mouse wheel when Orientation is set to Horizontal.
- C1BrushBuilder was not honoring Opacity of the input brush.

## C1.Silverlight.Chart

### Bug fixes.

- Fixed the problem with exception when using aggregate functions(TFS 33289).

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that Scrollbar move up and down rapidly if user type
  directly after the inserted image in C1RichTextBox.(TFS-33022)

# Release version 5.0.20123.296 - 01/14/2013

## C1.Silverlight.FlexGridFilter

### Improvements

- Added Turkish localization

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that row cannot be selected if any cell from that row is
  deleted using "Delete Cells" menu item from C1RichTextBoxToolbar.(TFS-33018)

# Release version 5.0.20123.295 - 01/14/2013

## C1.Silverlight

### Bug fixes

- [C1NumericBox] Numbers like -0.05 can't be entered with numeric pad's Decimal key.

## C1.Silverlight.DataGrid

### Bug fixes

- Avoid regenerating columns when all the items of the colection were removed.

## C1.Silverlight.Toolbar

### Bug Fixes

- Fixed the problem with Office2010 themes(TFS 33020).

# Release version 5.0.20123.294 - 01/08/2013

## C1.Silverlight.FlexGrid

### Improvements

- Validation tooltips now honor grid's ErrorStyle
- Initialize selection of drop-down lists based on cell content

## C1.Silverlight.FlexGridFilter

### Bug Fixes

- Keep selection on new row when filter is applied (TFS 32983)

## C1.Silverlight.Maps

### Bug fixes:

- Fix the issue that exception occurred on loading/zooming different Maps for multiple times.(TFS-32066)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that characters still being tagged as links after delete.(TFS-32094)

# Release version 5.0.20123.292 - 01/03/2013

## C1.Silverlight.DataGrid

### Improvements

- Parameter "recycle" added to Refresh method in order to allow users to refresh the
  viewport quickly when no template changes were made.

## C1.Silverlight.FlexGrid

### Bug Fixes

- Improved currency management during row addition (TFS 32281)
- AutoSize to integer values to ensure grid lines are visible (TFS 32286)

## C1.Silverlight.FlexGridFilter

### Bug Fixes

- Filter values were not shown in ExcelBook sample (TFS 32251)

# Release version 5.0.20123.291 - 12/26/2012

## C1.Silverlight

### Bug fixes

- [WPF][TreeView] Fix the issue that only clicking on the Expand/Collapse icon
  can collapse/expand treeview items.

## C1.Silverlight.DataGrid

### Bug fixes

- If grouped column is removed and the data item of any group row is null an exception was raised.
- Exception thrown after pressing enter and a filter was applied.

### Improvements

- OnCopyPropertiesBeforeAddingItem method added to let the user copy the properties from
  an item which is about to be added to the collection view corresponding one.

## C1.Silverlight.PdfViewer

### Improvements:

- Fixed the issue that Unlike "OnePage" and "Fit Width", "TwoPages" option
  is not contained in the Zoom combobox.(TFS-31057)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that Keys does not work correctly when C1RichTextBox is used
  in CellEditingTemplate of MS DataGrid.(TFS-32116)
- Fixed the issue that InvalidOperationException was Unhandled.(TFS-32187)
- Fixed the issue that using 'Convert Text to Table', when formatted text are covert to table,
  formatting are lost.(TFS-28224)
- Fixed the issue that when image is changed Table using 'Convert text to Table',
  image is change to '<OBJ>'.(TFS-28220)

# Release version 5.0.20123.289 - 12/17/2012

## C1.Silverlight

### Bug fixes

- [C1ComboBox] Fixed the issue that Watermark Text Alignment
  Not Properly Set.(TFS-31046)
- [C1ComboBox] Fixed the issue that Binding Removed while Using
  DispatcherTimer object.(TFS-31023)
- [C1ComboBox] Fixed the issue that "ItemTemplate" setting
  doesn't have affect for C1ComboBoxItem.(TFS-31356)

## C1.Silverlight.Chart

### Bug fixes.

- Fixed the problem with exception when zooming or scaling several chart types
  (TFS 30627, 30638).

## C1.Silverlight.DataGrid

### Bug fixes

- Exception is thrown when a column by which the data grid is grouped is removed.
- Multi-value filter shows Equals predicates only if it is not combined with other predicates.
- C1RowIndexHeaderBehavior did not refresh indexes when rows was removed or added.
- After pressing enter a row was skipped if the underlying collection view moved the current item.
- Keep the current row after pressing enter in the last row when it being edited.
- Horizontal scrollbar was not being updated when auto-size column was changing its width.

## C1.Silverlight.FlexGrid

### Bug Fixes

- Improved binding management during cell value retrieval (TFS 29301)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that Copied text from C1RichTextBox cannot be pasted at
  Find/Replace textbox at C1RichTextBoxToolbar.(TFS-28217)

# Release version 5.0.20123.288 - 12/10/2012

## C1.Silverlight

### Bug fixes

- [C1ComboBox] Unlike japan released build [5.0.20121.232_JPN] If use 'ItemTemplate' , 'IsSelected'
  property doesn't work for design time.(TFS-30503)
- [C1ComboBox] Unlike japan released build [5.0.20121.232_JPN], 'Text' property value doesn't
  show at design time.(TFS-30487)

## C1.Silverlight.Chart

### Bug fixes.

- Fixed the problem with polygon chart that may cause exception when zooming
  (TFS 30166).

## C1.Silverlight.DataGrid.Summaries

### Bug fixes

- Min and Max aggregate functions honors Format property when set in the column.

## C1.Silverlight.FlexGrid

### Improvement

- Improved scrollbar visibility calculation with star-sized columns (TFS 30814)

## C1.Silverlight.Maps

### Improvements:

- Add BeginUpdate and EndUpdate methods to the C1MultiScaleImage control.

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Zoom property was not being updated when ViewMode set to OnePage.

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that text pasted before a hyperlink is becoming part of
  the link.(TFS-30012)
- Fixed the issue that text before a hyperlink not being copied once the link
  is highlighted.(TFS-30011)

## C1.Silverlight.RichTextBox.Toolbar

### Improvements:

- Removed Background and Foreground property from C1RichTextBoxToolbar class.(TFS-24634)

## C1.Silverlight.Toolbar

### Bug Fixes

- Fixed the problem with auto-expanding toolbar when setting IsEnable=false
  (TFS 30196).

# Release version 5.0.20123.285 - 12/03/2012

## C1.Silverlight

### Bug fixes

- [C1NumericBox] Key sequence "-0." typed at the beginning of a number causes placement of the caret to a wrong position.
- [C1NumericBox] Multiple issues with FlowDirection set to RightToLeft: wrong placement of negative sign, text selection
  and alignment.

## C1.Silverlight.Chart

### Bug fixes.

- Chart.Children property removed from designer property grid(TFS 30231).

## C1.Silverlight.DataGrid

### Breaking changes

- DataGridRow.ValidationResults made obsolete, use new Errors property instead.

### Improvements

- DataGridRow.Errors property added to support xaml and design-time specification.
- C1RowIndexHeaderBehavior added for displaying row indexes in the row headers.

## C1.Silverlight.Extended

### Bug fixes

- C1ColorPicker.ShowRecentColors was not working when set in xaml.

## C1.Silverlight.OutlookBar

### Improvements

- [C1OutlookBar] LargeIcon/SmallIcon binding does not work correctly in C1Outlookbar. (TFS-30365)

## C1.Silverlight.PdfViewer

### Improvements:

- Add open button in the C1PdfViewer Toolbar.
- Add OpenButtonVisibility to indicate whether the open button should be
  shown or not in the C1PdfViewer Toolbar.

# Release version 5.0.20123.284 - 11/26/2012

## C1.Silverlight

### Bug fixes

- [C1NumericBox] In Visual Studio 2012 design time, setting the TextAlignment property
  to Justify may cause a window designer failure.

### Improvements

- [C1PromptBox] Need new overload for C1PromptBox.Show method to allow providing a default value.(TFS-30206)

## C1.Silverlight.Chart.Editor

### Improvements

- Add the missing Czech, polish, Slovak and greek resources to the C1Chart.

## C1.Silverlight.DataGrid

### Breaking changes

- DataGridRowPresenter.BackgroundBrush property made obsolete, use Background property instead.

### Bug fixes

- GroupRowStyle.Background was not being correctly propagated.

### Improvements

- Add the missing Czech, polish, Slovak and greek resources to the C1DataGrid.
- DataGridGroupRowPresenter ButtonBackground/Foreground properties added.

## C1.Silverlight.Docking

### Improvements

- Add the missing Czech, polish, Slovak and greek resources to the C1DockControl.

## C1.Silverlight.Extended

### Bug fixes

- [C1PropertyGrid] Fixed the issue that 'LayoutCycleException' is thrown
  when C1FlexGrid object is set to 'SelectedObject' property of C1PropertyGrid.(TFS-29833)

## C1.Silverlight.FlexGrid

### Bug Fixes

- Ensure frozen row/col dividers are visible with large number of rows/columns (TFS 30285)

## C1.Silverlight.FlexGridFilter

### Improvements

- Added C1FlexGridFilter.NullValueString property. This property allows callers to
  specify the string used to represent null values in the value filter list.
  By default, null values are represented by the "(null)" string (which is not
  automatically localized). You can specify whatever string you like, in whatever
  language, by using the NullValueString property. For example:
  <c1:C1FlexGrid Name="_flex" Grid.Row="1" >
  <c1:C1FlexGridFilterService.FlexGridFilter>
  <c1:C1FlexGridFilter NullValueString="(Not Available)" />
  </c1:C1FlexGridFilterService.FlexGridFilter>
  </c1:C1FlexGrid>

## C1.Silverlight.MediaPlayer

### Improvements

- Add the missing Czech, polish, Slovak and greek resources to the C1MediaPlayer.

## C1.Silverlight.OutlookBar

### Improvements

- Add the missing Czech, polish, Slovak and greek resources to the C1OutlookBar.

## C1.Silverlight.PdfViewer

### Improvements:

- Add new parameter (password) for LoadDocument method to set the user password of
  a password-protected PDF file.
  Please use Main\Samples\SL\C1.Silverlight.PdfViewer\CS\PdfPassword sample for testing.
- Add public PdfParserException and PdfPasswordException classes for catching parsing exceptions.
- Add Czech, Polish, Slovak and Greek resources to the C1PdfViewer.

## C1.Silverlight.ReportViewer

### Improvements

- Add the missing Czech, polish, Slovak and greek resources to the C1ReportViewer.

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that a space is added between words in underline if
  C1Hyperlink consists of Multi-Words.(TFS-27900)

## C1.Silverlight.SpellChecker

### Improvements

- Add the missing Czech, polish, Slovak and greek resources to the C1SpellChecker.

# Release version 5.0.20123.283 - 11/19/2012

## C1.Silverlight

### Bug fixes

- [C1TabControl] Unlike previous build, NullReferenceException occurs on clicking "Pin" button after reordering
  the item if "TabStripMenuVisibility = Visible".(TFS-30005)

## C1.Silverlight.FlexGrid

### Bug Fixes

- Printing interfered with row/column sizing behavior (TFS 29680, 29681)

### Improvements

- Added C1FlexComboBox.IsDroppedDownChanged event

# Release version 5.0.20123.282 - 11/14/2012

## C1.Silverlight

### Breaking changes

- Unused FocusCuesVisibility and DisabledCuesVisibility moved from base class C1DropDownButton
  to child class C1DropDown.

### Bug fixes

- C1ListBox.GetItemAt() method was not considering the zoom applied.
- [C1ContextMenu] SL ContextMenu Shows up in top left of browser.(TFS-29963)
- C1HeaderedContentControl avoid setting an UIElement in the header when
  it´s already displayed in the content.
- [C1TabControl] Bottom border of C1TabControl is clipped for
  'TabStripPlacement = Left/Right' if custom 'Width/Height' values are set.(TFS-29673)
- [C1TabControl] ‘TabStripOverlap’ property do not work on setting
  ‘TabItemShape’ or ‘TabItemClose’ property.(TFS-29682)
- [C1TabControl] Fixed the issue that NullReferenceException occurs on
  clicking pin button of tabitem after reordering it.(TFS-29775)
- [C1TabControl] Unlike JPN released build, Left/right scroll buttons do
  not work correctly on reordering C1TabItems at run-time.(TFS-29717)
- [C1TabControl] Left and right scroll buttons are not correctly reflected
  on navigating between tabs using keyboard.(TFS-29793)
- [C1ComboBox] Although 'IsEditable' property is False,text can be entered with 'Condition = Contains' property.(TFS-29362)
- [C1TabControl] After deleting tab item, tab item navigation order is not correct.(TFS-28681)
- GroupRow Background is not overriden if there is a style which contains the background property set.
- [C1DockTabControl] First item is always selected after removing the selected tabitem.(TFS-29128)
- [C1TabControl] C1TabControl Crashing Silverlight Application When Resized.(TFS-29266)
- [C1ComboBox] Fix the issue that DisplayMemberPath doesn't work.
- [C1ComboBox] Incorrect behavior is observed when 'Condition' property is set to 'Contains'.(TFS-29161)
- [C1ComboBox] Fix the issue that re-write the code in GotFocus event will cause dead loop.
- [C1ComboBox] Unlike previous build and MS-ComboBox, selecteditem is not shown in textbox of C1ComboBox
  if the underlying datasource implements ICustomTypeProvider.(TFS-29098)
- [C1ComboBox] Condition="Contains" work with case sensitive.(TFS-29154)
- [C1TabControl] Fixed the issue that unlike MS-TabControl and C1DockTabControl, 'IsSelected' property does not work.(TFS-29139)
- [C1TabControl] After deleting tab item, tab item navigation order is not correct.(TFS-28681)
- [C1ComboBox] 'ConvertForm' method returns incorrect value is returned.(TFS-29085)
- [C1ComboBox] Contains Condition sometimes shows results in the wrong position on page.(TFS-29169)
- [C1ComboBox] Fix the issue that when switching the Condition property, the Items in the dropdownlist will not change.
- [DockControl] Control in one C1DockTabControl overlap other C1DockTabControl when DockState of first is changed.(TFS-28468)
- [C1ComboBox] Unlike previous build and MS-ComboBox, two clicks required to open the combo dropdown.(TFS-28037)

### Improvements

- [C1ComboBox] Request to provide support for selecting First Item as
  Default Selection when 'Condition' Property is set to 'Contains'.(TFS-29474)
- C1ListBox Horizontal/VerticalScrollBarVisibility properties added.
- C1ListBox Adding C1ListBoxItems explicitely in the control was throwing an exception.
- [C1ComboBox] Added support of 'DataTemplateSelector'.
- [C1TreeView] Added support of 'HierarchicalDataTemplate'.
- [C1ScrollViewer] Add ContentTemplateSelector support.
- [C1ComboBox] C1ComboBox needs a new SelectionCommitted event.(TFS-29138)
- C1ListBox, and C1TileListBox controls added.
- [C1ComboBox] Enhancement to add other conditions for auto complete feature.(TFS-27630)

## C1.Silverlight.Chart

### Improvements.

- Aggregates now support XYDataSeries and series-specific data sources.
- Introduced selection support.
- added following new properties related with selection:
- ChartData.SelectionAction - specifies how user select plot elements.
- DataSeries.SelectedItemStyle - defines appearance of selected plot
  element.
- DataSeries.SelectedItemLabelTemplate - defines appearance of label
  attached to selected plot element.
- the chart items source should implement ICollectionView interface.
  sample code
  [XAML]
  chart declaration
  -----------------
  <c1:C1Chart Name="chart">
  <c1:C1Chart.Data>
  <c1:ChartData SelectionAction="MouseDown">
  <c1:DataSeries ValueBinding="{Binding Price}"
  SelectedItemStyle="{StaticResource selected}"
  SelectedItemLabelTemplate="{StaticResource label}"/>
  </c1:ChartData>
  </c1:C1Chart.Data>
  </c1:C1Chart>
  resources: element style and label template
  -------------------------------------------
  <Style x:Key="selected" TargetType="c1:PlotElement">
  <Setter Property="Fill" Value="Red" />
  </Style>
  <DataTemplate x:Key="label">
  <TextBlock Text="{Binding}"/>
  </DataTemplate>
  [C#]
  sample data source
  ------------------
  ..
  // create sample data
  var items = new ObservableCollection<Product>();
  for (int i = 0; i < 5; i++)
  items.Add(new Product() { Name = "Product " + i, Price = i });
  var collectionView = new PagedCollectionView(items);
  // set data source
  chart.Data.ItemsSource = collectionView;
  ..
  where Product is
  public class Product
  {
  public string Name { get; set; }
  public double Price { get; set; }
  }
- Introduced automatic series generation. New properties
  ChartData.SeriesItemsSource and ChartData.SeriesItemTemplate.
  The new feature is useful in various MVVM scenarios and allows
  to automatically generate series based on provided template.
  The source of series is specified by new property
  ChartData.SeriesItemsSource and the series template is set
  by new property ChartData.SeriesItemTemplate.
  sample code
  [XAML]
  Chart declaration.
  <c1:C1Chart Name="chart">
  <c1:C1Chart.DataContext>
  <!-- sample data -->
  <local:ChartData />
  </c1:C1Chart.DataContext>
  <c1:C1Chart.Data>
  <c1:ChartData SeriesItemsSource="{Binding SeriesDataCollection}" >
  <c1:ChartData.SeriesItemTemplate>
  <!-- template for series -->
  <DataTemplate>
  <c1:DataSeries Label="{Binding Name}"
  ValuesSource="{Binding Values}" />
  </DataTemplate>
  </c1:ChartData.SeriesItemTemplate>
  </c1:ChartData>
  </c1:C1Chart.Data>
  <c1:C1ChartLegend />
  </c1:C1Chart>
  [C#]
  Sample data model.
  public class ChartData
  {
  public static int NUM_SERIES = 5;
  public ObservableCollection<SeriesData> SeriesDataCollection
  {
  get
  {
  if (_seriesDataCollection == null)
  {
  _seriesDataCollection =
  new ObservableCollection<SeriesData>();
  for (int i = 0; i < NUM_SERIES; i++)
  _seriesDataCollection.Add(new SeriesData("Series " + i));
  }
  return _seriesDataCollection;
  }
  }
  private ObservableCollection<SeriesData> _seriesDataCollection;
  }
  public class SeriesData
  {
  static int NUM_POINTS = 10;
  static Random rnd = new Random();
  public SeriesData(string name)
  {
  Name = name;
  Values = new double[NUM_POINTS];
  for (int i = 0; i < NUM_POINTS; i++)
  Values[i] = rnd.Next(0, 100);
  }
  public string Name { get; set; }
  public double[] Values { get; set; }
  }
- Introduced animation API for plot elements. Added new class
  PlotElementAnimation, new property ChartData.LoadAnimation.
  The new API should simplify creating varios visual animating effects
  for plot element. The animation is defined in new class PlotAnimation
  that contains following main properties:
- PlotElementAnimation.SymbolStyle - initial style of plot element.
  The style is applied before animation.
- PlotElementAnimation.Storyboard - storyboard containing animations
  for plot element.
- PlotElementAnimation.IndexDelay - attached property that allows
  to specify delay depending on element's point index.
  At this moment only load animation supported. To specify load
  animation you should set ChartData.LoadAnimation property.
  sample code
  [XAML]
  Definition of chart with plot element load animation.
  <c1:C1Chart Name="chart">
  <c1:C1Chart.Data>
  <c1:ChartData>
  <c1:ChartData.LoadAnimation>
  <!-- load animation -->
  <c1:PlotElementAnimation>
  <!-- initial style: invisible -->
  <c1:PlotElementAnimation.SymbolStyle>
  <Style TargetType="c1:PlotElement">
  <Setter Property="Opacity" Value="0" />
  </Style>
  </c1:PlotElementAnimation.SymbolStyle>
  <c1:PlotElementAnimation.Storyboard>
  <Storyboard >
  <!-- display element with index delay -->
  <DoubleAnimation
  Storyboard.TargetProperty="Opacity"
  c1:PlotElementAnimation.IndexDelay="0.5"
  To="1" Duration="0:0:1" />
  </Storyboard>
  </c1:PlotElementAnimation.Storyboard>
  </c1:PlotElementAnimation>
  </c1:ChartData.LoadAnimation>
  </c1:ChartData>
  </c1:C1Chart.Data>
  </c1:C1Chart>
  [C#]
  Creates sample data when user clicks on the chart.
  After creating new data appears on plot with animation.
  var rnd = new Random();
  chart.MouseLeftButtonDown += (s, e) =>
  {
  chart.Data.Children.Clear();
  // create new data
  var vals = new double[rnd.Next(5,10)];
  for (int i = 0; i < vals.Length; i++)
  vals[i] = rnd.Next(0,100);
  chart.Data.Children.Add( new DataSeries() { ValuesSource = vals });
  };

## C1.Silverlight.Data

### Improvements

- Added support for custom validation and error handling:
  -- DataSet.HasErrors property,
  -- DataTable.HasErrors property and DataTable.GetErrors method,
  -- DataColumnChangeEventArgs class,
  -- DataColumnChangeEventHandler delegate,
  -- DataTable.ColumnChanging and DataTable.ColumnChanged events,
  -- DataRow.HasErrors and DataRow.RowError properties,
  -- DataRow.ClearErrors, DataRow.GetColumnError, DataRow.GetColumnsInError and DataRow.SetColumnError methods,
  -- DataRowView class implements INotifyDataErrorInfo interface.

## C1.Silverlight.DataGrid

### Bug fixes

- Auto-generation was being re-executed incorrectly when the data source item type was
  ICustomTypeDescriptor(DataTable case).
- Filtering boolean values in an object property was throwing an exception.
- Exception was being raised when deleting the new row item placeholder.
- Exception thrown when clearing the rows of a C1DataGrid.
- MultiValueFilter was not handing null values correctly when the predicate operator was "Equals".
- Input handing changed to avoid InputBinding's to be listened when C1DataGrid has focus.
- Auto-generation failed when a List<object> is set as ItemsSource.
- CollectionChanged event of the DataGridRowCollection was not being raised when the
  rows of a group changed.
- New rows missed values corresponding to the properties returned by the 'ICustomTypeProvider' interface.
- Exception raised when ItemSource is set to null while a new row was being entered.
- Focus moved back to editing cell when CommitingRow event is cancelled.
- DataGridMultiValueFilter was raising an exception when toggling a value, if the list
  of values of the filter predicate was a read-only collection.
- Avoid changing checkbox if space was pressed, unless it's in edit mode.
- Checkbox column didn't enter in edit mode when space text is entered.
- First click in a checkbox column was not working fine when the column didn't accept
  null values but its actual value was a null.
- First key stroke was being ignored in the new row template.

### Improvements

- "EndsWith" predicate supported in all text filters.
- DataGridMultiValue filter now reflects predicates using the operator "Equals".
- GroupRowPosition property added.

## C1.Silverlight.DataGrid.Filters

### Bug fixes:

- Text filter of a combo box column was not clearing the entered text after clear button was pressed.

### Improvements

- DataGridFilterRow design improved.

## C1.Silverlight.DataGrid.Summaries

### Bug fixes

- DataGridGroupWithSummaryRow was not being updated correctly when the collection of
  rows of the associated group changed.

## C1.Silverlight.DateTime

### Improvements:

- added C1DateTimePicker.IsDropDownOpen property. This is read only dependency property which shows whether drop-down calendar is opened.
- added new event to the C1DatePicker and C1DateTimePicker controls:
  public event EventHandler<PropertyChangedEventArgs<object>> SelectionCommitted;
  This event is fired when the new DateTime value is committed.
  It's possible, that selected date is changed while end-user works with drop-down calendar using keyboard.
  In such case C1DatePicker.SelectedDateChanged and C1DateTimePicker.DateTimeChanged events might be fired many times.
  SelectionCommitted event is fired only once at closing drop-down calendar.
  When selected DateTime value is changed without using drop-down calendar, SelectionCommitted event is fired at the same time as
  C1DatePicker.SelectedDateChanged and C1DateTimePicker.DateTimeChanged events.

## C1.Silverlight.Extended

### Breaking changes

- Unused FocusCuesVisibility and DisabledCuesVisibility removed from C1ColorPicker.

### Bug fixes

- [C1Book] Fixed the issue that wrong images are shown for content of C1Book.(TFS-29503)

### Improvements

- ColorPicker now closes when enter key is pressed.
- [C1Book] Added support of 'DataTemplateSelector'.
- [C1Accordion] ItemTemplate/HeaderTemplate properties added as well as ItemTemplateSelector
  and HeaderTemplateSelector.

## C1.Silverlight.FlexGrid

### Bug Fixes

- Fixed numeric keypad support
- Improved checks for IsEditing/AddingNew before refreshing merged groups (TFS 29520)
- Improved collapse/expand logic to handle refreshes on merged groups (TFS 28433)
- Set view's current item to null when selecting group rows (TFS 27378)
- C1FlexComboBox did not close automatically in some scenarios (TFS 29483)
- Improved CellFactory DisposeCell to clear bindings of cells being disposed
- Vertical scrollbar did not take column footer size into account (TFS 29149)
- Made arrow key collapse/expand behavior compatible with MS DataGrid (TFS 29151)
- Improved behavior of ColumnValueConverter button (TFS 28857)
- Improved keyboard handling while editing with custom/templated editors
- Prevent row dragging on bound grids (TFS 28943)
- Invalidate column when setting column's ValueConverter (TFS 29053)
- When freezing a large number of rows with ShowMarquee == true, the grid could throw.

### Improvements

- Added NewRowPosition property to allow showing the new row template above or below the data

## C1.Silverlight.FlexGridFilter

### Bug Fixes

- Make new row template remain visible also when UseCollectionView == false

## C1.Silverlight.Imaging

### Bug fixes

- [C1GifImage] Fixed the issue that incorrect LoopCount value is shown after the image renders.(TFS-24234)

## C1.Silverlight.ReportViewer

### Bug Fixes:

- Update the description for ViewMode enumeration.

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that duplicate text is showed when text is copied/pasted
  using 'Shift+Insert' key.(TFS-27635)
- Fixed the issue that NullReferenceException is thrown in design time
  when 'IsEnabledSpellChecker' property is set to false.(TFS-26964)
- Fixed the issue that the cursor in the C1RichTextBox is misaligned
  when having the WPF TextOptions.TextFormattingMode set to "Display".(TFS-23572)
- Fixed the issue that freezing during SetFocus.(TFS-29228).
- Fixed the issue that As-You-Type spell checker is causing very slow typing
  in larger documents with more than 20 misspelled words.(TFS-28432)
- Fixed the issue that user is unable to place the cursor at the
  beginning of text.(TFS-28431)

## C1.Silverlight.RichTextBox.Toolbar

### Bug fixes:

- Fixed the issue that application hang after adding C1RichTextBoxToolbar for WPF.(TFS-28255)
- Fixed the issue that 'XAMLParseException was unhandled' occurs on loading
  RichTextbox toolbar.(TFS-28434)
- Fixed the issue that "Cannot find a Resource with the Name/Key C1.Silverlight.C1ComboBox"
  XamlParseException is thrown when running sample.(TFS-28698)

## C1.Silverlight.Schedule

### Breaking Changes

- to avoid naming collision with C1.Silverlight.C1ListBoxItem,
  the C1.Silverlight.Schedule.C1ListBoxItem class has been renamed to
  C1.Silverlight.Schedule.GroupedListBoxItem.
  Note: if you use custom control templates for the C1Scheduler control, make sure that you
  renamed C1ListBoxItem to GroupedListBoxItem in your custom xaml.

## C1.Silverlight.TileView

### Bug Fixes

- [C1TileView] Unlike previous JPN released build, minimized items are
  not displayed properly on setting ‘MinimizedItemsPosition’ property (TFS-30058)
- [C1TileView] Fixed the issue that can't use FrameworkElement as tile item. (TFS-19663)

## C1.Silverlight.Toolbar

### Improvements:

- Added new properties: C1ToolbarGroup.ItemTemplateSelector,
  C1ToolbarTabItem.GroupItemsSource.

# Release version 5.0.20122.273 - 10/08/2012

## C1.Silverlight.DataGrid

### Bug fixes

- Checkbox's belonging to a Checkbox column were displayed as disabled incorrectly.

## C1.Silverlight.Extended

### Bug fixes

- C1Accordion avoid changing IsExpandable property of the items in order to honor user settings.

### Improvements:

- C1Expander.IsExpandedChanging event added.

# Release version 5.0.20122.272 - 10/01/2012

## C1.Silverlight

### Bug fixes

- [C1TabControl] When select the item from TabStripMenu, the item's header is not selected.(TFS-27808)
- [C1TabControl] Unlike previous build, keyboard navigation stop working after removing tab item.(TFS-27952)

## C1.Silverlight.FlexGrid

### Bug Fixes

- Improved range checking when updating subtotals (TFS 28138)
- Improved range checking when collapsing/expanding groups with changes (TFS 27953)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that unlike previous build, line cannot be deleted.(TFS-27841)
- Fixed the issue that RTB- OnGotFocus being triggered more than once.(TFS-28030)
- Fixed the issue that new line break is inserted when clicking in the
  non-editable table cell.(TFS-16883)

# Release version 5.0.20122.271 - 09/24/2012

## C1.Silverlight.DataGrid

### Bug fixes

- Filtering a string predicate when the property type was different from String and
  the value was null was raising an exception.

## C1.Silverlight.DateTime

### Improvements:

- all controls honor the FrameworkElement.Language property value. If it is not set, controls will use the default culture "en-US".
  Notes:
  -- if your application explicitly sets Thread.CurrentThread.CurrentCulture property value, make sure that you set Language property
  for the root visual in your application to the same value:
  public MainPage()
  {
  Language = System.Windows.Markup.XmlLanguage.GetLanguage("ja-JP");
  Thread.CurrentThread.CurrentCulture = new System.Globalization.CultureInfo("ja-JP");
  InitializeComponent();
  }
  -- [WPF] in WPF you should set FrameworkElement.Language property value for every window in your application.
  -- [WPF] known issue: C1DatePicker control uses MS Calendar control in the dropdown part.
  MS Calendar control honors CurrentThread.CurrentCulture if FrameworkElement.Language property value is not set.
  So, to keep dropdown calendar and text in the C1DatePicker control in the same culture,
  always keep FrameworkElement.Language and CurrentThread.CurrentCulture properties in sync.
  -- [SL] known issue: C1DatePicker control uses MS Calendar control in the dropdown part.
  MS Calendar control ignores FrameworkElement.Language property value.
  So, to keep dropdown calendar and text in the C1DatePicker control in the same culture,
  set CurrentThread.CurrentCulture property according to the Language property value.
  -- [WPF] If you build multicultural application which should use local machine culture settings,
  in most case it should be enough to set language property once on the root visual of your application:
  public MainWindow()
  {
  Language = System.Windows.Markup.XmlLanguage.GetLanguage(System.Globalization.CultureInfo.CurrentCulture.Name);
  InitializeComponent();
  }

## C1.Silverlight.FlexGridFilter

### Bug Fixes

- Filter editor did not honor parent grid's Language setting (TFS 27916)

## C1.Silverlight.Schedule

### Improvements

- added new property to the Appointment class:
  public string AppointmentType {get; set; }
  Gets or sets custom text value associated with this object.
  This property is serialized with other appointment properties.
  You can use this property to show customized content or perform different actions depending on the property value.
  This property is serialized into different formats and it is saved into underlying
  data source if mapping for Appointment Properties is set.
  The default value in null.
- the AppointmentsCoverPane class can be inherited and used in custom control templates for the C1Scheduler control.
- added new methods to the AppointmentsCoverPane class:
  public virtual bool IsPaneAppointment(C1.C1Schedule.Appointment appointment, AppointmentFilterEnum filter);
  Checks whether the specified appointment should be shown in the current pane.
  The default implementation filters appointments according to the AppointmentsCoverPane.AppointmentFilter property value.
  Override this method in the derived class to filter appointments by additional conditions.
  public virtual void InitializeAppointment(C1.C1Schedule.Appointment appointment)
  Initializes the newly created appointment or edits existing one when it is dropped to the AppointmentsCoverPane by the end-user.
  This method is called by the C1Scheduler control immediately before firing UserAddingAppointment and BeforeAppointmentDrop events.
  Override this method in derived class if you need additional appointment initialization.
- all controls honor the FrameworkElement.Language property value. If it is not set, controls will use the default culture "en-US".
  Notes:
  -- if your application explicitly sets Thread.CurrentThread.CurrentCulture property value, make sure that you set Language property
  for the root visual in your application to the same value:
  public MainPage()
  {
  Language = System.Windows.Markup.XmlLanguage.GetLanguage("ja-JP");
  Thread.CurrentThread.CurrentCulture = new System.Globalization.CultureInfo("ja-JP");
  InitializeComponent();
  }
  -- [WPF] known issue: C1DatePicker control uses MS Calendar control in the dropdown part.
  MS Calendar control honors CurrentThread.CurrentCulture if FrameworkElement.Language property value is not set.
  So, to keep dropdown calendar and text in the C1DatePicker control in the same culture,
  always keep FrameworkElement.Language and CurrentThread.CurrentCulture properties in sync.
  -- [SL] known issue: C1DatePicker control uses MS Calendar control in the dropdown part.
  MS Calendar control ignores FrameworkElement.Language property value.
  So, to keep dropdown calendar and text in the C1DatePicker control in the same culture,
  set CurrentThread.CurrentCulture property according to the Language property value.
  -- [WPF] if Language property is not set in application, the C1Scheduler control will use Language, corresponding to the CultureInfo.CurrentCulture.
  It also propagates this value to all default dialogs. If you cancel default C1Scheduler dialogs and show own dialogs from your code, make sure that you set
  Language property in every dialog.
  If you build multicultural application which should use local machine culture settings,
  in most case it should be enough to set language property once on the root visual of your application:
  public MainWindow()
  {
  Language = System.Windows.Markup.XmlLanguage.GetLanguage(System.Globalization.CultureInfo.CurrentCulture.Name);
  InitializeComponent();
  }

# Release version 5.0.20122.269 - 09/17/2012

## C1.Silverlight

### Bug fixes

- [C1TabControl] TabControl will get focus when SelectedItem is changed. (TFS-27418)
- [C1ComboBox] Fix the issue that C1ComboBox does not scroll to the Selected Item.(TFS-24754)
- [C1TreeView] Fix the issue that C1TreeView throws "XamlParseException" while rearranging tree items.(TFS-24309)
- [C1TabControl] If the C1TabItem content is located outside the boundary of
  the C1TabItem, it is not clipped, so it will be shown outside the boundary.(TFS-27877)

### Improvements

- [C1TabControl] Add 'VisibleItems' property and 'VisibleItemsChanged' event to the 'C1TabControl'.
- [C1ScrollViewer] Set 'CanScrollDown','CanScrollLeft','CanScrollRight','CanScrollUp' properties' setter to internal.

## C1.Silverlight.DataGrid

### Bug fixes

- Avoid entering in edit mode when Back key is pressed.

## C1.Silverlight.FlexGrid

### Bug Fixes

- DisplayAttribute.Order was not always honored correctly (TFS 27517)
- New row cells were being included in aggregates (TFS 27873)
- Editing grouped grids could cause stack overflow exception (TFS 27870)

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that Misalign text is observed in table-formed paragraph.(TFS-27733)
- Fixed the issue that Exception "Object reference not set to an instance of an object"
  is occurred on rendering the certain pdf file.(TFS-24714)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that unlike previous build, small textarea is shown and typed text
  cannot be selected / copied if width and height are not specified.(TFS-27783)

## C1.Silverlight.Toolbar

### Bug Fixes

- C1ToolbarSplitButton added to items collection editor for C1ToolbarGroup
  and C1ToolbarStrip(TFS 24545).

# Release version 5.0.20122.268 - 09/10/2012

## C1.Silverlight

### Bug fixes

- Fix the issue that C1.Silverlight.Clipboard.GetHtmlData() causes
  Silverlight plugin to become unresponsive.(TFS-27288)
- [C1Combobox] Fix the issue that watermark property not working in bound C1ComboBox.(TFS-27491)
- [C1TabControl] The keyboard navigation stop working after the 'C1TabItem' is pinned.(TFS-24178)
- [C1TabControl] Tabitems disappear after deleting the other tabitems.(TFS-27525)
- [C1TabControl] TabItem is not moved position when doing unpinned. (TFS-25979).
- [C1TabControl] The header value of Last TabItem is missing to display at
  second time choosing from TabStripMenu.(TFS-27485)

### Improvements

- [C1TreeView] Add the connecting lines for the 'TreeView'.

## C1.Silverlight.DataGrid

### Bug fixes

- Numeric filters was not working properly over a string property which contained null values.

## C1.Silverlight.DataGrid.Filters

### Improvements

- DataGridFilterRow.FilterOperation attached property added, to change the default
  operation ("Contains") when text is entered in one of the textbox's of a filter row.

## C1.Silverlight.Docking

### Bug Fixes:

- [C1DockControl] Add 'ClearStyle' support for 'InnerPicker' and 'OuterPicker'.

## C1.Silverlight.FlexGrid

### Bug Fixes

- Column aggregates did not update when changing the GroupAggregate property (TFS 27517)
- Improved handling of sort while adding new items (TFS 27603)
- Refresh groups/filter when editing merged ranges (TFS 19539)
- Do now show regular group rows if ChildItemsPath != null (TFS 27642)
- Aggregates were not displayed in printed output (TFS 27354)

## C1.Silverlight.FlexGridFilter

### Improvements

- Added support for indexed/dictionary bindings (TFS 18030)

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Text sometimes was incorrectly clipped (TFS-21391)

## C1.Silverlight.ReportViewer

### Bug Fixes:

- Fixed the issue that find text get highlighted incorrectly.(TFS-25934)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that C1HyperLink tooltip is cut off when text is on the
  far side of the screen.(TFS-24467)
- Fixed the issue that incorrect behavior is observed when
  RichTextBox.Document.IsEditable property is set to False.(TFS-24579)
- Fixed the issue that Watermark does not show when ViewMode is set as Print.(TFS-24247)

## C1.Silverlight.RichTextBox.Toolbar

### Bug fixes:

- Fixed the issue that although imported html text is with underline, "underline"
  button is not in pressed state.(TFS-24637)

# Release version 5.0.20122.267 - 09/03/2012

## C1.Silverlight

### Bug fixes

- [C1ContextMenu] Fix the issue that submenu is left on the screen and is showed at the
  upper left corner of the window.(TFS-26369)
- [C1Window] The 'C1Window' created in the constructor will disappear if it is
  restored or minimized. (TFS-13888)

### Improvements

- Add metro icons to all controls.

## C1.Silverlight.Chart

### Bug fixes.

- DataSeries.SymbolStroke now is applied for pie charts(TFS 19426).

## C1.Silverlight.Data

### Bug Fixes

- 25586 - [22628-139] InvalidCastException thrown when filter statement contain round bracket()

## C1.Silverlight.DataGrid

### Bug fixes

- Exception handled when GetIndexedParameters is not implemented in a custom PropertyInfo.
- Filtering by a column generated from a ICustomTypeProvider was not working properly.
- Pressing "a" key was selecting all the rows event when ctrl was not pressed.
- Foreground was not being propagated correctly to the rows when changed at runtime.
- Editing call to the inner collection view was moved from OnBeganRowEdit to OnBeginningRowEdit
  of the row in order to prevent entering in edit mode when the collection view do not allow it.
- Exception thrown when RowDetailsVisibilityMode is set to VisibleWhenSelected and a column is sorted.

### Improvements

- C1DataGrid now supports ICustomTypeProvider interface.

## C1.Silverlight.DataGrid.Filters

### Bug fixes:

- Fixed issue with Equal operation in the DataGridMultiLineDateTimeFilter.
  The default value of DataGridMultiLineDateTimeItem has been changed from DateTime.Now to DateTime.Today. It conforms to the default EditMode Date.
  (http://our.componentone.com/groups/silverlight/studio-for-silverlight/forum/topic/datagrid-date-column-filters-do-not-work-as-expected)

## C1.Silverlight.Docking

### Improvements:

- Remove C1DockGroup from VS Toolbox.

## C1.Silverlight.Extended

### Improvements:

- Remove C1CoverFlowItem from VS Toolbox.
- Add ICustomTypeProvider interface support to C1PropertyGrid for SL5.

## C1.Silverlight.FlexGrid

### Bug Fixes

- Pressing Enter when editing the last row did not commit changes immediately (TFS 25481)
- Improved printing of grouped grids (TFS 24832)
- Disabled adding rows on collections with grouping and sorting set (TFS 24818)

### Improvements

- Added Column.ToolTip property to provide tooltips for column header cells.
- Added Save(StreamWriter, ...) method to allow saving with custom encoders.
- Added support for the ICustomTypeProvider interface in Silverlight 5.
  For details and examples on the ICustomTypeProvider interface, see
  http://blogs.msdn.com/b/silverlight_sdk/archive/2011/04/26/binding-to-dynamic-properties-with-icustomtypeprovider-silverlight-5-beta.aspx
  http://csharperimage.jeremylikness.com/2011/05/using-icustomtypeprovider-in.html

## C1.Silverlight.FlexGridFilter

### Bug Fixes

- Showing filter editor could cause exception in some cases (TFS 19706)

### Improvements

- Improved handling of custom (non-value) types in value filter (TFS 27462)

## C1.Silverlight.Maps

### Bug fixes:

- [13451-139][Maps] Maps crash on zooming when polylines with effects
  are added to the layer.(TFS-23372)

### Improvements:

- Remove C1MapItemsLayer, C1MapVirtualLayer, C1VectorLayer from VS Toolbox.

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that current display page change to previous one on changing
  the zoom value.(TFS-24044)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that correcting a spelling which contains a hyperlink removes the
  hyperlink.(TFS-21247)
- Fixed the issue that C1RTB incorrectly marking dependency properties as changed.(TFS-24589)

## C1.Silverlight.RichTextBox.Toolbar

### Bug fixes:

- Fixed the issue that the fill color does not take effect to the cell of
  a table if it has some text.

## C1.Silverlight.Schedule

### Improvements

- honored CalendarHelper.Holidays and CalendarHelper.WeekendExceptions collections when counting
  recurrence patterns with DayOfWeekMask set to WorkingDays or WeekendDays.

## C1.Silverlight.Toolbar

### Improvements:

- Remove C1ToolbarGroup from VS Toolbox.

# Release version 5.0.20122.264 - 08/13/2012

## C1.Silverlight

### Bug fixes

- [C1TabControl] The value for the ‘C1TabItem.Content’ property is not able
  to set from xaml page. (TFS-24827)
- [C1TabControl] 'ArgumentOutOfRangeException' is thrown on clicking the "Pin"
  button for four times. (TFS-24835)
- [C1TabControl] TabItem is not moved to first position when pinned for
  second time. (TFS-24913)

### Improvements

- [C1TabControl] Added the methods of 'BeginUpdate' and 'EndUpdate' to 'C1TabControl'.
- [C1Menu] Added the support of the 'HierarchicalDataTemplate'.

## C1.Silverlight.DataGrid.Excel

### Improvements:

- C1DataGrid.TopRows/BottomRows are honored by Excel export now.

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that inserting cursor at incorrect position.(TFS-23566)
- Fixed the issue that cursor getting stuck in hyperlinks copied from MSWord.(TFS-24258)
- Fixed the issue that NullReferenceException is thrown when RichTextBox
  and RichTextBoxToolbar is placed on form in design time.(TFS-24826)

## C1.Silverlight.Zip

### Improvements:

- Optimized decompression speed (under some scenarios, decompression is now up to 5x faster)

# Release version 5.0.20122.263 - 08/06/2012

## C1.Silverlight

### Bug fixes

- [C1ComboBox] Fixed the issue that SelectedItem is null when set SelectedIndex.
- [C1TabControl] TreeView's selected items gets changed on switching the tabs
  in C1TabControl.(TFS-24526)
- [C1TabControl] 'ArgumentOutOfRangeException' is thrown on clicking the 'Pin'
  button after closing the other tab item.(TFS-24583)
- [C1ComboBox] Fixed the issue that unlike previous build [4.0.20122.261_JPN],
  Drop down list fluctuates after clicking text area of C1ComboBox.(TFS-24631)
- [C1DropDown] Fixed the issue that unlike previous build, the dropdown is not closed
  when the dropdown button of C1DropDown is clicked while it is in the open state.(TFS-24613)
- [C1DropDown] Fixed the issue that in build 262, AutoClose="False" does not
  work in C1DropDown.(TFS-24572)
- [C1ComboBox] Fixed the issue that ComboItems cannot be selected by using
  up/down arrow key.(TFS-24550)
- [C1TabControl] Removed the licensing from C1TabItem.
- [C1Menu] Removed the licensing from C1MenuItem.
- [C1TreeView] Removed the licensing from C1TreeViewItem.
- [C1ComboBox] Removed the licensing from C1ComboBoxItem.

## C1.Silverlight.Chart

### Breaking Changes.

- DataSeries.ChartType overrides settings for connection plot element. Previously
  the connection plot element was inherited from Chart.ChartType if it wasn't specified
  in series chart type(TFS 22919).
- Chart.AutoGenerateSeries property now has default value = false. That allows
  to avoid situations when series generation is not necessary(TFS 22916).

### Improvements.

- ImageExport.SaveImage() method(C1.Silverlight.Chart.Extended.dll): added optional
  parameter that allows to specify background brush for image(TFS 22918).

## C1.Silverlight.DataGrid

### Bug fixes

- New row was not working properly.
- Exception raised when C1TextBoxBase is used in editing template of template column.
- Composite column bug fixed.

## C1.Silverlight.DataGrid.Summaries

### Bug fixes

- Exception raised when GetCellValue event is not handled in template column and
  summary row is set in the data grid.
- Designer was not working fine when a summary row was added to C1DataGrid.

## C1.Silverlight.Docking

### Bug Fixes:

- [C1DockControl] When floating and then docking a window,
  'InvalidOperationException' occurs. (TFS-24528)

## C1.Silverlight.FlexGrid

### Bug Fixes

- Improved handling of escape key when editing with check boxes (TFS 24339)
- Improved handling of combo boxes in merged cells (TFS 19257)
- AllowAddNew did not work with empty data sources (TFS 24419)
- WPF FlexPaginator class did not handle frozen rows/columns correctly (TFS 24445)
- Fixed issue with selection/always-edit in WPF DataView (TFS 24465)

## C1.Silverlight.FlexGridFilter

### Bug Fixes

- Filter editor did not initialize "Or" button correctly (TFS 24401)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that C1Hyperlink does not work when the Tooltip is
  any UIElement.(TFS-24329)

## C1.Silverlight.Theming

### Improvements:

- [WPF 3/4, Silverlight 5] Themes loading doesn't cause handled exceptions
  that interrupt execution of applications ran from VisualStudio.

## C1.Silverlight.TileView

### Improvements:

- [C1TileViewItem] Added 'ContentTemplateSelector','HeaderTemplateSelector', 'ContentTemplateMaximizedSelector',
  'ContentTemplateMaximizedSelector' properties.
- [C1TileView] Added 'ItemTemplateSelector','ItemTemplateHeaderSelector', 'ItemTemplateMaximizedSelector',
  'ItemTemplateMinimizedSelector' properties.

# Release version 5.0.20122.262 - 07/30/2012

## C1.Silverlight

### Bug fixes

- [C1ComboBox] Selected item is not shown as selected in drop-down list
  of C1ComboBox when item is selected using keyboard.(TFS-15061)
- [C1ComboBox] Color is flickering in 'CaretBrush' Color Box after colour
  pattern changed and mouse cursor placed inside C1ComboBox.(TFS-19124)
- [C1TabControl] When changing the parent Tabs , the state of the controls
  which is inside the Sub Tab will be lost.(TFS-24015)

## C1.Silverlight.Chart

### Bug fixes.

- The labels are correctly displayed in stacked charts(TFS 23637).

## C1.Silverlight.DataGrid

### Breaking changes

- DataGridRowPresenter.UnloadCells protected method removed, Use Unload method instead.

### Bug fixes

- Unhandled exception fixed when the culture or language is set to a neutral culture.
- Workaround applied in template column to allow the use of TextBox's in the editing template.
- ComboBox was closed unexpectedly when an element was selected and the cell changes
  was commited whitout allowing the user to cancel the editing if necessary.
- Avoid entering in edit mode when Ctrl key is pressed.
- Filter predicate "IsOneOf" was not filtering corrrectly null values.
- Blank cells appear when a theme is applied to the data grid.

### Improvements

- Select all cells when Ctr+A is pressed.

## C1.Silverlight.DataGrid.Summaries

### Improvements:

- Aggregate functions changed to support template columns, the aggregated values are
  taken from the GetCellValue method which can be specified in a template column by
  handling the GettingCellValue event.

## C1.Silverlight.Docking

### Bug Fixes:

- [C1DockControl] C1DockTabItem does not get focus when it was dragged into a
  tabbed dock control.(TFS-24265)

## C1.Silverlight.Extended

### Improvements

- [C1Accordion] IsItemExpandedChanged event added.

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the pdfviewer copy problem.(TFS-23902)
- Fixed the issue that highlight and found text are mismatch.(TFS-23414)

## C1.Silverlight.RichTextBox

### Bug fixes:

- [Silverlight 5][Regression] In an out-of-browser application, an attempt to load
  using code a XAML snippet containing C1RichTextBox may fail with an exception.
- Fixed the issue that NullRefernceException "Object reference not ste to an instance
  of an object" is occured on cutting the image in the cell after pasting.(TFS-24242)

## C1.Silverlight.Toolbar

### Bug Fixes

- The background of toolbar group popup now has default color when group background
  is transparent(TFS 24327).

# Release version 5.0.20122.261 - 07/23/2012

## C1.Silverlight

### Bug fixes

- C1TabControl performance is bad when the number of items is very large(>100).(TFS-23900)

## C1.Silverlight.DataGrid

### Bug fixes

- StringFormat of the Binding property of a bound column will take precendence over
  Format porperty of the same column.
- Language property determine the culture displayed in the cells of the data grid
  rather than CurrentCulture.

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that clicking "Find Previous" / "Find Next" buttons work
  only on current page.(TFS-17156)

## C1.Silverlight.ReportViewer

### Bug Fixes:

- Fixed the issue that first found word got covered under Toolbar for
  second round search.(TFS-23731)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that C1RichTextBox performs slowly (lag when typing) if several
  nested elements are used in the document structure.(TFS-16619)

## C1.Silverlight.RichTextBox.PdfFilter

### Bug Fixes

- Fixed the issue that NullReferenceException occurs when exporting HTML
  content that includes img to pdf without scrolling the C1RichTextBox.(TFS-23580)

# Release version 5.0.20122.260 - 07/18/2012

## C1.Silverlight

### Bug fixes

- [C1Menu] C1Menu is not working properly inside ‘ScrollViewer’.(TFS-19274)
- [C1Window] Control is disppeared when 'DialogResult' property is set to 'OK/Cancel/Yes/No'.(TFS-23136)
- C1FilePicker SelectedFile and SelectedFiles dependency properties were not being updated.
- Change the licensing AboutBox Copyright Statement from 'ComponentOne, LLC' to 'GrapeCity, Inc'.(TFS-23814)
- [C1ComboBox] When 'selectedIndex' is set Value beyond (Items.Count) from design time,
  it is not shown as default state (eg.-1) in property grid.(TFS-22868)
- [C1TabControl] C1TabControl does not support UI automation.(TFS-20741)
- [C1TabControl] TargetInvocationException is thrown when Binding data is called and shown using ItemsSource and ContentTemplate.(TFS-23317)

### Improvements

- [C1TabControl] Added support of 'DataTemplateSelector'.

## C1.Silverlight.Binding

### Bug Fixes

- Improved parsing of numbers to handle numbers with more than 10 decimal digits

## C1.Silverlight.Chart

### Bug fixes.

- Fixed the problem with exception when changing Chart.View properties on property
  grid(TFS 23859).
- Bar chart now is rendered correctly.
- Fixed the problem with incorrect display of stacked pie chart when number of series
  is larger than two(TFS 23657).
- Minor fixes in chart samples(TFS 23666).
  C1.Silverlight.Chart.dll Build Number 255.

### Improvements.

- Added ChartView.Inverted property that allows to change direction of plotting and
  swap x- and y-axes.
- Added support of inverted direction for financial charts(HiLowOpenClose/Candle).
- Added stacked pie chart(ChartType.PieStacked).
- Added new Axis.AnnoVisibility property that controls visibility of axis labels.
  By default value the overlapped labels are hidden(AnnoVisibility.HideOverlapped).
- Added option to show axis annotation inside plot area(AxisPosition.Inner).

## C1.Silverlight.DataGrid

### Breaking changes

- DataGridRow.ActualDetailsVisibility property setter removed, use DetailsVisibilty instead.
- DataGridColumn.BeginEdit is not called on key down, instead is called on text input event.

### Bug fixes

- Select more than one range of cells using the mouse and ctrl key.
- The last element returned by the GetPageImages method raises an exception when is
  added to Viewbox.
- Vertical scroll bug fixed.
- Prevent Top and Bottom rows from inheriting selected item data context.
- "PressedBrush" applied on pressing filter DropDown from ColumnHeader.
- MouseWheel is not handled anymore when the top or the bottom of the viewport was reached
  and MouseWheel support was added to the panel of the row headers.
- Preserve CurrentRow when items are reloaded and the current row is a bottom or top row.
- Avoid entering in edit mode when Ctrl+V is pressed.
- Avoid entering in edit mode when Enter or Escape key is pressed.
- Set focus in datagrid when row header is pressed.
- Clearing columns when a frozen column was present raised an exception.
- ValidationBackground brush was not being propagated to the "new row" header.
- Exception raised when pressing up key and the upper row is removed because cell changed.
- Setting DetailsVisibility in a "Top" or "Bottom" row raised an exception.
- Invisible columns was not being skipped when pressing tab key.
- Set focus on grid after pressing "Select all" button in the top left corner of the
  datagrid in order to be able to press Ctrl+C to copy the selected data.
- Avoid entering in edit mode when Ctrl+C is pressed.
- Exception was raised when dragging the mouse to select cells and a change in the layout
  occurs at the same time.
- Focus was not being set when a row was clicked initially and when selectable row,
  like a group row was selected, selection events were not being raised.
- Avoid a row from entering in edit mode when the column is not editable.
- Selection was lost after editing in a data grid whose ItemSource was set to a
  CollectionViewSource through a binding.
- Columns was being auto-generated incorrectly when data item type implemented ITypedLis.
- Performance problem fixed when changing the data source or setting it to null.

### Improvements

- Added the GetPageImages method override with the boolean showPageInfo parameter,
  which indicates whether page info like a page number/count should be added to the
  generated images.

## C1.Silverlight.DataGrid.Excel

### Breaking Changes

- The 'Xls' member is removed from the FileFormat and ExcelFileFormat enumerations.
  The Save method overrides with the FileFormat parameter are abolished.

### Bug Fixes

- Summary values formatting is not honored in exported file.
- Multiple summary values per column appear as a single line.

### Improvements:

- The ExcelSaveOptions.CollapseGroupsBelowDetail property is added. Indicates whether
  group collapse buttons should appear below or above detail rows.

## C1.Silverlight.DataGrid.Filters

### Improvements

- New DataGridFilterListPanel added to improve the layout of filter when the space
  is too small to display all the information correctly.

## C1.Silverlight.DataGrid.Summaries

### Bug fixes

- DataGridGroupWithSummaryRow now consider the property GroupRowHeight of the data grid
  in order to render this row.
- DataGridGroupWithSummaryRow performance problem fixed when there was more than 100.000 groups.

## C1.Silverlight.Docking

### Bug Fixes:

- [C1DockControl] C1DockTabControl can be dragged or resized beyond C1DockControl's boundary. (TFS-18577)

## C1.Silverlight.Extended

### Bug fixes

- [C1PropertyGrid] InvalidOperationException is thrown on clicking the collection editor button for Items collection of bounded control. (TFS-19393)
- Coverflow items disappeared after applying a theme.

## C1.Silverlight.FlexGrid

### Bug Fixes

- Allow sorting while editing cells (finish edits, then sort) (TFS 23522)
- Fixed star-size to work with outline columns (TFS 24002)
- Fixed issue with binding to nullable bool values (TFS 24017, broken in build 257)
- Improved MeasureOverride to autosize containers (TFS 23529)
- Improved focus handling on checkbox cells (TFS 23765)
- Solved security issue related to ICustomPropertyDescriptor in partial trust apps (TFS 23828)
- Updated cell merging to happen based on formatted rather than raw cell values (TFS 23516)
- Sorting didn't work if the current item edits hadn't been committed (TFS 23522)
- IME handling could cause invalid characters to be inserted in the grid (TFS 23659)

### Improvements

- Replaced '*' in last outline button with sequential number (as in Excel)
- Added an AllowAddNew property to enable adding rows by typing into a new row template
  at the bottom of the grid.
  Also added a NewRowBackground property to control the color of the new row template.
  Adding new rows is supported only if the grid is bound to a data source that supports
  adding new items (IEditableCollectionView.CanAddNew == true).
- Paste method SetClipString methods now raise BeginningEdit and CellEditEnded
  events before and after assigning new values to cells. This allows applications
  to preserve read-only cells within clip ranges.
  For example, the event handler below will prevent users from changing cells
  that contain the "ReadOnly" string, either by directly editing the cells or
  by pasting:
  // prevent users from editing or pasting into cells that
  // contain the string "ReadOnly"
  _flex.BeginningEdit += (s, e) =>
  {
  string cell = f[e.Row, e.Column] as string;
  if (cell == "ReadOnly")
  e.Cancel = true;
  };
- Exposed methods to configure ColumnValueConverter after creation:
  public void SetSource(IDictionary dictionary) // exclusive dictionary of Values/DisplayValues
  public void SetSource(ICollection values, bool exclusive) // list of suggested/required Values
  These methods make it easier to create ColumnValueConverter objects in MVVM scenarios
  since the converter parameters can be set after the object has been created. For example:
  /// <summary>
  /// Grid column converter that stores category ID values and displays the corresponding
  /// category names.
  /// </summary>
  public class CategoryIDConverter : C1.WPF.FlexGrid.ColumnValueConverter
  {
  public CategoryIDConverter()
  {
  var vm = new ViewModel();
  var dct = new Dictionary<int, string>();
  foreach (ServiceReference1.Category c in vm.Categories)
  {
  // store CategoryID, show CategoryName
  dct[c.CategoryID] = c.CategoryName;
  }
  SetSource(dct);
  }
  }

## C1.Silverlight.FlexGridFilter

### Bug Fixes

- Condition filter did not persist "AndConditions" property (TFS 24217)

## C1.Silverlight.Maps

### Bug fixes:

- Request to be fast for Maps' mouse dragging like Pan Tool dragging.(TFS-16954)

## C1.Silverlight.ReportViewer

### Bug Fixes:

- Fixed the issue that exception is thrown when load a pdf file.
- Fixed the issue that when pdf files are printed, it is rendered as
  blank page.(TFS-23953)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that C1RichTextBox selects Text/Image incorrectly.(TFS-23970)
- Bullet and Numbering is not working in C1RichTextBox.(TFS-23639)
- Fixed the issue that "Convert Text To Table" command does not create
  the table column for Japanese text.(TFS-23312)
- Support for Arabic
- Fixed the issue that bullet is not removed on pressing Backspace key.(TFS-23792)
- Fixed the issue that scrolling problem is observed when C1RichTextBox is
  placed inside ScrollViewer.(TFS-23530)
- Fixed the issue that upon inserting single space, two spaces are inserted.(TFS-23569)
- Fixed the issue that Bullet and Numbering is not working in C1RichTextBox.(TFS-23639)
- Fixed the issue that unlike previous build, html content with margin and
  horizontal lines are not correctly shown.(TFS-23639)
- Fixed the issue that multiple issues are observed with Undo operation
  with Ctrl + Z followed by 'z' key.(TFS-23638)
- Fixed the issue that unlike previous build, application hangs on pasting
  the text from clipboard.(TFS-23277)
- Fixed the issue that unlike previous build and MS-WordPad, styles in
  RTF text gets lost after clipboard operation.(TFS-23444)
- Fixed the issue that unlike previous build, two confirmation boxes are
  shown for clipboard operation.(TFS-23466)
- Fixed the issue that html format option missing <p> tag.(TFS-23177)

### Improvements:

- Add DefaultParagraphMargin dependecy property to determin the default value of
  margin between paragraphs.
- Add Watermark dependecy property to get or set the content of the watermark.

## C1.Silverlight.RichTextBox.Toolbar

### Improvements:

- Set cursor focus at textbox when opening Insert Hyperlink window.(TFS-23698)

## C1.Silverlight.Schedule

### Improvements

- changed appointment mouse click behavior:
  . single click on the unselected appointment selects the appointment;
  . single click on the selected appointment starts inline appointment editing;
  . double click on the appointment opens edit appointment dialog.

## C1.Silverlight.Theming

### Bug Fixes

- The C1.Silverlight.Theming.Cosmopolitan assembly is signed now.

## C1.Silverlight.TileView

### Bug Fixes

- 'MaximizedItem' property cannot be set from property grid. (TFS-19578)
- 'ContentMaximized' and 'ContentMinimized' properties cannot be set from property grid. (TFS-19630)
- A exception is thrown when the drop-down of the combobox in the 'TileView' header is displayed.(TFS-19790)
- If using ‘ContentTemplate’ property, the texts in the textbox are disappeared
  when the tile state is changed (TFS-19957)
- 'AssemblyProduct' is incorrect in 'AssemblyInfo' (TFS-19785)

# Release version 5.0.20121.253 - 06/11/2012

## C1.Silverlight

### Bug fixes

- [C1ComboBox] 'UIElement' is not appeared in text area of 'C1ComboBox' control until rebuild the application when setting 'SelectedIndex' property.(TFS-20197)
- [C1TabControl] If the items have be changed before the C1TabControl is loaded,'Object reference not set to an instance of an object' is showed.(TFS-22840)
- [C1TabControl] Tab pages do not get switched in the Blend 4 development environment(TFS-17064)
- [C1TabControl] When clicking the pin symbol of selected c1TabItem, 'SelectionChanged' event is fired twice.(TFS-19992)
- [C1TabControl] Unlike previous build, content of tab item is not shown when binding.(TFS-21748 & TFS-22001 & TFS-22362)

## C1.Silverlight.Extended

### Bug fixes

- [C1Reflector] The 'C1Reflector' can not reflect when 'C1Reflector' is the child control of another control and it is re-loaded. (TFS-20036)

## C1.Silverlight.FlexGrid

### Bug Fixes

- Cursor property was not always honored (TFS 23145)

## C1.Silverlight.FlexGridFilter

### Bug Fixes

- Added try/catch to filter drop-down in order to avoid exceptions in partial trust XBAP apps (TFS 18054)

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that when select specific text in Pdf document of C1PdfViewer,
  some extra text gets selected.(TFS-19964)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that correcting a spelling which contains a hyperlink
  removes the hyperlink.(TFS-21247)
- Fixed the issue that control jumps when text is pasted.(TFS-19368)
- Fixed the issue that C1TextDecoration.ToString() returns incorrect values.(TFS-23189)
- Provide Korean characters support.(using CJK special build)
- Fixed the issue that when ClipboardMode is set to PlainText, plain text
  can not be pasted into RichTextBox at Compatibility mode.(TFS-21209)

# Release version 5.0.20121.252 - 06/04/2012

## C1.Silverlight

### Bug fixes

- [C1Menu] Unlike other localized C1Silverlight controls, C1MenuItem is able to use without trial license or product license.(TFS-17535)
- [C1MessageBox] Pressing the Enter key can't trigger the OK button's click event and pressing Esc key can't close it.(TFS-20794)
- [C1ContextMenu] "IsHitTestVisible=False" is set but able to open menus and active.(TFS-19792)
- [C1TabControl] When the pin mode is changed, the selection is lost. (TFS-20714)

### Improvements

- [C1TreeView] Add StartEditing and FinishEditing methods.

## C1.Silverlight.DataGrid

### Bug fixes

- Focus was not being set to the datagrid when the first cell was clicked, making the up/down keys not to work correctly.

## C1.Silverlight.Gauge

### Bug Fixes:

- After new theme is applied to gauges, pointed value is changed to non-default value.(TFS-19516)

## C1.Silverlight.OutlookBar

### Bug fixes

- [C1OutlookBar]added a restriction that the outlookbar must be within the boundaries of the Silverlight Host. (TFS-21108)
- [C1OutlookBar]fixed the bug that the more menu list options at bottom does not gets loclized according to the culture. (TFS-21021)

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that left, right, bottom borders are clipped.(TFS-19565)
- Fixed the issue that the first word is skipped in using 'find text'.(TFS-20133)

## C1.Silverlight.ReportViewer

### Bug Fixes:

- Fixed the issue that no Item is displayed in Zoom dropdown when the ��mhtml��
  file is loaded from constructor) .(TFS-19786)
- Fixed the issue that when 'mhtml' file is loaded in C1ReportViewer,
  exception is thrown.(TFS-23025)
- Fixed the issue that no effect is seen after setting "BorderBrush" and
  "BorderThickness" properties of C1ReportViewer).(TFS-19573)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that unhandled exception "ManagedRuntimeError:Value does not fall
  within the expected range " is thrown if ' ' are contained in html tag.(TFS-22466)

### Improvements:

- Add IsEnabledSpellChecker property to get or set a value indicating
  whether the C1SpellChecker is enabled.(TFS-22540)

## C1.Silverlight.TileView

### Bug Fixes

- Fix that the C1TileViewItem cannot be added by code if no item already exists. (TFS-19981)

# Release version 5.0.20121.251 - 05/29/2012

## C1.Silverlight.FlexGrid

### Breaking changes

- RowDragging does not work anymore when C1FlexGrid in bound mode, the reason is
  because the ICollectionView interface does not provide the methods required to
  move rows (items) from one position to another. If the grid allowed this,
  it would quickly become out of sync with the data source.

### Bug Fixes

- GroupHeaderConverter in WPF could show "{DependencyProperty.UnsetValue}" instead of "" (TFS 23010)
- Fixed issue with group header selection/invalidation (TFS 22196)
- Improved type coercion when editing unbound merged cells (TFS 22912)
- Prevent dragging rows when the grid is bound to a sorted data source (TFS 22983)
- Editor drop down did not always close when control lost focus (WPF only) (TFS 19447)

## C1.Silverlight.FlexGridFilter

### Bug Fixes

- Filter dropdown did not always close when filter editor lost focus (WPF only) (TFS 19088)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that floating text box in RTB doesn't display all characters if
  a long Japanese Hiragana characters are inputted.(TFS-22068)(using CJK special build)

### Improvements:

- Add CaretBrush property to set the brush of the blinking cursor.(TFS-22892).

# Release version 5.0.20121.250 - 05/28/2012

## C1.Silverlight.DataGrid

### Bug fixes

- When the property SelectedItems was the source of a binding, the target of the binding
  was not being updated as selection changed because the interface INotifyPropertyChanged
  was not implemented in the data grid.

## C1.Silverlight.FlexGrid

### Bug Fixes

- Fixed issue with tab key and IME editor support (TFS 22949)
- Allow LoadColumnLayout to work even when columns have no names (TFS 22956)
- Made Column.Converter assignment work in cases where the binding is already in use (TFS 22929)

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that NullReferenceException 'Object reference not set to
  an instance of an object' is thrown on closing the document.(TFS-22360)
- Fixed the issue that unlike previous build and Adobe Reader, text with different
  fonts are not displayed in C1PDFViewer.(TFS-22851)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that unable to type in RTB after exernal link has been pasted.(TFS-22067)

## C1.Silverlight.RichTextBox.Toolbar

### Bug fixes:

- Fixed the issue that the selected color does not fill the entire cell
  when a cell is selected and set the paragraph background.(TFS-18151)

## C1.Silverlight.TileView

### Bug Fixes

- Fix that unhandled exception 'ManagedRuntimeError: Value cannot be null' is occurred
  when clearing all items after scrolling the vertical scrollbar.(TFS-22368)

# Release version 5.0.20121.249 - 05/21/2012

## C1.Silverlight.Schedule

### Bug Fixes

- Bug 22642 - [C1Scheduler] Recurring appointments cannot be fetched through Appointment.Conflicts property.

### Improvements

- Added new property to the C1Scheduler control:
  public double AllDayAreaHeight { get; set; }
  Determines the height of All-Day area in a Day/Working Week/Week views. This is a dependency property. The default value is 54.

# Release version 5.0.20121.248 - 05/21/2012

## C1.Silverlight.FlexGrid

### Bug Fixes

- Added support for IME editor (TFS 22313)
- HitTestInfo on empty areas returned Row/Col == 0 instead of -1 (TFS 19520)
- Fixed Nullable value persistence in Value filters (TFS 19104)
- Improved star sizing to handle large star values correctly (TFS 21765)
- Added extra checks to mouse handling code (TFS 22398, 22639)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that formatting is lost when copying html to
  RichTextbox.(TFS-22158)

### Improvements:

- [C1RichTextBox] Add IME support to C1RichTextBox.(using CJKSupport
  conditional directive)

## C1.Silverlight.Schedule

### Bug Fixes

- Bug 22470 - [C1Scheduler] End Date is not displayed in MonthView if the weekday of the End Date is the same with WeekStart day.

# Release version 5.0.20121.247 - 05/14/2012

## C1.Silverlight

### Bug fixes

- [C1TabControl] After closing 2 tabs, the rest of the tabs disappear. (TFS-21139)

## C1.Silverlight.PdfViewer

### Improvements:

- Preload the next and previous two pages when the current page is load.
- Add PagePreparing and PagePrepared events that are fired when pdf pages start and end rendering.
- Add ParsingError event that is fired when any error occurs in pdf parsing.

## C1.Silverlight.ReportViewer

### Improvements:

- Preload the next and previous two pages when the current page is load.
- Add PagePreparing and PagePrepared events that are fired when pdf pages
  start and end rendering.
- Add ParsingError event that is fired when any error occurs in pdf parsing.

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that the cursor must be in the bounds of the table or a
  NullReferenceException is thrown when selecting table data to be copied.(TFS-21215).
- Fixed the issue that cursor will be inserted at incorrect place when negative
  text-indent is applied.(TFS-19504).
- Fixed the issue that resized image in RichTextBox is not exported in PDF.(TFS-21932)
- Fixed the issue that corrupted css observed the presence of “ around the FontName.(TFS-21917)

## C1.Silverlight.RichTextBox.PdfFilter

### Bug Fixes

- Fixed the issue that resized image in RichTextBox is not exported in PDF.(TFS-21932)

# Release version 5.0.20121.246 - 05/07/2012

## C1.Silverlight.Extended

### Bug fixes

- [C1Book] IndexOutOfRangeException when TurnPageOnClick, IsFirstPageOnTheRight are set to true and clicking the page quickly.

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that exception is observed on scrolling grid when C1RichTextBox is
  used in Telerik Grid.(TFS-21641)

# Release version 5.0.20121.245 - 05/03/2012

## C1.Silverlight.RichTextBox

### Improvements:

- Add MinWidthProperty and MinHeightProperty in C1RichTextBox.

# Release version 5.0.20121.243 - 04/30/2012

## C1.Silverlight

### Bug fixes

- [C1TabControl] Data does not get displayed even on binding to C1TabControl. (TFS-21227)

## C1.Silverlight.DataGrid

### Bug fixes

- rows with null values won't be shown when filtering with empty string.(tfs - 20837)
- With RIA service, TargetInvocationException is thrown when datagrid is grouped and reload the datagrid.(tfs - 21047)

## C1.Silverlight.DataGrid.Filters

### Bug fixes:

- In filter dialog, filter button is still disable after value is entered and radio button is not working properly.(TFS-20902)
- Scroll not working with C1FullTextSearchBehavior implemented in DataGrid.(TFS-21223)

## C1.Silverlight.FlexGridFilter

### Bug Fixes

- Null values in ValueFilter were not being de-serialized correctly (TFS 21269)

## C1.Silverlight.PdfViewer

### Bug Fixes:

- catch exception thrown when trying to open encrypted Pdf files without providing a password
  (the document will remain blank)
  see http://our.componentone.com/groups/windows-phone/studio-for-windows-phone/forum/topic/c1pdfviewer-how-to-catch-exceptions/#post-174127

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that spell checking is not workidng as expected after
  pressing ENTER key.(TFS-21243)

## C1.Silverlight.TileView

### Bug Fixes

- Fix current state template is not applied on the newly added tile. (TFS-21336)

# Release version 5.0.20121.242 - 04/24/2012

## C1.Silverlight

### Improvements

- added localized resources for the cultures:
  -- Simplified Chinese(zh-Hans)
  -- Traditional Chinese(zh-Hant)

## C1.Silverlight.DataGrid

### Improvements

- Added localized resources for the cultures:
  -- Simplified Chinese(zh-Hans)
  -- Traditional Chinese(zh-Hant)
- Added the GetPageImages method, which gets a list of elements that represent parts of
  the grid fit for rendering into pages of a document.

## C1.Silverlight.DataGrid.Excel

### Improvements:

- Add the supporting of subtotal when exporting a Datagrid with grouping in excel. (TFS-21188)

## C1.Silverlight.DataGrid.Filters

### Improvements

- added localized resources for the cultures:
  -- Simplified Chinese(zh-Hans)
  -- Traditional Chinese (zh-Hant)

## C1.Silverlight.DataGrid.Ria

### Bug fixes

- C1DataGrid throws exception when Ria services is used with SaveState implemented.(tfs-20662)

### Improvements

- added localized resources for the cultures:
  -- Simplified Chinese(zh-Hans)
  -- Traditional Chinese (zh-Hant)

## C1.Silverlight.Docking

### Improvements:

- [C1DockControl] In the C1DockControl, click outside the C1DropDownButton, the C1DropDownButton's menu will be close.
- added localized resources for the cultures:
  -- Simplified Chinese(zh-Hans)
  -- Traditional Chinese (zh-Hant)

## C1.Silverlight.Extended

### Improvements

- added localized resources for the cultures:
  -- Simplified Chinese(zh-Hans)
  -- Traditional Chinese (zh-Hant)

## C1.Silverlight.MediaPlayer

### Improvements

- added localized resources for the cultures:
  -- Simplified Chinese(zh-Hans)
  -- Traditional Chinese (zh-Hant)

## C1.Silverlight.OutlookBar

### Improvements

- added localized resources for the cultures:
  -- Simplified Chinese(zh-Hans)
  -- Traditional Chinese (zh-Hant)

## C1.Silverlight.PdfViewer

### Improvements

- added localized resources for the cultures:
  -- Simplified Chinese(zh-Hans)
  -- Traditional Chinese (zh-Hant)
- Add a property named AutoContentRotation to control to indicate whether
  the printer automatically change the orientation according to the size of content.

## C1.Silverlight.ReportViewer

### Bug Fixes:

- Reportviewer prints blank pages when document is loaded using
  LoadDocumentFromString method.(TFS-21172)

### Improvements

- added localized resources for the cultures:
  -- Simplified Chinese(zh-Hans)
  -- Traditional Chinese (zh-Hant)
- Add a property named AutoContentRotation to control to indicate whether
  the printer automatically change the orientation according to the size of content.

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that Max-Width & CSS class properties are recognized in img tag.(TFS-21166)
- Fixed the issue that NullReferenceException is thrown when set binding expression
  to DocumentProperty in xaml at design time.
- Fixed the issue that image is not shown when height property is not set in HTML.(TFS-21167)

## C1.Silverlight.RichTextBox.Toolbar

### Improvements

- added localized resources for the cultures:
  -- Simplified Chinese(zh-Hans)
  -- Traditional Chinese(zh-Hant)

## C1.Silverlight.Toolbar

### Breaking Changes

- [C1Toolbar] Replace the C1Toolbar previous and next Button controls with RepeatButton controls. This will allow easier scrolling between tabs.

# Release version 5.0.20121.241 - 04/16/2012

## C1.Silverlight

### Breaking Changes

- [C1TabControl] Replace the C1TabControl previous and next Button controls with RepeatButton controls. This will allow easier scrolling between tabs.

### Bug fixes

- [C1Menu] Issue with C1Menu in MVVM.(TFS-17937)
- [C1TabControl] TabItem moves to the first place when it is pinned at the preferred place. (TFS-20977)

## C1.Silverlight.Binding

### Bug Fixes

- Improved double coercion to handle percentages (e.g. "12%")

### Improvements

- Exposed Tally, XObjectExpression classes (used to be internal)

## C1.Silverlight.DataGrid

### Bug fixes

- validation icon is not shown when the row is still in the editing status.(tfs - 19991)

### Improvements

- Added overloads to the Print method to support printerFallback and useDefaultPrinter
  capabilities added to Silverlight 5. The new Print method overloads are:
  public void Print(string documentName, PrinterFallbackSettings fallBackSettings, bool useDefaultPrinter)
  public void Print(string documentName, ScaleMode scaleMode, Thickness margin, int maxPages, PrinterFallbackSettings fallBackSettings, bool useDefaultPrinter)
  NOTE: these new methods are available only in the Silverlight 5 version of the control.

## C1.Silverlight.Docking

### Improvements:

- [C1DockControl] Save and Load function improved more efficienty and comprehensive.

## C1.Silverlight.FlexGrid

### Bug Fixes

- Group rows could merge across frozen column boundaries (TFS 21178)

### Improvements

- Added overloads to the Print method to support printerFallback and useDefaultPrinter
  capabilities added to Silverlight 5. The new Print method overloads are:
  public void Print(string docName, PrinterFallbackSettings fallBackSettings, bool useDefaultPrinter)
  public void Print(string docName, ScaleMode scaleMode, Thickness margin, int maxPages, PrinterFallbackSettings fallBackSettings, bool useDefaultPrinter)
  NOTE: these new methods are available only in the Silverlight 5 version of the control.

## C1.Silverlight.PdfViewer

### Improvements:

- Add support for the SL5 vector printing option.

## C1.Silverlight.ReportViewer

### Improvements:

- Add support for the SL5 vector printing option.

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that the TextChanged event was fired multiple times
  when paste action,
  cut action, undo action, redo action, delete action, enter key down were fired.

### Improvements:

- Add a property called Tables which is used to get collection of C1Table in C1RichTextBox.

# Release version 5.0.20121.240 - 04/09/2012

## C1.Silverlight

### Bug fixes

- [C1TreeView] Memoryleak is observed in C1TreeView.(TFS-21111)
- [C1TreeView] Focus moves in spite of setting the IsTabStop property to 'False'(TFS-20950)

## C1.Silverlight.DateTime

### Bug Fixes

- fixed mouse wheel behavior (http://our.componentone.com/groups/wpf/general-wpf-all-controls/forum/topic/more-issues-with-c1datetimepicker).

## C1.Silverlight.Docking

### Improvements:

- [C1DockControl] Add 2 overloaded function to Save and Load for keeping each item's content and not re-create items.

## C1.Silverlight.Extended

### Bug fixes

- [C1Accordion] Focus moves in spite of setting the IsTabStop property to 'False'(TFS-20950)

## C1.Silverlight.OutlookBar

### Improvements:

- [C1OutlookBar] Added localization for C1Outlookbar.

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that the DocumentProperty lost binding in C1RichTextBox.

# Release version 5.0.20121.239 - 04/02/2012

## C1.Silverlight

### Bug fixes

- [C1PdfViewer] Text is not visible in C1PdfViewer when opened in new window in Out of Browser mode.(TFS-20863)
- GrowHorizontally enum value added to AutoSize mode of the drop down and made it
  the default value of the combo box and the column header presenter of the data grid,
  in order to avoid displaying a black zone when there is a tab control inside a
  filter control and the size of the tab control is not fixed.

## C1.Silverlight.Data

### Bug Fixes

- 21000 - regression issue "RowFilter property of DataView with Operator ‘IN’ throw Argument Exception"

## C1.Silverlight.DataGrid

### Bug fixes

- Filtering the expression Equals to null raised an exception in non nullable numeric columns.
- Exception raised when dragging cells in the main panel.

## C1.Silverlight.DataGrid.Summaries

### Breaking changes

- DataGridAggregatesCollection base class changed from List<T> to ObservableCollection<T>
  in order to be able to update summary rows when new functions are added to the collection.

## C1.Silverlight.FlexGrid

### Bug Fixes

- Update footer aggregates on Paste()
- HitTest(pt) method assumed cells panel, did not work correctly for column headers etc (TFS 19520)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that the application does not response after pasting improperly
  formatted HTML into C1RichTextBox.(TFS-20880)

# Release version 5.0.20121.238 - 03/26/2012

## C1.Silverlight

### Bug fixes

- [C1NumericBox] When entry point is placed right after a decimal point, pressing
  Backspace key doesn't cause entry point to jump to a position right before decimal
  point.
- [C1NumericBox] Pressing the Decimal key on a numeric keypad doesn't insert a
  decimal point when Format is empty.

## C1.Silverlight.DataGrid

### Bug fixes

- Refresh method of the inner collection view was being called unnecessarily when
  ItemsSource property was set.
- When printing a grouped C1DataGrid, the collapsed groups were printed as expanded.
  After the print process, the collapsed groups of the printing C1DataGrid became expanded.

## C1.Silverlight.Maps

### Improvements:

- Updated authentication by using Bing Maps Key instead of token because the Bing Maps Token Service will be retired on March 30, 2012.

# Release version 5.0.20121.237 - 03/21/2012

## C1.Silverlight

### Bug fixes

- An exception will be thrown if C1Maps loads some special KMZ files.
- [C1Window] Loaded event is fired twice. (TFS - 20318)
- Add 2 new resources for Pin and UnPin button's tooltip of C1TabItem.
- C1ComboBox is displayed with a shadow effect when using DataTemplate (TFS - 19841)
- C1TabControl now postpones the ShowTabs update till LayoutUpdated in design-time (TFS - 20209)
- C1DropDown popup content removed from visual tree on unload in order to avoid
  orphan content when navigating.
- C1DropDown minimum render width and height are remembered when DropDownWidth and DropDownHeight
  are set to double.Nan in order to avoid the content to change its size in scenarios
  where the content of the popup virtualizes its content.

### Improvements

- [C1TabControl] Add the TabControl tooltips in Japanese resources.

## C1.Silverlight.Automation

### Bug fixes

- Fixed misc issues in C1TileView automation.

### Improvements

- Initial build including automation peers for (supported patterns in the brackets):
  C1TreeView (Selection)
  C1TreeViewItem (ExpandCollapse, SelectionItem, ScrollItem)
  C1TabControl (Selection)
  C1TabItem (SelectionItem, ScrollItem)
  C1DockTabControl (*partially* Window, Transform, Dock)
  C1Book
  C1BookZone (Invoke)
  C1FlexComboBox (ExpandCollapse, Selection)
  C1FlexGrid (Selection, Table, Grid, Scroll)
  C1FlexGridCell (Invoke, Value, SelectionItem, ScrollItem, TableItem, GridItem)
  C1FlexGridPanel
  C1FlexGridRow (ExpandCollapse, ScrollItem, SelectionItem)
  C1Gauge, C1LinearGauge, C1Knob (Value, RangeValue)
  C1OutlookBar (ExpandCollapse, Selection)
  C1OutlookItem (SelectionItem)
  C1TileView (Selection)
  C1TileView (SelectionItem, ExpandCollapse, ScrollItem)

## C1.Silverlight.Binding

### Bug Fixes

- Range functions worked only with double and integer data types
  (they didn't recognize other common numeric types such as double, float, long, etc).

## C1.Silverlight.Chart

### Improvements.

- Added new class PieSlice that represents plot element for pie chart. It has Offset
  property that controls radial offset of slice from the original position. Using this
  property it's possible to set individual offset for each slice or create animation.
  e.g.
  var ds = new DataSeries() { ValuesSource = new double[] { 1, 2, 2, 1, 2, 1, 2 } };
  ds.PlotElementLoaded += (s, e) =>
  {
  var slice = s as PieSlice;
  if (slice != null)
  {
  // add offset for even slices
  if ((slice.DataPoint.PointIndex % 2) == 0)
  slice.Offset = 15;
  }
  };
  chart.Data.Children.Add(ds);
  chart.ChartType = ChartType.Pie;
  Class Pie is marked as obsolete, please use new PieSilce instead.
- DataBinding improvements for Axis and DataSeries classes. Now the axes and series
  inherit data context from the parent chart. For example the following scenarios
  is supported:
  XAML chart definition:
  <c1:C1Chart Name="chart" ChartType="Column" >
  <c1:C1Chart.Data>
  <c1:ChartData>
  <c1:DataSeries SymbolFill="{Binding Brush1}" Values="1,2,3,4" />
  <c1:DataSeries SymbolFill="{Binding Brush2}" Values="4,3,2,1" />
  </c1:ChartData>
  </c1:C1Chart.Data>
  <c1:C1Chart.View>
  <c1:ChartView>
  <c1:ChartView.AxisX>
  <c1:Axis Max="{Binding XMax}" />
  </c1:ChartView.AxisX>
  <c1:ChartView.AxisY>
  <c1:Axis Max="{Binding YMax}" />
  </c1:ChartView.AxisY>
  </c1:ChartView>
  </c1:C1Chart.View>
  </c1:C1Chart>
  where data context is
  public class ChartDataContext
  {
  public Brush Brush1 { get; set; }
  public Brush Brush2 { get; set; }
  public double XMax { get; set; }
  public double YMax { get; set; }
  }
  // set data context
  chart.DataContext = new ChartDataContext()
  {
  Brush1 = new SolidColorBrush(Colors.Red),
  Brush2 = new SolidColorBrush(Colors.Blue),
  XMax = 10,
  YMax = 10
  };

## C1.Silverlight.DataGrid

### Breaking changes

- The DataGridDateTimeColumn.DateFormat and DataGridDateTimeFilter.DateFormat property type has
  been changed from DatePickerFormat to C1DatePickerFormat. This change reflects changes in the C1DateTimePicker control.
  This change should not affect existing xaml. It might affect existing code which uses these properties.
- Background property won't be spread to headers and rows as it did before,
  rather you should set HeaderBackground.
- Obsolete property SelectedRows, and methods ExtendSelection and ClearSelection removed.
- Obsolete brush properties SelectedBrush and FluidMouseOverBrush removed from various elements.

### Bug fixes

- Numeric filter was not working when filtered without modifing filter controls.
- Incorrect cell is edited after scrolling with the mouse wheel in a grid whose viewport
  is bigger than its extent size.
- Setting current row and column from respective headers was being forced even when
  editing events was being cancelled.
- Unhandled exception was being raised after AddNew method of the collection view is executed,
  and a new action like group or sort is performed in the data grid.
- Editing events were not being raised when CurrentRow or CurrentColumn was set to null.
- Data item Char properties are genereated like text columns with MaxLenght=1 instead of bound columns.
- Exception raised when a row was added from outside the datagrid in a grouped collection view.
- Selection was not being changed when the cell contained a control which handles
  MouseLeftButtonDown/Up, as it happens with the textbox in the filter row.
- Gives focus back to the grid after leaving a cell of the filter row.
- Layout cycle fixed.
- Various fixes related to validation indicator in row header.

### Improvements:

- C1ValidationBehaviour added to support IDataErrorInfo and INotifyDataErrorInfo.
- Select cells and rows by dragging the mouse over the cells.
- Unselect row cell or column by pressing control and clicking the desired element.
- Properties HeaderBackground/Foreground added to set the color of headers as well as
  freezing separator, group rows and filters.
- Properties GroupingPanelBackground/Foreground and GroupingPanelStyle added to the
  data grid, in order to set the style of the panel on top of the data grid used to
  drag column headers.
- SelectionDragStarted, SelectionDragDelta and SelectionDragCompleted events added to
  support dragging the selection.

## C1.Silverlight.DataGrid.Filters

### Improvements:

- Filter row watermark localized.
- C1AdvancedFiltersBehavior now is using multi-line filters for text, numeric, and date columns.

## C1.Silverlight.DataGrid.Ria

### Bug fixes

- FilterType was not being preserved when filtering.
- Background and Foreground of the DataGridRiaComboBoxFilter were bound to the incorrect brushes.

### Improvements

- DropDownWidth and MaxDropDownWidth added to DataGridRiaComboBoxFilter.

## C1.Silverlight.DateTime

### Breaking changes

- The C1DateTimePicker uses C1DatePicker for the date part instead of MS DatePicker.
  Default C1DateTimePicker control templates have been changed.
  If you use custom control templates, compare your xaml with the new version and make sure that it works.
- The C1DateTimePicker.DateFormat property type has been changed from DatePickerFormat to C1DatePickerFormat.

### Improvements:

- Added new C1DatePicker control.
  The C1DatePicker control supports custom date formats and masked input.
  All other C1DatePicker properties implement the same public interface as in MS DatePicker control.
  If CustomFormat property is set, the C1DatePicker control uses DateTime.TryParseExact() method to handle input.
  This method can't handle abbreviated formats such as 'dd-MM-yyy'. So, if you use abbreviated format,
  resulting value might be different depending on the current culture settings.
  To avoid such issues, use full formats instead, for example 'dd-MM-yyyy'.
  Tip: always check how your custom format string works with several cultures which have different DateTimeFormatInfo settings
  (for example with "en-US" and "ru-RU").
  If you use both Mask and CustomFormat properties, make sure that property values conform to each other.
- The C1DateTimePicker uses C1DatePicker for the date part instead of MS DatePicker.
- Added new properties to the C1DaterTimePicker control:
  public string Prompt {get; set; }
  Gets or sets the character used to show spaces where user is supposed to type.
  The default value is "_".
  public string CustomDateFormat {get; set; }
  Gets or sets the custom date format string.
  The default is null.
  public string DateMask {get; set; }
  Gets or sets the input mask for the date part.
  public object DateWatermark {get; set; }
  Gets or sets the content of the date part watermark.
  public string CustomTimeFormat {get; set; }
  Gets or sets the custom time format string.
  The default is null.
  public string TimeMask {get; set; }
  Gets or sets the input mask for the time part.
  public object TimeWatermark {get; set; }
  Gets or sets the content of the time part watermark.

## C1.Silverlight.Docking

### Bug Fixes:

- Inside C1DockControl, C1DockTabControl now has the restriction: not to drag beyond the boundary when doing resize. (TFS-18577)
- Fix issue when click on slding docktabitem. (TFS-19543)

## C1.Silverlight.Extended

### Bug fixes

- FocusBrush property was not being applied in C1Accordion.
- [C1HtmlHost] Fixed the issue that C1HtmlHost is flickering after loading the web page.(TFS-20481)
- HeaderTemplate was not being shown in C1Accordion.
- [C1HtmlHost] Fixed the issue that Error occurs when localized control is dragged and dropped on page.(TFS-20021)

## C1.Silverlight.FlexGrid

### Bug Fixes

- Improved the positioning of the combo list dropdown (TFS 20427)
- Improved handling of merged cells with frozen rows/columns (TFS 20607)
- Removed empty <tr> tags around invisible rows in HTML export
- Resizing the last column to zero width could temporarily hide the last column header (TFS 18259)
- Resizing the last column to zero made it impossible to restore it with the mouse (TFS 18259)
- Tab key did not work properly over merged ranges (TFS 20319)
- Merge tri-state check boxes in undefined state (TFS 20034)
- Commit edits before collapsing/expanding rows (TFS 20181)
- DraggingColumn/DraggingRow events fired a little too soon
  (on MouseDown, rather then when the dragging actually started) (TFS 20175)
- ClipboardCopyMode.IncludeColumnHeaders setting did not work properly
- Column DataType was not always honored for manually generated columns (TFS 19950, 19998)

### Improvements

- Honor Column.MinWidth and MaxWidth for all columns (including non-star, TFS 20769)
- Added FooterCellStyle property to customize the appearance of cells in the column footer cells
- Added HeaderTemplate property to customize the content of column header cells
  For example, the XAML below creates a column header with CheckBoxes:
  <c1:Column>
  <c1:Column.HeaderTemplate>
  <DataTemplate>
  <CheckBox Content="Hide Amount" />
  </DataTemplate>
  </c1:Column.HeaderTemplate>
  </c1:Column>

## C1.Silverlight.FlexGridFilter

### Bug Fixes

- When closing the filter with the mouse, the dropdown button disappeared (TFS 20161)
- Filtering took a long time when comparing numeric values to empty strings (TFS 20031)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that the application does not response on copying and
  pasting text in C1RichTextBox.(TFS-18471)
- Fixed the issue that Paste From IE/Firefox Into C1RichTextBox Causes App To Hang.(TFS-20250)
- Fixed the issues occured by UnitTest
- Fixed the issue that when press End Key, cursor do not move to the end of line.(TFS-18614)
- Fixed the issue that Cut/Copy operations are not working in Out of
  Browser application.(TFS-19362)
- Fixed the issue that C1RichTextBox Text Being Marked as Changed When
  Entering/Exiting RTB Field.(TFS-20140)
- Fixed the issue that Fatal Exception when data contains negative widths.(TFS-19972)

## C1.Silverlight.RichTextBox.Toolbar

### Bug fixes:

- Fixed the issue that NullReferenceException is occurred on clicking
  C1RichTextBoxToolBar items after changing theme.(TFS-20456)

## C1.Silverlight.Schedule

### Breaking Changes

- Removed obsolete stuff:
  -- DateFormatIndexer class and DateTimeInfo.FormattedDate property;
  -- CoverElementsPane.CoverElementsHeight property.

### Improvements

- added keyboard selection in the GroupedListBox and C1Scheduler controls.
  Note, keyboard selection is limited comparing with the WPF version.
  Right arrow key works as Down arrow key and Left arrow key works as Up arrow key.
  PageUp and PageDown keys move selection back/forward by the number of items defined
  by the GroupedListBox.PageSize property value (the default value is 10).
- added mouse multi-selection in the GroupedListBox and C1Scheduler controls.
- improved in-place appointment creation. If end-user selected several time slots or days with mouse or keyboard,
  pressing Enter key will create in-place appointment for the selected DateTime range.

## C1.Silverlight.TileView

### Bug Fixes

- Fix TileView control scrolling issue. (TFS-19993)

# Release version 5.0.20113.230 - 02/16/2012

## C1.Silverlight

### Bug fixes

- The position of DropDown in Viewport is not correct (TFS-19549)
- Handle the case in which user doesn't bind a standard C1TabItem to C1TabControl's items collection. (TFS-19919)
- C1NumericBox bugs fixed:
  -- Typing of char sequence '-.digit' resolves to a positive value.
  -- Minimum can be set greater than Maximum. In this case, if RangeValidationMode
  is not OnLostFocus then changing the Value property causes the StackOverflow
  exception.

## C1.Silverlight.Docking

### Bug Fixes:

- Clear paticular Floatingwindow's content in advance before this content is added into other parent in the logical tree. (TFS-19850)

## C1.Silverlight.Extended

### Bug fixes

- [C1HtmlHost] Fixed the issue that Fonts issue and alignment issue are observed in C1HtmlHost(TFS-18619)

## C1.Silverlight.FlexGridFilter

### Bug Fixes

- Filter editor appeared truncated when localized to Japanese. (TFS 19810, 19918)

## C1.Silverlight.PdfViewer

### Improvements:

- Add the property Source which could be implemented in MVVM.

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that C1RichTextBox does not honor FontFamily and FontSize
  when they are set with a Style.(TFS-19538)

## C1.Silverlight.TileView

### Bug Fixes

- Disable other TileViewItems' Loaded and UnLoaded event trigger when one TileViewItem is deleted.

# Release version 5.0.20113.228 - 02/13/2012

## C1.Silverlight

### Bug fixes

- C1FilePicker.Watermark default value removed.

### Improvements

- added localized resources for the next cultures:
  -- Czech (cs)
  -- Greek (el)
  -- Polish (pl)
  -- Slovak (sk)
- Provide a property to pin an individual tab items. (TFS-14623)

## C1.Silverlight.Docking

### Improvements

- Provide a property to pin an individual tab items. (TFS-14623)

## C1.Silverlight.Extended

### Improvements

- [WPF] added localized resources for the next cultures:
  -- Czech (cs)
  -- Greek (el)
  -- Polish (pl)
  -- Slovak (sk)

## C1.Silverlight.RichTextBox.Toolbar

### Improvements

- added localized resources for the next cultures:
  -- Czech (cs)
  -- Greek (el)
  -- Polish (pl)
  -- Slovak (sk)

## C1.Silverlight.Schedule

### Bug Fixes

- Bug 19777 - [C1Scheduler] On registering four or more All-day events, another appointment cannot be moved to the top-most time slot.

### Improvements

- added localized resources for the next cultures:
  -- Czech (cs)
  -- Greek (el)
  -- Polish (pl)
  -- Slovak (sk)

## C1.Silverlight.TileView

### Bug Fixes

- Fixed Drag and Drop problem of TileViewItem. (TFS-19781)

# Release version 5.0.20113.227 - 02/06/2012

## C1.Silverlight

### Breaking Changes

- The C1.Silverlight.Clipboard class is marked as obsolete, use the System.Windows.Clipboard
  class instead.

### Bug fixes

- [C1ContextMenu] Throws “XamlParseException” when adding new item to
  C1ContextMenu if it is opened once. (TFS-issue 18484)
- Columns not being inserted at correct index (WPF RichTextBox). (TFS-issue 18838)

## C1.Silverlight.Docking

### Bug Fixes:

- Enable pin function after Tabcontrol is unpinned. (TFS-19537)

## C1.Silverlight.Extended

### Bug fixes

- [C1PropertyGrid] Unlike previous build and MS-PropertyGrid, value column is not correctly aligned (issue 19376)
- [C1PropertyGrid] Unlike previous build, Label Width is altered due to selected object displayed in C1PropertyGid (issue 19405)
- [C1Propertygrid] LabelWidth is altered when delete an item after new item is added to collection (issue 19410)

## C1.Silverlight.FlexGrid

### Bug Fixes

- Editing behavior was inconsistent on merged cells with editable and non-editable cells. (TFS 19698)
- Fixed round-off issue rendering the rightmost pixel when printing the grid (TFS 18868)
- Fixed round-off issue rendering the rightmost pixel when scrolling the grid (TFS 18827)

## C1.Silverlight.FlexGridFilter

### Improvements

- added localized resources for the following cultures:
  -- Czech (cs)
  -- Greek (el)
  -- Polish (pl)
  -- Slovak (sk)

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that C1RichTextBox does not handle Backspace key correctly
  in some HTML lists.(TFS-19655)

## C1.Silverlight.TileView

### Bug Fixes

- Disable other TileViewItems' Loaded and UnLoaded event trigger when one TileViewItem is deleted.

# Release version 5.0.20113.226 - 01/30/2012

## C1.Silverlight

### Breaking Changes

- C1LoopingList.ItemTap event type changed from C1GestureEventArgs to GestureEventArgs.
- C1ContextMenu.ItemTap event type changed from SourceEventArgs to GestureEventArgs.

## C1.Silverlight.Data

### Bug Fixes

- 19431 - [10394-139] FileLoadException is thrown when access DefaultView property of C1.Silverlight.Data.DataTable.

## C1.Silverlight.DataGrid

### Bug fixes

- A filtered DataGrid is printed as not filtered if grid is bound to a non-ICollectionView
  data source.

## C1.Silverlight.Docking

### Bug Fixes:

- Add C1DockGroup judgement branch. (TFS-17522 && TFS-19237)

## C1.Silverlight.FlexGrid

### Bug Fixes

- Showing dialog boxes while selecting with the mouse interfered with selection (TFS 19479)
- Fixed issue with scrolling merged checkbox cells in edit mode (TFS 19231)
- Fixed regression issue: Columns with mapped values exporting keys instead of values (TFS 19602)
- Control threw exception if ColumnFooter had more rows than ColumnHeader
- OutlineBar did not show the '*' button to expand all
- OutlineBar failed to detect clicks between buttons (which caused column sort)

## C1.Silverlight.Schedule

### Bug Fixes

- Bug 19489 [C1Schedule] Appointment dialog is not shown on clicking "Open Item" button in Reminder dialog if Theme is applied to C1Scheduler.

# Release version 5.0.20113.225 - 01/23/2012

## C1.Silverlight

### Breaking Changes

- C1TreeViewItem/C1MenuItem: the 'new' Parent property overload is marked as obsolete,
  the ParentItem property is added, which is intended to replace the depreciated Parent
  property overload.

## C1.Silverlight.Carousel

### Bug fixes

- Changing the SelectedIndex property value of a Selector that hosts C1Carousel not always
  causes scrolling to a selected element.

## C1.Silverlight.FlexGrid

### Bug Fixes

- Improved editing behavior with custom controls when SelectionMode == ListBox (TFS 18468)
- Improved auto-sizing with merged cells (TFS 18373)

### Improvements

- Allow clearing the selection by calling SelectedItems.Clear()
  or SelectedIndex = -1, or Select(-1, -1), or Selection = new CellRange(-1, -1)
- Suspend validation on new rows while they are edited for the first time (customer request)
- Optimized selection performance when SelectionMode == ListBox
- Added support for GroupRowPosition with ChildItemsPath
  in previous versions, hierarchies built with the ChildItemsPath property only supported
  GroupRowPosition == AboveData; now they also support GroupRowPosition == BelowData.
- Added support for group aggregates with ChildItemsPath
  only top-level items are included in the aggregate calculation, e.g.

## C1.Silverlight.Gauge

### Improvements:

- Decorators disappear when a new theme is applied to gauge.

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed C1RTB causing application to throw stackoverflow exception (TFS-19417)

# Release version 5.0.20113.224 - 01/16/2012

## C1.Silverlight

### Bug fixes

- [C1TreeView] ‘AutoSearch' property does not work bottom up (TFS-issue 17600)
- [Regression] The regressive bug in the C1NumericBox control introduced in build 202
  is resolved. The control selected the whole text on receiving focus unconditionally,
  while before build 202 it happened only if the both SelectionStart and SelectionLength
  properties were set to zero. Note that the selection behavior can be controlled now
  using the SelectOnFocus property.

### Improvements

- The SelectOnFocus property is added to the C1NumericBox and C1MaskedTextBox controls.
  Gets or sets the condition under which all control text is selected when the control
  receives focus. The possible values are represented by the SelectOnFocusCondition
  enumeration:
  -- Never - never select a text.
  -- Always - Always select a text.
  -- OnDefaultSelection (default) - select text only if the both SelectionStart and SelectionLength
  properties are set to zero.

## C1.Silverlight.DataGrid

### Bug fixes

- Layout cycle fixed when template columns involved.
- [Regression] If two or more figures are typed when a numeric cell is not in edit mode then
  the first typed figure disappears. The regression is introduced in build 202.
- EndEditRow method doesn't raise editing cell's event.
- GroupConverter was not taken into account when the group was set in xaml.

## C1.Silverlight.Docking

### Bug Fixes:

- Validate C1DockTabItem's IsSelected property before setting up C1DockTabControl's SelectedIndex property. (TFS-17682)
- Change the condition for floating C1DockTabConrol clean. (TFS-19237)

## C1.Silverlight.FlexGrid

### Bug Fixes

- Save method now always saves formatted values by default (if options are not specified)
- Improved handling of template cells in outline columns (TFS 19280 *)
- Improved type coercion when editing unbound grids (TFS 19224)
- Dropping down column filter now finishes editing to close any open dropdowns. (TFS 19070)
- Fixed Nullable value persistence in Value filters (TFS 19104)
- [Silverlight 5 only] Grid looked inconsistently with the ExpressionDark and
  RainerOrange themes applied.

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that RichTextBox do not honor the negative text-indent.(TFS-17546)
- Fixed the issue TextDecorationCollection Not Working Properly (TFS-19254)
- Fixed the issue that the cursor is disappeared when TAB key is pressed again and again.(TFS-18848).
- Fixed the issue that RichTextBox do not honor the negative text-indent.(TFS-17546)
- Fixed the issue C1RTB Pasting Table Data Incorrectly. (TFS-19282)

# Release version 5.0.20113.222 - 01/09/2012

## C1.Silverlight

### Bug fixes

- IsFocused property was not being updated in various controls.

## C1.Silverlight.Chart

### Bug fixes.

- Fixed the problem with incorrect point label positions in pie charts.
- Fixed the problem with exception when changing font properties of legend
  in designer(TFS 17128).
- ChartEditor control now can be added to Visual Studio Toolbox(TFS 18837).

## C1.Silverlight.Data

### Bug Fixes

- Further adjustments to 'auto-casting' feature

## C1.Silverlight.Docking

### Bug Fixes:

- Inside C1DockControl, C1DockTabControl now has the restriction: not to drag beyond the boundary. (TFS-18577)
- Duplicate bug as above one. (TFS-18880)
- The procedure of loading floating C1DockTabControl is changed. (TFS-17522)

## C1.Silverlight.Extended

### Bug fixes

- When C1CoverFlow was loaded the covers moved unnecessarily, now they load in the
  correct position from the beggining.
- [C1PropertyGrid] Unlike Japan released build, setting 'LabelWidth' is not reflected if smaller value is set [tfs issue 17400]

## C1.Silverlight.FlexGrid

### Bug Fixes

- Added minor optimization to selection updates
- Improved positioning of combo dropdown on indented columns (TFS 18786)

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed the issue that some of the pages are not rendered or only half rendered by draging the scroll bar up and down rapidly.

## C1.Silverlight.RichTextBox

### Bug fixes:

- Fixed the issue that cusor out of synch with characters when typed a line
  with several whitespaces.
- Fixed the issue that C1RichTextBox's html content are missing at Print when C1RTB
  is added in C1DataGrid Template Column(TFS-18389)

## C1.Silverlight.Schedule

### Bug Fixes

- Bug 19099 - [SL5][C1Scheduler] 'System.NullReferenceException' occurred in SL5 when the dates
  from WeekStart to WeekEnd is selected in C1Calendar after binding with C1Scheduler.
- fixed C1Calendar issue - Incorrect dropdown item count are showed at calendar header when MaxDate is set to Current day (TFS 19078).
- fixed C1Scheduler issue - If a date larger than End date is double-clicked in C1Schedule [Month View or Week View], the day before end
  date is displayed in Day View (TFS 19080).

### Improvements

- Added new resource keys which are used in C1Scheduler default styles and templates:
  1. C1Scheduler_Appointment_CornerRadius - defines outer appointment corer radius.
  2. C1Scheduler_Appointment_InnerCornerRadius - defines inner appointment corer radius.
  3. C1Scheduler_GroupBorder_BrushStyle - used to display GroupHeaderBorder and horizontal group border in the TimeLine view.

## C1.Silverlight.Toolbar

### Bug Fixes

- The C1ToolbarStrip overflow items now are displayed correctly on overflow panel
  when Overflow = Panel(TFS 18341).
- Item type of C1ToolbarStrip.OverflowMenuItems collection editor was changed to
  C1MenuItem(TFS 18859).

# Release version 5.0.20113.220 - 12/26/2011

## C1.Silverlight.DataGrid

### Bug fixes

- Keyboard navigation was not working properly when tab key is pressed.
- RowHeaderStyle was not being applied in the headers of a DataGridRowHeaderColumn.

### Improvements:

- Added support for showing groups whose property path is not related to a column of the data grid.

## C1.Silverlight.FlexGrid

### Bug Fixes

- Close combos when scrolling the grid (TFS 15378, 18995)

## C1.Silverlight.Schedule

### Bug Fixes

- fixed C1Calendar issue [9835-139] When MaxDate is set to current date, next month navigation button is always disabled.

### Improvements

- Changed handling of drop-down month and year selectors in the C1Calendar control (TFS 18884).
  All the job is performed in the control code, removed bindings to the C1CalendarItem.Months properties
  from the default control templates.
- Added new property to the C1Calendar control:
  public int DropDownItemCount {get; set;}
  Gets or sets the number of items in dropdown month/year selectors in the month header.
  This is a dependency property.
  The actual number of items in the dropdown selector might be less than specified in the DropDownItemCount property.
  It is limited by the CalendarBase.MinDate and CalendarBase.MaxDate property values.

# Release version 5.0.20113.219 - 12/19/2011

## C1.Silverlight.DataGrid

### Bug fixes

- Prevent data grid from crashing when inner collection view has a group whose path is ".".

## C1.Silverlight.Extended

### Bug fixes

- C1ColorPicker validation decorator corner radius is not set correctly.

## C1.Silverlight.FlexGrid

### Bug Fixes

- Fixed hit-testing issue with column headers when context menu was open.
- Improved selection behavior when deleting the last item from the data source.

## C1.Silverlight.Maps

### Bug fixes

- Flick gesture was not working fine when the gesture direction is from SE to NW.

# Release version 5.0.20113.218 - 12/13/2011

## C1.Silverlight.DataGrid.Summaries

### Bug fixes

- RowStyle and CellStyle set in a summary row was being ignored.

# Release version 4.0.20113.215 - 12/09/2011

## C1.Silverlight.Binding

### Improvements

- Added C1StaticResource markup extension
  C1StaticResource extends the 'StaticResource' markup to support a
  Path property that allows you to use the object model in resource
  objects.
  The most common usage scenario for this feature is the one where
  the application ViewModel is instantiated as a XAML resource, and
  you want to assign elements of the ViewModel to objects that
  are not DependencyObjects.
  For example, assume you have a ViewModel class that exposes two
  lists: People and Jobs. Assume also that the ViewModel class
  exposes a ValueConverter to be used when binding to the JobID
  property of objects in the People list. Ideally, you would
  want to write this:
  <!-- this does NOT work! -->
  <Window.Resources>
  <local:ViewModel x:Key="_model" />
  </Window.Resources>
  <Grid>
  <c1:C1FlexGrid>
  ItemsSource="{Binding Source={StaticResource _model}, Path=People}"
  AutoGenerateColumns="False">
  <c1:C1FlexGrid.Columns>
  <c1:Column Binding="{Binding Name, Mode=TwoWay}" Header="Name" />
  <c1:Column Binding="{Binding JobID, Mode=TwoWay, Converter={Binding {StaticResource _model}, Path=JobsConverter}}" Header="Job" />
  </c1:C1FlexGrid.Columns>
  </c1:C1FlexGrid>
  </Grid>
  But this won't work, because the Binding class is not a DependencyObject
  and therefore you cannot use bindings to set its properties. Even if this
  worked, the syntax is overly complex and hard to understand.
  The C1StaticResource class allows you to write this code as follows:
  <!-- this does work -->
  <Window.Resources>
  <local:ViewModel x:Key="_model" />
  </Window.Resources>
  <Grid>
  <c1:C1FlexGrid>
  ItemsSource="{Binding Source={StaticResource _model}, Path=People}"
  AutoGenerateColumns="False">
  <c1:C1FlexGrid.Columns>
  <c1:Column Binding="{Binding Name, Mode=TwoWay}" Header="Name" />
  <c1:Column Binding="{Binding JobID, Mode=TwoWay, Converter={C1StaticResource _model, Path=JobsConverter}" Header="Job" />
  </c1:C1FlexGrid.Columns>
  </c1:C1FlexGrid>
  </Grid>

## C1.Silverlight.Data

### Bug Fixes

- Removed 'auto-casting' feature from expression evaluator
  (for example, "0123" now is *always* a string, before it was sometimes cast to a number).

## C1.Silverlight.FlexGrid

### Bug Fixes

- Improved binding to lists of primitive types (e.g. int/string)
- Improved aggregate calculation in international locales (TFS 16901)

# Release version 4.0.20113.211 - 12/02/2011

## C1.Silverlight

### Bug fixes

- C1DropDownButton control is raising binding errors.

### Improvements

- C1DropDownButton.CornerRadius property added.

## C1.Silverlight.DataGrid

### Improvements:

- Finish editing before setting a new items source.

## C1.Silverlight.DataGrid.Excel

### Bug Fixes

- C1DataGrid.Foreground property value is not honored in column headers of exported file.

## C1.Silverlight.Extended

### Bug fixes

- C1ColorPicker foreground of the tab items not applied.

## C1.Silverlight.FlexGrid

### Bug Fixes

- Typing into filter editor list with no selection caused exception (TFS 18338)
- Row selection was lost when deleting the last record on the data source (TFS 18339)
- Aggregates did not work correctly on columns formatted as percentages

### Improvements

- Added SelectedItemChanged event
- Added support for custom aggregates:
  The "Aggregate" enumeration includes values that correspond to all common
  aggregates (count, sum, average, etc). But in some cases, users may need
  to calculate unusual aggregates such as harmonic means, sums of products,
  etc.
  To support these cases, a new "Custom" setting was added to the "Aggregate"
  enumeration. This setting causes the grid to raise the "CustomAggregate"
  event. The event handler receives a cell range and is responsible for
  calculating the aggregate and assigning the result to the event's Result
  parameter.
  For example:
  <c1:C1FlexGrid.Columns>
  <c1:Column Binding="{Binding Sales}" GroupAggregate="Custom" Format="n2" />
  </c1:C1FlexGrid.Columns>
  // handle custom aggregates
  _flex.CustomAggregate += _flex_CustomAggregate;
  // bind the grid
  _flex.ItemsSource = GetSalesData();
  // calculate harmonic mean for a given range
  void _flex_CustomAggregate(object sender, C1.Silverlight.FlexGrid.CustomAggregateEventArgs e)
  {
  // get property being aggregated on
  var propName = _flex.Columns[e.Column].Binding.Path.Path;
  var pi = _flex.ItemType.GetProperty(propName);
  // calculate the aggregate
  decimal total = 0;
  decimal count = 0;
  foreach (var cell in e.CellRange.Cells)
  {
  var row = _flex.Rows[cell.Row];
  if (!(row is GroupRow)) // skip any group rows
  {
  var value = (decimal)(double)pi.GetValue(row.DataItem, null);
  if (value > 0)
  {
  total += 1 / value;
  count++;
  }
  }
  }
  // calculate harmonic mean
  e.Result = total > 0 ? count / total : 0;
  }

## C1.Silverlight.Imaging

### Bug fixes

- Added exception handling in C1Bitmap.GetImageFormat() and C1Bitmap.SetStream().

## C1.Silverlight.Maps

### Bug fixes

- After re-applying the template, changes to the layers collection was running several
  times generating exceptions.

## C1.Silverlight.PdfViewer

### Bug Fixes:

- When pages were skipped quickly, some could not be fully rendered.
- Fixed ArgumentNullException when the PDF has a bad formed Dictionary.

## C1.Silverlight.Schedule

### Improvements

- Added new property to the C1Calendar control:
  public bool ShowWeekNumbers { get; set; }
  Gets or sets a Boolean value indicating whether the control displays week numbers (1-52).
  This is a dependency property. The default is false.
  The actual appearance of week numbers is determined in the C1CalendarItem control template
  with the WeekNumbersPresenter control instance.
  To show week numbers in the custom control template, place the WeekNumbersPresenter control
  into template visual tree and bind it's Visibility property to the ShowWeekNumbers property.
  For the sample see default control template in the source xaml.
- Added new classes to implement week numbers representation:
  1. WeekNumbersPresenter - an instance of this class is used in the C1CalendarItem's template
  visual tree to define a place where a panel with week numbers will appear.
  2. WeekNumberSlot - provides a data about week number for the WeekNumbersPresenter class.
  3. WeekNumberSlotPresenter - represents a root element of the visual tree generated for a week number slot
  of the C1CalendarItem control.
  Note: there is no any special customization properties for the week numbers in the C1Calendar control.
  If you need custom appearance, use custom control templates for above classes or change C1CalendarItem control template.
- Added new resource key which is used in the default C1CalendarItem control template:
  C1Calendar_WeekNumbersBorder_Thickness - determines the border thickness around the week numbers panel.
- Improved the RecurrencePattern class behavior:
  1. the DayOfWeekMask property is initialized according to the parent Appointment.Start.DayOfWeek value;
  2. the PatternEndDate returns valid value for patterns with finite Occurrences number.
  You can use this property to keep pattern end date in database, so that you can either
  load or don't load recurrent appointment row at runtime depending on the current range of displayed dates.
  Note, this value doesn't make sense if RecurrencePattern.NoEndDate property is true.
- fixed Tfs issue 15710 - Update individual properties of the recurrence pattern exception
  on changes to the Master appointment.

## C1.Silverlight.TileView

### Bug Fixes

- Offscreen C1TileViewItems fail to switch to minimized content when another item is maximized.

## C1.Silverlight.Zip

### Bug Fixes

- Always use memory buffers when adding items (no temp files in Silverlight)

# Release version 4.0.20113.210 - 11/16/2011

## C1.Silverlight

### Breaking Changes

- TextBoxBase.GetIsWatermarked method removed. Use IsWatermarked property instead.

### Bug fixes

- C1HeaderedContentControl template changed so that Background property is applied to
  the content room and HeaderBackground is applied to the header.
- Crash when C1TabItem.Header is a UIElement and the template or theme changes.

### Bug Fixes

- Modal C1Window fails to get focus if key is pressed just before it opens.
- C1TabControl.SelectionChanged now fires when the selected item is removed.
- C1TabControl keyboard navigation ignores reordering.
- Auto close C1TabControl strip menu when clicking elsewhere.
- Fixed SubMenuMaxHeight property not working for C1ContextMenu.
- Remove collapsed C1TabItems from the strip menu.
- C1NumericBox: with some format specifiers, a text is not selected when
  control gets focus.
- Regenerate C1TabControl's tab strip menu when the user reorders the C1TabItems.

### Improvements

- Added EditTemplate property to C1TreeView and C1TreeViewItem allowing the
  user to set a DataTemplate to edit the C1TreeViewItems.
- Added C1Window.ThemeResources static property. The ResourceDictionary is set to the
  Canvas containing all the C1Window instances. That way you can apply a themes to all
  the windows/messageboxes opened.

## C1.Silverlight.Binding

### Improvements

- Added to the suite.

## C1.Silverlight.Chart

### Bug fixes.

- Fixed the problem with exception in bar/column charts with logarithmic axes.

### Improvements

- The plot elements now are clipped with corresponding plot area. Previously they
  may be extended on the neighbor plot area.
- Stacked charts now support XYDataSeries. The number of points can be different
  in the data series. For example:
  // 5 points
  var ds1 = new XYDataSeries()
  {
  XValuesSource = new double[]{ 1, 2, 3, 4, 5},
  ValuesSource = new double[] { 1, 1, 1, 1, 1}
  };
  chart.Data.Children.Add(ds1);
  // 3 points
  var ds2 = new XYDataSeries()
  {
  XValuesSource = new double[] { 1, 3, 5 },
  ValuesSource = new double[] { 1, 1, 1 }
  };
  chart.Data.Children.Add(ds2);
  chart.ChartType = ChartType.ColumnStacked;
- Added Axis.AnnoCreated event that allows to customize appearance of axis
  labels. The following code sets color of labels depending on its values:
  chart.View.AxisY.AnnoCreated += (s, e) =>
  {
  var label = (TextBlock)e.Label;
  if (e.Value >= 0)
  label.Foreground = Brushes.Red;
  else
  label.Foreground = Brushes.Blue;
  };
- Added support of point-specific radial axes for Radar chart
  (Axis.RadarPointIndices property). It allow to have different radial axes
  on the same radar plot.
  // add auxiliary axis for second(index=1) data point.
  chart.View.Axes.Add(
  new Axis() { AxisType= AxisType.Y, RadarPointIndices=new int[] {1} });
- Added Axis.RadarLabelVisibility to control appearance of labels on the axes
  of radar chart. There three available options that specify in corresponding
  enumeration.
- RadarLabelVisibility.First - the annotation labels appears only on
  the first radial axis(default).
- RadarLabelVisibility.All - the annotation labels appears only on
  each radial axis(default).
- RadarLabelVisibility.None - no labels.
  The property has effect only on radar chart.
- Introduced high performance bitmap rendering method(RenderMode.Bitmap).
  Only line&symbol chart types are supported. Use DataSeries.RenderMode
  property to change rendering method.

## C1.Silverlight.DataGrid

### Breaking changes

- DataGridBoundColumn.GetDesignTimeText method marked as obsolete.
  Standard design data mechanism should be used instead.

### Bug fixes

- Themes were throwing exception when applied in runtime.
- DataGridHyperlinkColumn was firing repeated Click events after ItemSource changes.
- DataGridMultiValue uncheck all the items when an individual item is selected.
- Column headers render bug fixed.
- Numeric filter default format changed to String.Empty.
- Clipping is set to the bounds of the data grid to avoid performance issues when
  pixel effects are used.
- Columns auto-generation fixed when an attribute Display(Order) is set to a number
  bigger than the columns count.
- Column header was not being shown correctly when ResourceType of the Display
  attribute was specified in the data item property.
- ScrollIntoView behaved incorrectly when it was called more than one time.
- Row clipped wrongly when adding new rows.
- Update summary row when an item is added or removed from the inner collection view.
- Exception raised when row header is clicked and a cell is being edited.
- Filtering Indexed properties which contains boolean values was not working properly.
- Selection gets broken when columns are added or removed.

### Improvements:

- ValidationBackground and ValidationForeground properties added to C1DataGrid.
- Template column default filter set as text filter.

## C1.Silverlight.DataGrid.Excel

### Bug Fixes

- The DataGrid.CellStyle and DataGrid.RowStyle property values are not honored
  in a saved file.
- [Regressive bug] For DataGridComboBoxColumn a foreign key value is exported instead of a lookup value.
- Exported group header captions are not always the same as shown in C1DataGrid.
- An effective foreground of a cell is not honored in a saved file.
- The ExcelSaveOptions.KeepColumnWidths is not honoured.
- Wrong font size in exported file.
- Image columns were included in exported file.

### Improvements

- Support for collapsible groups is added. The following properties of the ExcelSaveOptions
  class are intended to control this behavior:
  -- bool CollapsibleGroups: gets or sets a value indicating whether groups will be
  collapsible in a saved file for C1DataGrid in the grouping mode.
  -- int CollapsedGroupLevel: defines the group level at which collapsible group headers
  will appear collapsed in a saved file.

## C1.Silverlight.DateTime

### Bug Fixes

- fixed support issue [7851-139]. C1DateTimePicker.DateValidationError event is fired at errors in the time part as well.

## C1.Silverlight.Docking

### Bug Fixes

- Crash under Silverlight 5 RC.
- Spurious unloaded/loaded events for controls inside when the C1DockControl is reorganized.

## C1.Silverlight.Excel

### Improvements

- Merge changes with Desktop C1Excel version.

## C1.Silverlight.Extended

### Bug fixes

- C1ColorPicker template changed to fix exception when themes are applied.
- C1CoverFlow render bug fixed when ItemsVisible is set to 2.
- C1CoverFlow rendering bug when FlowDirection is set to RightToLeft.
- Fixed default style for C1PropertyGrid AdvancedEditor.

## C1.Silverlight.FlexGrid

### Bug Fixes

- Typing into filter editor list on Boolean columns caused exception (TFS 17717)
- Small adjustment to group row merging logic (TFS 18237)
- Showing the column filter in grouped grids could cause exception (TFS 17988)
- Row/column auto-sizing did not take cell merging into account.
- Selection was not always highlighted correctly when cells were merged.
- Improved international support (use Language property instead of CultureInfo.CurrentUICulture)
- Editable cells closed when scrolled out of display area (TFS 17184).
- Error thrown when in a TabControl and with ShowMarquee = True (TFS 17732).
- Error indicators did not always update correctly (TFS 17120, 17123)
- Clicking a row after deleting the last record could cause an exception (TFS 17839)
- SelectedItem being set multiple times when SelectionMode == ListBox.
- Column footers were not updated when new items source applied.
- Skip auto-coercion of unbound values in row/column headers.

### Improvements

- Added ShowOutlineBar property. When set to true, the grid adds a row of buttons
  to the first column header; the buttons allow users to collapse the groups (outline)
  to any given level with one click (similar to the OutlineBar in the WinForms version
  of the grid).
- Added support for HYPERLINK function to ExcelBook sample (TFS 17852)
- ChildItemsPath property can now point to a collection of a type other than
  the type contained in the ItemsSource collection. For example, the main list
  may contain Companies, which have an Employees property, and the grid may show
  the properties they have in common (e.g. Name, Address, PhoneNumber).
- Further improved mouse handling for template-based or custom cells.

## C1.Silverlight.FlexGridFilter

### Bug Fixes

- Filter took a while to show for columns with many unique values. (TFS 15717)

## C1.Silverlight.Gauge

### Bug Fixes

- Default color of small marks.

## C1.Silverlight.Maps

### Bug fixes

- Added TemplteBinding for Background property in default control template of
  C1VectorLayer.

## C1.Silverlight.OutlookBar

### Improvements

- C1OutlookBar added to the suite.

## C1.Silverlight.PdfViewer

### Bug Fixes:

- C1PdfViewer doesn't scroll to the search results when the next button is pressed.
- Crash when selecting text with zero font size.(TFS-17883)
- Loaded old version of incrementally updated files.

### Improvements:

- Two pages mode is only added to the zoom combo when the file has two or more pages.
- Understand Gras and Italique in font names.(TFS-17591)
- Paint lines at least one pixel wide.(TFS-17884)
- Added C1PdfViewer.SelectedText.

## C1.Silverlight.ReportViewer

### Bug Fixes:

- C1PdfViewer doesn't scroll to the search results when the next button is pressed.
- Crash when selecting text with zero font size.
- Loaded old version of incrementally updated files.

### Improvements:

- Two pages mode is only added to the zoom combo when the file has two or more pages.
- Understand Gras and Italique in font names.
- Paint lines at least one pixel wide
- Added C1ReportViewer.SelectedText.

## C1.Silverlight.RichTextBox

### Bug fixes:

- Added missing Shift+Insert support for paste operations.

## C1.Silverlight.Schedule

### Bug Fixes

- fixed regression issue 17806 - NullReferenceException is thrown on loading the page containing C1Schedule bounded to C1Calendar.

### Improvements

- C1Calendar control honors DateTimeFormat.YearMonthPattern defined for the current culture at displaying calendar header.
  For proper functioning C1Calendar control template must contain PART_YearsComboBox and PART_MonthsComboBox
  template parts placed into the same parent Panel. Default control template has been updated.
  If you use custom C1Calendar control template, make sure, that you set proper x:Name attributes
  for the months and years ComboBoxes.

## C1.Silverlight.Theming

### Bug Fixes

- Cosmopolitan crashes when C1Window.Header is a UIElement.

### Improvements

- Added support for OutlookBar.
- Added new Office2007 and Office2010 themes.
  Both of them only define styles for C1Toolbar and C1OutlookBar controls.

## C1.Silverlight.TileView

### Bug Fixes

- Changes to C1TileView.ScrollBarVisibility don't take effect immediately.
- If the last row has only one items, the scrollbar cannot be dragged to the end in C1TileView.

## C1.Silverlight.Toolbar

### Improvements

- Added C1ToolbarDropDown.LargeImageSource, SmallImageSource, LabelTitle properties
  The size of C1ToolbarDropDown is selected based on these properties.
  If LargeImageSource is specified the control has large view (vertically stacked
  large image + text + arrow). If SmallImageSource and LabelTittle are specified the
  control has medium view(horizontally stacked small image + text + arrow). If only
  SmallImageSource is specified the control has small view(small image + arrow
  at the right). The same layout rules also are applied to C1ToolbarSplitButton that
  is inherited from C1ToolbarDropDown.

# Release version 4.0.20112.201 - 09/23/2011

## C1.Silverlight.Automation

### Improvements

- Added to the suite.

## C1.Silverlight.Chart

### Bug Fixes

- Fixed problem with incorrect label positions on dependent axes under several conditions.

## C1.Silverlight.DataGrid

### Bug fixes

- Various layout fixes related to the Refresh method of columns and rows.

### Improvements:

- DataGridCell.Value property added in order to be used in excel export.

## C1.Silverlight.DataGrid.Excel

### Improvements

- Export now uses the new DataGridColumn.GetCellValue method to retrieve
  a cell value.

## C1.Silverlight.DataGrid.Summaries

### Bug fixes

- Group row with summaries was calculating the free space from the existence of an
  aggregate function instead of using HasCellPresenter method.
- Aggregate function was converting the result to string which make impossible to
  change the format of the result in the data template. Now the result is set in the
  content as it is and the converter and format must be specified in the data template.

## C1.Silverlight.Extended

### Bug fixes

- C1HtmlHost overflows the available size.

## C1.Silverlight.Gauge

### Bug Fixes

- Decorators preserve Z-order when changed dynamically.

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Blank thumbnails.
- Incorrect clipping.

### Improvements:

- New TextBlockAdded event to apply custom font fallback.

## C1.Silverlight.ReportViewer

### Bug Fixes:

- Blank thumbnails.
- Incorrect clipping.

### Improvements:

- New TextBlockAdded event to apply custom font fallback.

## C1.Silverlight.Schedule

### Bug Fixes

- fixed regression issue 17327 - Edited Label is not applied to appointment occurrences from recurrence series.

## C1.Silverlight.Toolbar

### Bug Fixes

- Toolbar buttons now are completely hidden when its Visibility = Collapsed.

# Release version 4.0.20112.199 - 09/14/2011

## C1.Silverlight

### Bug Fixes

- C1TabItem becomes unselectable if an ancestor is disabled.
- C1NumericBox: in edit mode, an excessive leading zero may appear for formats
  supposing thousand separators and no decimal digits.
- C1NumericBox Horizontal and VerticalContentAlignment fixed.

## C1.Silverlight.DataGrid

### Breaking changes

- MinRowHeight default value changed to 5.

### Bug fixes

- UnloadingRow event was not being raised.
- DataGridTextFilter localized resources don't change when a new culture is set.
- Commit new row when tab is pressed and give the focus to the new row to go on
  entering new rows.
- Keep selection when an item is added or removed from an observable collection.

## C1.Silverlight.DataGrid.Filters

### Bug fixes

- AdvancedFiltersBehavior performance improved when opening by virtualizing multi-value filters.
- FullTextSearchBehavior raises an error when at least one column don't have FilterMemberPath.
- DataGridFilterRow.CellPadding was not working fine when it was set in xaml.

### Improvements

- Delay property added to DataGridFilterRow.
- Commit filter when Enter key is pressed in a cell of DataGridFilterRow.

## C1.Silverlight.Extended

### Bug fixes

- C1Book.CurrentPage surpasses number of pages after pages are removed.

## C1.Silverlight.FlexGrid

### Bug Fixes

- Column footer aggregates did not update automatically when rows were removed
  from unbound grids.
- SelectedItemChanged event fired more often than necessary (TFS 16711)

### Improvements

- Improved mouse handling for template-based cells.
  In previous versions, cells were re-created when selected.
  Because if this, custom check-box and hyperlink cells had to be clicked twice
  (once to select/re-create the cell and once to raise the click event).
  In this version, cells are not re-created, and only one click is required.
- Improved behavior of the SeletedItem property in hierarchical scenarios.

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed crash double clicking to select to the right of last line.
- IOException when saving.
- Inline images without filter.
- Printing command was generating blank pages after layout improvements.

## C1.Silverlight.ReportViewer

### Bug Fixes:

- Fixed crash double clicking to select to the right of last line.
- IOException when saving.
- Inline images without filter.

## C1.Silverlight.RichTextBox

### Improvements:

- SpellChecker property now accepts null values to remove the existing spell checker.

## C1.Silverlight.Schedule

### Improvements

- C1Scheduler and C1Calendar controls honor the parent System.Windows.Controls.Page NavigationCacheMode property.
  If Page.NavigationCacheMode is set to NavigationCacheMode.Required or NavigationCacheMode.Enabled,
  C1Calendar and C1Scheduler controls remain fully functional on navigation to the other page.
  Note, in large complex applications it might cause memory leaks. Don't forget to call C1Scheduler.Dispose() when your application
  doesn't need C1Scheduler control any more.
- fixed C1Scheduler issue with the "Edit Template" action in the Expression Blend designer.
  To create and use a copy of the C1Scheduler source xaml using Expression Blend:
  1. Select C1Scheduler instance on designer surface.
  2. Select "Edit Template" -> "Edit a Copy" from the Blend context menu.
  3. Check style key (default value is 'C1SchedulerStyle1') and xaml placement in the "Create Style Resource" dialog and press Ok button.
  4. Review Blend-generated xaml. It contains exact copy of all C1Scheduler styles and resources.
  There are 5 styles which can be used in the C1Scheduler: OneDayStyle, WeekStyle, WorkingWeekStyle, MonthStyle and TimeLineStyle.
  5. Due to some limitations we use default placeholder style which is currently applied to the C1Scheduler.
  You should not use this placeholder style to set C1Scheduler.Style property. So, remove the next xaml generated by Blend:
  Style="{StaticResource C1SchedulerStyle1}".
  6. Decide what styles you will customize and use them to set C1Scheduler Style, OneDayStyle, WeekStyle, WorkingWeekStyle,
  MonthStyle or TimeLineStyle properties. For example:
  MonthStyle="{StaticResource MonthStyle}".
  7. Build and run your application to review the results.
  8. Now you can customize styles and resources according your needs.
- information about reminder snoozing is saved along with appointment properties.
  That includes data-bound scenarios and import/export (with the exception of iCal format).

# Release version 4.0.20112.196 - 08/19/2011

## C1.Silverlight

### Improvements

- Added the Culture dependency property.

## C1.Silverlight.FlexGrid

### Bug Fixes

- Trees created with ChildItemsPath did not scroll horizontally (TFS 16467)
- Improved mouse coordinate translation when hosted in popups/C1Window (TFS 16426)
- Marquee/Frozen cells did not always render correctly when headers were collapsed.

## C1.Silverlight.PdfViewer

### Bug Fixes:

- Fixed NullPointerException when navigating using Table of Contents links.

### Improvements:

- Character spacing

## C1.Silverlight.ReportViewer

### Improvements:

- Character spacing

## C1.Silverlight.Toolbar

### Breaking changes

- The following properties of C1Toolbar were renamed:
  GroupStyle -> ToolbarGroupStyle
  TabStyle -> ToolbarTabStyle
  Items -> ToolbarItems

# Release version 4.0.20112.195 - 08/12/2011

## C1.Silverlight

### Improvements

- The text of the menu item of the selected C1TabItem is now Bold in the tab strip menu.

## C1.Silverlight.FlexGrid

### Bug Fixes

- New ColumnFooters property did not work properly at design time

## C1.Silverlight.PdfViewer

### Improvements:

- Faster loading.
- Removed CacheMode binding from default generic (it's now handled by code in inner levels)

## C1.Silverlight.Toolbar

### Improvements

- Added Office2010 samples.

# Release version 4.0.20112.194 - 08/05/2011

## C1.Silverlight

### Bug Fixes

- Clearing C1ComboBox.SelectedValue doesn't clear C1ComboBox.Text.
- LayoutTransformer avoid re-arranging when a scale transform is applied.
- C1TabItem can be closed in MVVM scenarios even if C1TabItem.CanUserClose=false.

### Improvements

- C1ComboBoxItem now inherits the VerticalContentAlignment and HorizontalContentAlignment
  properties from the C1ComboBox parent.
- When the last C1TabItem is selected and the user closes it, the second to last C1TabItem
  is now selected. Previously, the first C1TabItem was selected.

## C1.Silverlight.DataGrid

### Bug fixes

- Refreshing a column when going to editing state raises an exception.
- Enum properties auto-generation fails when the type is nullable.
- Exception was raised when a column is sorted and a key was pressed at the same time.
- Last row needed 2 enters to finish editing unlike the rest of the rows.

### Improvements:

- INotifyPropertyChanged implemented in DataGridCellPresenter, DataGridRowPresenter,
  DataGridRowHeaderPresenter and DataGridColumnHeaderPresenter in order to implement
  scenarios where it is necessary to bind to Row and Column properties.

## C1.Silverlight.Extended

### Bug fixes

- C1CoverFlow second item not reachable when scrolling using the bar or dragging
  in a touch screen.
- C1HtmlHost's iframe doesn't follow the Silverlight plugin object when divs have
  scrollbars.

## C1.Silverlight.Maps

### Improvements

- Bing Maps now use version 700 for the tiles (was using 233).

## C1.Silverlight.PdfViewer

### Improvements:

- AES-128 encryption support.

## C1.Silverlight.ReportViewer

### Improvements:

- AES-128 encryption support.

## C1.Silverlight.Toolbar

### Improvements

- Added GroupStyle and Tabstyle properties of C1Toolbar.

# Release version 4.0.20112.193 - 07/29/2011

## C1.Silverlight

### Bug Fixes

- C1TabItem ignores local Style set in Xaml.
- C1ComboBox.DisplayMemberPath can now point to a property of non string type.
- C1TabControl now selects the second item if the first is not selectable.
- C1TabControl doesn't scroll with variable size items in horizontal mode.

### Improvements

- C1TreeView added AutoScrollMode property.

## C1.Silverlight.Chart

### Improvements

- Stacked charts now support XYDataSeries.

## C1.Silverlight.DataGrid

### Bug fixes

- Filtering checkbox columns raise an exception if the underlying data property is bool?.
- Rendering bug fix when the viewport is reduced.
- Selection doesn't work after reordering columns if SelectionMode is SingleRow.

## C1.Silverlight.DataGrid.Filters

### Bug fixes

- DataGridFilterList invalid state fixed when the filter is opened.
- Multi-line filters don't show the border the first time the filter is opened.
- FilterRow incorrect interaction with the classical filter fixed.

## C1.Silverlight.Extended

### Bug fixes

- C1AccordionItem crash when Header is a UIElement and the Template changes.

## C1.Silverlight.FlexGrid

### Bug Fixes

- Editing checkbox cells in grouped views raised an exception when re-grouping occurred.

### Improvements

- The following three items are related to Validation support.
  They are demonstrated in the "Validation" sample:
  Added properties to the CellStyle class for styling cell borders:
  class CellStyle
  {
  public Brush BorderBrush { get; set; }
  public Thickness BorderThickness { get; set; }
  public CornerRadius CornerRadius { get; set; }
  }
  Added property to control the style used to show cells that contain errors:
  class C1FlexGrid
  {
  public CellStyle ErrorStyle { get; set; }
  }
  Improved validation to show row and cell-level errors on tooltips.
- The following items are related to the new "ColumnFooters" feature.
  It is demonstrated in the "ColumnFooters" sample:
  Added new GridPanel to show column footers:
  class C1FlexGrid
  {
  public GridPanel ColumnFooters { get; }
  }
  This new panel contains rows that are displayed at the bottom of the grid,
  below the scrollable cells.
  Footer rows are typically used to display summary information that should
  remain visible even as the user scrolls the grid. They cannot be selected
  or edited by the user.
  If you add GroupRow objects to the ColumnFooters panel and the grid columns
  have their GroupAggregate property set to a value other than None, then the
  aggregates are automatically calculated and displayed in the column footer
  panel.
  Alternatively, you can add regular Row objects to the ColumnFooters panel
  and set their content programmatically (e.g. grid.ColumnFooters[0,0] = "Totals").
- Added new ColumnFooterRows property. This allows you to create column footer
  rows in XAML. For example:
  <c1:C1FlexGrid Name="_flex" >
  <c1:C1FlexGrid.ColumnFooterRows>
  <c1:GroupRow Background="Gold" />
  <c1:GroupRow Background="Gold"/>
  </c1:C1FlexGrid.ColumnFooterRows>
  </c1:C1FlexGrid>
- Exposed "Util" class as public. This class contains several utility methods that
  can be useful when implementing derived controls.

## C1.Silverlight.PdfViewer

### Bug Fixes

- Selection fails to insert end of line characters if line doesn't end in space.

### Improvements:

- Macintosh encoding support.

## C1.Silverlight.ReportViewer

### Bug Fixes

- Selection fails to insert end of line characters if line doesn't end in space.

### Improvements:

- Macintosh encoding support.

## C1.Silverlight.Schedule

### Improvements

- removed CategoryMapping class. C1ScheduleStorage uses BaseObjectMappingCollection<Category> instead.
  That allows setting ColorMapping for CategoryStorage as for other storages.

# Release version 4.0.20112.192 - 07/15/2011

## C1.Silverlight

### Breaking Changes

- C1TreeViewItem IsExpandedChanged event is now obsolete.
- C1TabControl.SelectedItem returns object instead of C1TabItem (to support MVVM)

### Bug Fixes

- C1Window/C1MenuItem crashes when Header/Icon is a UIElement and the Template is changed.
- C1ContextMenu crashes when inside a C1Dockcontrol.
- C1MaskedTextBox: The "Index is out of range" exception can be raised under some
  specific conditions when updating the Text property.
- C1DropDown now repositions the popup when the header size changes.
- C1ScrollViewer's buttons no longer take space when invisible.
- C1TabItems could be closed when C1TabControl.TabItemClose was GlobalClose even if C1TabItem.CanUserClose was false.
- C1Window resizing doesn't work if FlowDirection is RightToLeft.
- C1ComboBox no longer leaves edit mode when closing the drop down.

### Improvements

- C1TreeView added ItemExpanding, ItemExpanded, ItemCollapsing and ItemCollapsed events.
- C1HierarchicalPresenter added ItemPrepared, ItemCleared events.
- C1DragDropManager only calculates the root set of the targets once per mouse move event, improving performance.
- C1ContextMenu added PlacementTarget property.
- C1TabControl.UnselectedContentMode can now be used to retain the content of unselected items.
- C1TabControl supports MVVM, using ContentTemplate and ItemTemplate to show the selected
  items and items in the tab strip, respectively.
- C1LayoutTransformer supports CompositeTransform.
- Added built-in localized resources for many cultures:
  ar: Arabic
  da: Danish
  de: German
  es: Spanish
  fi: Finnish
  fr: French
  he: Hebrew
  it: Italian
  ja: Japanese (was already present)
  nl: Dutch
  no: Norwegian
  pt: Portuguese
  ru: Russian
  sv: Swedish

## C1.Silverlight.Chart

### Bug fixes

- Fixed the problem with label lines when chart is in popup.

### Improvements

- Added ChartPanelObject.UseAxisLimits property. When UseAxisLimits = true
  the object can not be moved outside plot area.
- The chart panel objects now are hidden when its position ourside plot area.
- Added Axis.UseExactLimits that allows to turn of rounding for axis minimum
  and maximum.
- Added support of auxiliary axes for chart panel object. New properties of
  ChartPanelObject: AxisX and AxisY.

## C1.Silverlight.DataGrid

### Breaking changes

- UriConverter renamed to DataGridUriConverter.
- C1DataGridScrollMode renamed to DataGridScrollMode.
- C1DateTimeColumnEditMode renamed to DataGridDateTimeColumnEditMode.
- FilterInfo renamed to DataGridFilterInfo.
- FilterOperation renamed to DataGridFilterOperation.
- FilterType renamed to DataGridFilterType.
- FilterCombination renamed to DataGridFilterCombination.
- DataGridFilterManager class modifier changed from public to internal.
- DataGridColumn.LoadingFilter marked as obsolete, use FilterLoading instead.
- Obsolete values DataGridColumnFreezing.True and False were removed in order to
  prevent from being displayed in design time.
- DataGridComboBoxFilter marked as Obsolete, use DataGridMultiValue instead.
- DataGridNumericFilter required template part "NoneRadioButton" added.
- NumericConverter renamed to DataGridNumericConverter.
- BoundConverter renamed to DataGridBoundConverter.
- FilterType.ComboBox and FilterType.Image marked as obsolete.

### Bug fixes

- DataGridComboBoxColumn does not get updated when ItemsSource is an ObservableCollection.
- Removes the selection when a row of the selection is unloaded.
- DataGridImageColumn does not show images when the source is an Uri.
- DataGridColumnCollection.Clear and Remove now allow removing auto-generated columns.
- Filtering with the predicate "IsOneOf" throw an exception when null is passed in
  the list of values to filter against.
- Vertical scroll bar is not automatically hidden when ItemsSource is set to null.
- C1DataGrid with unassigned Name is failed to print.
- Filtering by a predicate of the type "IsOneOf" over a non IComparable data column
  raises and exception.
- Data grid was getting the focus after the current cell is set when the user
  clicks a cell, row, or row header.

### Improvements:

- Filter focus interaction improved to set the focus automatically and close the
  filter popup as escape key is pressed.
- CheckedText, UncheckedText and UndefinedText properties added to DataGridCheckBoxColumn.
- WatermarkText property added to DataGridNewRowPresenter.
- Added built-in localized resources for many cultures:
  ar: Arabic
  da: Danish
  de: German
  es: Spanish
  fi: Finnish
  fr: French
  he: Hebrew
  it: Italian
  ja: Japanese (was already present)
  nl: Dutch
  no: Norwegian
  pt: Portuguese
  ru: Russian
  sv: Swedish
- DataGridMultiValueFilter added.
- DataGridColumn.Filter property added to set filters in xaml.
- FilterLoading event added at DataGrid and column level.

## C1.Silverlight.DataGrid.Excel

### Improvements

- Added extended library DataGrid.Excel to the suite.

## C1.Silverlight.DataGrid.Filters

### Bug fixes

- Update Multi-Value filter vales when the filter is opened to reflect changes.
- Design-Time error setting C1FullTextSearchBehaviour fixed.

### Improvements

- DataGridMultiLineNumericFilter, DataGridMultiLineTextFilter, and
  DataGridMultiLineDateTimeFilter filters added.
- C1AdvancedFiltersBehavior added.
- DataGridFilterList added, this controls allows to visualize a list of
  filters in the same column.

## C1.Silverlight.DataGrid.Ria

### Improvements:

- Added built-in localized resources for many cultures:
  ar: Arabic
  da: Danish
  de: German
  es: Spanish
  fi: Finnish
  fr: French
  he: Hebrew
  it: Italian
  ja: Japanese (was already present)
  nl: Dutch
  no: Norwegian
  pt: Portuguese
  ru: Russian
  sv: Swedish

## C1.Silverlight.DataGrid.Summaries

### Breaking changes

- DataGridAggregate.Compute method second parameter type changed from DataGridBoundColum
  to DataGridColumn in order to show summaries for template columns.

## C1.Silverlight.DateTime

### Bug Fixes

- Tfs issue 15732 [C1DateTimeEditors] Current date gets entered in C1DateTimePicker defined in a C1DataGrid when scrolled rapidly.

## C1.Silverlight.Docking

### Bug Fixes

- C1DockTabControl's dock and slide buttons had the "MouseOver" appearance when not appropriate.

### Improvements

- A small space is left unoccupied by open sliding window so the user can click there to close the window.
- When inside a ScrollViewer, C1DockControl now expands and fills all available space.

## C1.Silverlight.Excel

### Improvements

- Added Excel to the Studio.

## C1.Silverlight.Extended

### Bug fixes

- Removed memory leak in C1Reflector. (affected C1Coverflow as well)

### Improvements:

- Added built-in localized resources for many cultures:
  ar: Arabic
  da: Danish
  de: German
  es: Spanish
  fi: Finnish
  fr: French
  he: Hebrew
  it: Italian
  ja: Japanese (was already present)
  nl: Dutch
  no: Norwegian
  pt: Portuguese
  ru: Russian
  sv: Swedish
- Added ShowRelfection property to C1Reflector and C1CoverflowItem.

## C1.Silverlight.FlexGrid

### Bug Fixes

- Editing cells in grouped views could make row visibility wrong (http://our.componentone.com/groups/silverlight/flexgrid-for-silverlightwpf/forum/topic/54951/#post-162340)
- Improve mouse handling with external editors (TFS 15595)
- Keep the focus when a focused Templated editor cell is destroyed after the cursor moves
- Hit testing was broken when the grid was hosted in zoomed popup windows (TFS 15232)
- Improved rounding-off in star sizing algorithm (TFS 15381)
- Improving setting Column.Format property in WPF grid (TFS 15537)
- Filter glyph clickable even when invisible (TFS 15542)
- Filter could throw when used on column without a DataType (TFS 15398)
- Make flex[r,c] return unformatted data even if the binding specifies a StringFormat (TFS 15204, see GetDataRaw above)

### Improvements

- Performance improvements on type coercion logic
- Added two new methods to Row class:
  public virtual object GetDataRaw(Column col)
  public virtual string GetDataFormatted(Column col)
  These methods return the data in a specific cell with or without formatting.
  The regular cell indexer (flex[r,c]) returns raw data (equivalent to GetDataRaw).
- Now uses the same build number as the rest of the suite.

## C1.Silverlight.FlexGridFilter

### Improvements

- Added built-in localized resources for many cultures:
  ar: Arabic
  da: Danish
  de: German
  es: Spanish
  fi: Finnish
  fr: French
  he: Hebrew
  it: Italian
  ja: Japanese
  nl: Dutch
  no: Norwegian
  pt: Portuguese
  ru: Russian
  sv: Swedish
- Now uses the same build number as the rest of the suite.

## C1.Silverlight.Gauge

### Bug Fixes

- Logarithmic scale now properly gives more screen space to values closer to C1Gauge.Minimum.

## C1.Silverlight.Maps

### Bug fixes

- Improved exception handling surrounding BitmapDecoder class.
- When zoomed, the legend bars were cut off.

## C1.Silverlight.MediaPlayer

### Improvements:

- Added AutoAdvance property.
- Added built-in localized resources for many cultures:
  ar: Arabic
  da: Danish
  de: German
  es: Spanish
  fi: Finnish
  fr: French
  he: Hebrew
  it: Italian
  ja: Japanese (was already present)
  nl: Dutch
  no: Norwegian
  pt: Portuguese
  ru: Russian
  sv: Swedish

## C1.Silverlight.PdfViewer

### Bug Fixes

- Rotated pages had a gap at the top when printed.
- C1PdfViewer displays the euro character as a square.
- C1PdfViewer transposes the clip rectangle when pages are rotated.
- AddLinks could break if passed dictionaries instead of PdfObjects.

### Improvements:

- C1PdfViewer selects the word under the cursor when the user double clicks.
- C1PdfViewer now displays Form XObjects
- Added built-in localized resources for many cultures:
  ar: Arabic
  da: Danish
  de: German
  es: Spanish
  fi: Finnish
  fr: French
  he: Hebrew
  it: Italian
  ja: Japanese
  nl: Dutch
  no: Norwegian
  pt: Portuguese
  ru: Russian
  sv: Swedish
- Added BitmapCache to each page when is GPUAcceleration is available.

## C1.Silverlight.ReportViewer

### Bug Fixes

- Rotated pages had a gap at the top when printed.
- C1ReportViewer displays the euro character as a square.
- C1ReportViewer transposes the clip rectangle when pages are rotated

### Improvements:

- C1ReportViewer selects the word under the cursor when the user double clicks.
- C1ReportViewer now displays Form XObjects
- Added built-in localized resources for many cultures:
  ar: Arabic
  da: Danish
  de: German
  es: Spanish
  fi: Finnish
  fr: French
  he: Hebrew
  it: Italian
  ja: Japanese
  nl: Dutch
  no: Norwegian
  pt: Portuguese
  ru: Russian
  sv: Swedish

## C1.Silverlight.RichTextBox

### Bug fixes

- Fix selecting table column and row containing lists.

## C1.Silverlight.RichTextBox.PdfFilter

### Bug Fixes

- Table borders not exported to PDF when BorderCollapse=true

## C1.Silverlight.Schedule

### Breaking changes

- If you use custom control templates for the C1Scheduler control, check appointment sizing behavior.
  If you have any problems, make sure that you use the correct value of CoverElementsPane.SizingType property.
- CoverElementsPane.CoverElementsHeight property is marked as obsolete and will be removed in the future.
  Use CoverElementsPane.CoverElementsSize property instead.
  If you use custom control templates, make sure that you don't use CoverElementsHeight property any more.

### Breaking Changes

- If you use Appointment.Owner property (or set C1Scheduler.GroupBy to "Owner"), either set OwnerStorage
  data bindings to the same data as ContactStorage, or use different data sources for OwnerStorage and ContactStorage.

### Bug Fixes

- fixed unhandled exception issue when the date range determined by the C1Calendar.MinDate and MaxDate properties is
  close or less than the one which might be represented with the current value of the MonthCount property.

### Bug fixes:

- Fixed issue 15229 [WPF][C1Scheduler]Issues with C1Scheduler.Start and C1Scheduler.End properties.

### Improvements

- Added new property to the C1Calendar control:
  public Brush DisabledDayBrush { get; set; }
  Gets or sets a Brush object used to display disabled days (days before the MinDate and after the MaxDate).
  This is a dependency property.
  The default value corresponds to the current value of the System.Windows.SystemColors.GrayTextColor property.
- Added new property to the DaySlot class:
  public bool IsEnabled { get; }
  Indicates whether a day represented by the DaySlot is currently enabled in C1CalendarItem UI. This is a dependency property.
- Added new data storage to keep calendar owners.
  Added new property to the C1ScheduleStorage class:
  public ContactStorage OwnerStorage { get; }
  Gets the ContactStorage object used to keep contacts which might be used as appointment owners.
  Appointment.Owner property only accepts Contact objects which are present in this storage.
  Both ContactStorage and OwnerStorage can be used in unbound mode or can be bound to the same or different data.
  Note that Contact objects from the ContactStorage will appear in the Appointment dialog,
  so that end-user will be able to edit them.
  Contact objects from the OwnerStorage won't appear in the Appointment dialog. They are only
  used as a group headers when C1Scheduler.GroupBy = "Owner".
  Updated MultiUser sample shows how to use different data for ContactStorage and OwnerStorage.
- Added new TimeLineStyle property to the C1Scheduler control:
  public Style TimeLineStyle { get; set; }
  Gets or sets a Style object that defines a UI representation of the C1Scheduler control in a Time Line mode.
  This is a dependency property.
  The default TimeLineStyle is implemented in generic.xaml file.
  IMPORTANT LIMITATION NOTE:
  there is a known Silverlight issue with large ScrollViewers: http://forums.silverlight.net/forums/t/61678.aspx.
  There are no fixes or workarounds for this issue.
  C1Scheduler for Silverlight limits TimeLine view parameters so that this issue doesn't appear in run-time.
  Be careful if you use custom TimeLine styles, don't use too wide content in the ScrollViewer.
- Added new template part to the C1Scheduler control:
  [TemplatePartAttribute(Name = "PART_GroupNavigationScrollBar", Type = typeof(System.Windows.Controls.Primitives.ScrollBar))]
  If PART_GroupNavigationScrollBar presents in the control template, C1Scheduler will use it for group navigation.
  This part is included into default TimeLine style.
- Added new properties to the C1Scheduler control:
  public SchedulerGroupItem TotalGroupItem { get; }
  Gets the SchedulerGroupItem object representing the group item which has no owner,
  but contains appointments of all visible group items.
  It is a special group item, it is not included into GroupItems and VisibleGroupItems collections.
  The C1Scheduler control uses this group to display availability status line in the default TimeLineStyle
  (see source xaml for the sample of using).
  public bool IsTotalGroupItemEnabled
  Gets a Boolean value determining whether the C1Scheduler control generates visual intervals for the total group.
  This is a dependency property. The default value is false.
  public Comparison<Appointment> AppointmentComparison { get; set; }
  Gets or sets the Comparison<Appointment> delegate which is used by
  the C1Scheduler control to sort appointments.
  By default C1Scheduler performs comparison with the new C1Scheduler.Compare(Appointment x, Appointment y) method.
  This method compares appointments by the Appointment.Start property and then (if start time is the same)
  by the Appointment.Subject property. You can alter this behavior by supplying custom comparison:
  c1Scheduler1.AppointmentComparison = this.Compare;
  ...
  public int Compare(Appointment x, Appointment y)
  {
  // sort appointments by location
  return String.Compare(x.Location, y.Location, true);
  }
  public Comparison<Status> StatusComparison { get; set; }
  Gets or sets the Comparison<Status> delegate which is used by
  the C1Scheduler control to compare availability statuses.
  This comparison is used to determine VisualInterval.StatusBrush and VisualInterval.TotalStatusBrush property values.
  By default C1Scheduler performs comparison with the new C1Scheduler.Compare(Status x, Status y) method.
  This method compares statuses by the Status.StatusType property value.
  You can alter this behavior by supplying custom comparison.
- Added new properties to the CoverElementsPane control:
  public SizingType SizingType { get; set; }
  Gets or sets the SizingType values specifying how CoverElementsPane determines UI elements size.
  The default value is SizingType.Fixed.
  The new SizingType enum contains the next values:
- Fixed - the element size is fixed.
- Proportional - element size depends on available space. Every element has the same size which
  is determined so that all elements fit into available space.
- ExtendedSingle - if element has no intersection with other elements, it will occupy all available space.
  If there are 2 or more intersecting elements, they all will have fixed size.
  BREAKING CHANGE NOTE: if you use custom control template instead of default ones for Day/Working Week/Week views,
  make sure that you set SizingType="Proportional" for AppointmentsCoverPane which is used over time slots.
  public double CoverElementsSize {get; set; }
  Gets or sets a Double value, determining the size of the cover elements.
  This is dependency property. The default value is 19.
  This property value determines either height or width of the cover elements depending on the Orientation property value.
  For horizontal orientation this property determines element height, and for vertical orientation it determines element width.
  Note, this property only makes sense if SizingType property value is SizingType.Fixed or SizingType.ExtendedSingle.
- Added new supplementary control ShiftingCanvas. It positions children elements in the viewport of the parent
  ScrollViewer control which supports horizontal scrolling.
  If some part of the ShiftingCanvas is scrolled out of the view, children elements are moved according to the scroll position.
  Depending on the HorizontalContentAlignment property value children are aligned to the left-most or the right-most viewport side.
  HorizontalContentAlignment.Center and HorizontalContentAlignment.Stretch are not supported.
  C1Scheduler uses this control in the default TimeLine control template.
- Added new TimeRulerVisibilityConverter class.
  Represents a Binding converter that returns a Visibility value for the time ruler UI part.
  It is a one-way converter. Returns Visibility.Collapsed if specified TimeSpan value is greater or equal to 1 day.
- Added new properties to the C1SchedulerSettings class:
  public bool SetReminder { get; set; }
  Gets or sets whether reminder should be set for the newly created appointments.
  This property only affects initial setting. End-user will be able to change reminder settings
  for every individual Appointment object. The default value is true.
  public TimeSpan ReminderTimeBeforeStart { get; set; }
  Gets or sets the default TimeSpan value which should be used as initial value for the
  Appointment.ReminderTimeBeforeStart property. The default value is 15 minutes.
  You should honor this property if you create appointments from code.
- Added built-in localized resources for the next cultures:
  ar: Arabic
  da: Danish
  de: German
  es: Spanish
  fi: Finnish
  fr: French
  he: Hebrew
  it: Italian
  ja: Japanese (was already present)
  nl: Dutch
  no: Norwegian
  pt: Portuguese
  ru: Russian
  sv: Swedish

## C1.Silverlight.Theming

### Improvements

- Added new Cosmopolitan theme.

## C1.Silverlight.TileView

### Improvements

- C1TileView added to the suite.

## C1.Silverlight.Toolbar

### Improvements

- Added dialog launcher for toolbar group.
- Added help and collapse button for C1Toolbar(ShowCollapseButton and ShowHelpButton
  properties, HelpClick event).
- Added toolbar split button(new class C1ToolbarSplitButton).

## C1.Silverlight.Uploader

### Improvements

- Added built-in localized resources for many cultures:
  ar: Arabic
  da: Danish
  de: German
  es: Spanish
  fi: Finnish
  fr: French
  he: Hebrew
  it: Italian
  ja: Japanese
  nl: Dutch
  no: Norwegian
  pt: Portuguese
  ru: Russian
  sv: Swedish

# Release version 4.0.20111.137 - 05/27/2011

## C1.Silverlight

### Improvements

- Added getter/setter for C1TextBoxBase.C1TextProperty dependency property.

# Release version 4.0.20111.136 - 05/20/2011

## C1.Silverlight

### Bug Fixes

- C1DragDropManager.TargetMarker opacity was incorrect when just starting dragging.
- C1NumericBox: multiple issues with a number editing are resolved.

### Improvements

- C1TabControl.SelectionChanged event not spuriously raised when reordering.

## C1.Silverlight.DataGrid

### Bug Fixes

- Unhandled exception occurred when a group is removed and the refresh method has
  been executed previously.

# Release version 4.0.20111.134 - 05/13/2011

## C1.Silverlight

### Bug Fixes

- C1TabItem.IsSelectable=false breaks selection on C1TabControl's tab strip menu.
- C1TabControl.ItemItemContainerStyle no longer overwrites C1TabItem.Style.
- C1ComboBox's WaterMark is now properly hidden when the control has focus.
- C1ComboBox sometimes scrolled back to the SelectedItem when C1ComboBoxItems were of different height.

### Improvements

- When selecting C1ComboBoxItems from C1ComboBox's dropdown, Up and Down keys now jump over disabled and not visible elements.
- C1ComboBoxItem is now dimmed when disabled.

## C1.Silverlight.DataGrid

### Bug Fixes

- Unhandled exception when the current column is removed fixed.

## C1.Silverlight.DataGrid.Summaries

### Bug fixes

- Exception thrown when aggregate functions are used over int properties.

## C1.Silverlight.Docking

### Improvements

- Items for sliding C1DockTabControls can now be scrolled.
- Added C1DockControl.Save and C1DockControl.Load to persist the current layout.

## C1.Silverlight.PdfViewer

### Bug fixes

- When loading a second PDF, the fonts of the first were incorrectly used.

### Improvements

- Pages text is now loaded on demand, which improves document loading.
- Commands setters were made public. Now it's easy to change the default behavior
  for any toolbar button.

## C1.Silverlight.ReportViewer

### Bug fixes

- When loading a second PDF, the fonts of the first were incorrectly used.

### Improvements

- Pages text is now loaded on demand, which improves document loading.
- Commands setters were made public. Now it's easy to change the default behavior
  for any toolbar button.

## C1.Silverlight.RichTextBox

### Bug fixes

- Fix document layout when the document only has one remote image and no other content.
- Fix selecting table cell containing a list.

## C1.Silverlight.Toolbar

### Bug Fixes

- C1ToolbarGroup HorizontalContentAlignment/VerticalContentAlignment now works
  correctly.

# Release version 4.0.20111.130 - 04/29/2011

## C1.Silverlight

### Bug Fixes

- The items of C1TabControl's TabStripMenu now update when C1TabItem Header and HeaderTemplate change.
- C1Window no longer loses focus when opening another C1Window.
- The z-order of old C1Windows is now preserved when opening a new C1Window.

## C1.Silverlight.Extended

### Bug fixes

- C1Book: PageUp and PageDown were reversed.

### Improvements

- C1Book now acquires focus when clicked.
- C1Book: Changing CurrentPage is now faster for complex pages.

# Release version 4.0.20111.129 - 04/22/2011

## C1.Silverlight

### Bug Fixes

- C1TreeView horizontal scrolling when item is wider then viewport is fixed.

## C1.Silverlight.DataGrid

### Bug Fixes

- Unhandled exception when shift + "Row clicked" and the grid was being edited.
- Incorrect current row was being set after a row is removed.

## C1.Silverlight.Extended

### Improvements

- C1ColorPicker: The thumbs in the Hue and Alpha sliders now move to the point clicked on the track.

## C1.Silverlight.PdfViewer

### Bug fixes

- Fixed bug that removed parenthesis from negative numbers
- Added missing support for /Rotate command

# Release version 4.0.20111.128 - 04/15/2011

## C1.Silverlight

### Bug Fixes

- Now catches SecurityException when trying to copy to the clipboard (with no permissions)

## C1.Silverlight.DataGrid

### Bug Fixes

- Prevents from executing Sort operation when double-click is performed over the
  column header resize element.
- DataGrid rendering problems when the columns width is fixed.
- Unnecessary load/unload of the row headers when the grid is resized fixed.

## C1.Silverlight.Maps

### Improvements

- Added support for "StyleMap" tag to the KmlReader class.
  Note that you can get several free KML files at http://geocommons.com/
  including the very useful country and state boundary layers.
- Enhanced the KmlReader class to read both KML and KMZ files and streams.
  The KmzReader class is no longer necessary and has been deprecated.

## C1.Silverlight.PdfViewer

### Bug fixes

- Now catches SecurityException when trying to copy to the clipboard (with no permissions)
- Made handling of 0-width lines specification compatible (shows thinnest line in the platform)

## C1.Silverlight.ReportViewer

### Bug fixes

- Now catches SecurityException when trying to copy to the clipboard (with no permissions)

## C1.Silverlight.Schedule

### Improvements

- Added new constructors to the Appointment class:
  public Appointment(int key);
  public Appointment(Guid key);
  Both constructors initialize a new instance of the Appointment class with the specified key.
  Use one of them if your business logic requires setting custom key value.
  Make sure that you use the correct constructor overload (with integer or Guid key value) and that key value is unique.
- Added new constructors to the BaseObject-derived classes:
  public Status.Status(int key);
  public Status.Status(Guid key);
  public Label.Label(int key);
  public Label.Label(Guid key);
  public Resource.Resource(int key);
  public Resource.Resource(Guid key);
  public Category.Category(int key);
  public Category.Category(Guid key);
  public Contact.Contact(int key);
  public Contact.Contact(Guid key);
  All constructors initialize a new instance of the object with the specified key.
  Use one of them if your business logic requires setting custom key value.
  Make sure that you use the correct constructor overload (with integer or Guid key value) and that key value is unique.
- Added new methods to the Appointment class:
  public string GetAppointmentProperties();
  Returns XML encoding of appointment properties.
  Use this property to get the same string as serialized value of appointment properties, which you get
  when set mapping for AppointmentProperties.
  public bool SetAppointmentProperties(string source);
  Reconstructs appointment properties from the specified string.
  The String value containing XML encoding of appointment properties.
  Returns True if appointment has been changed.
- C1Scheduler.UserAddingAppointment type has been changed to EventHandler<AddingAppointmentEventArgs>.
  The new AddingAppointmentEventArgs class is derived from the AppointmentActionEventArgs.
  New class allows changing AddingAppointmentEventArgs.Appointment property. So, in event handler you can create new
  appointment and force C1Scheduler to use it instead of the default one.
  IMPORTANT NOTE: if you subscribe on UserAddingAppointment event from code, you must update the subscription.
  Replace the next code:
  scheduler1.UserAddingAppointment += new EventHandler<AppointmentActionEventArgs>(scheduler1_UserAddingAppointment);
  private void scheduler1_UserAddingAppointment(object sender, AppointmentActionEventArgs e)
  With the new one:
  scheduler1.UserAddingAppointment += new EventHandler<AddingAppointmentEventArgs>(scheduler1_UserAddingAppointment);
  private void scheduler1_UserAddingAppointment(object sender, AddingAppointmentEventArgs e)
- Added new UserClosingAppointment event to the C1Scheduler control.
  This event occurs when user closes Edit Appointment dialog without saving.

# Release version 4.0.20111.127 - 04/08/2011

## C1.Silverlight

### Bug Fixes

- C1Window gets inactive when a control inside a popup inside the window has focus.

## C1.Silverlight.Schedule

### Bug Fixes

- fixed issue 14861 - An unhandled exception is occurred when changing 'DockMode' to 'Sliding'
  after creating a new appointment in C1Schedule which is inside C1DockTabControl.

# Release version 4.0.20111.126 - 04/01/2011

## C1.Silverlight

### Bug Fixes

- Regression: C1NumericBox with empty Format doesn't allow to enter decimal point.
- C1NumericBox with empty Format doesn't allow to enter trailing zero after decimal point.
- C1NumericBox with empty Format raises an exception when the whole text is selected and
  decimal point is typed.

## C1.Silverlight.Data

### Bug Fixes

- DataView goes to an inconsistent state when a row is added to the inner table
  and the DataView is being edited.

## C1.Silverlight.DataGrid

### Bug Fixes

- Exception thrown while moving among cells of the same row.
- Navigation supports Top and Bottom rows.
- Prevents from showing the pencil in non editable rows.
- Empty grouping text for merged headers.
- DataGridColumn.GroupHeader design time support fixed.

### Improvements

- Virtual overloads of the methods BeginInit and EndInit added to allow custom
  initialization code in inherited data grids.
- DataGrid.CommittedEdit event added.

## C1.Silverlight.Docking

### Bug Fixes

- Internal ContentControls no longer get focus.

## C1.Silverlight.Extended

### Improvements

- C1Book: Added DropTolerance property to allow page turning when dropping pages in their own side.

## C1.Silverlight.Maps

### Bug fixes

- Fixed the problem with exception that may fire in vector layer when using themes (and labels).

## C1.Silverlight.PdfViewer

### Improvements

- Added CloseDocument() method.
- Fixed bug in related to link clicks [WPF]

## C1.Silverlight.ReportViewer

### Improvements

- Added CloseDocument() method.

# Release version 4.0.20111.125 - 03/18/2011

## C1.Silverlight.DataGrid

### Bug Fixes

- Exceptions thrown when a DomainCollectionView is set as ItemSource.
- Exception throw when the ItemSource is changed and the grid was previously grouped.
- Finish editing as Enter key is pressed in DateTimeColumn.
- Details from rows of collapsed groups were visible.

### Improvements

- Hyperlink column clipboard support added.

## C1.Silverlight.Docking

### Improvements

- C1DockTabControl.Width and C1DockTabControl.Height now set and reflect the size of the floating window.
- With C1DockGroup.DockMode you can now float a whole group of docked C1DockTabcontrols.

## C1.Silverlight.Gauge

### Breaking Changes

- C1SpeedometerGauge and C1VolumeGauge now use AspectRatio to avoid wasted blank space around the control.

### Bug Fixes

- PointerOrigin moves the gauge hand incorrectly.

### Improvements

- Added C1RadialGauge.AspectRatio property.

## C1.Silverlight.PdfViewer

### Bug fixes

- Fixed some clipping issues

# Release version 4.0.20111.124 - 03/09/2011

## C1.Silverlight

### Improvements

- C1TabItem no longer requires the close button template part.

## C1.Silverlight.Extended

### Improvements

- C1PropertyGrid: added support for inner properties when not auto-generating properties.

# Release version 4.0.20111.123 - 03/04/2011

## C1.Silverlight

### Bug Fixes

- C1Menu: FirstLevelStyle is only applied if the C1MenuItem has no style defined.

## C1.Silverlight.Chart

### Bug fixes

- Fixed the problem with label lines when chart is in popup.

## C1.Silverlight.Chart3D

### Bug fixes

- Fixed the problem with updating legend under several conditions.

## C1.Silverlight.DataGrid

### Bug Fixes

- DataGridTextFilter failed to use localized strings in some cases.

## C1.Silverlight.Extended

### Bug fixes

- C1HtmlHost: Fixed positioning when in a popup with browser zoom.
- C1PropertyGrid: "shrink" effect when loading C1PropertyGrid was fixed.
- C1PropertyGrid: LabelWidth and EditorWidth properties are of type double.

## C1.Silverlight.Gauge

### Bug Fixes

- Re-added C1GaugeRanges didn't display.

## C1.Silverlight.Maps

### Bug fixes

- Fixed the problem with exception that may fire in vector layer when using themes.

## C1.Silverlight.MediaPlayer

### Bug Fixes

- C1MediaPlayer: Full-screen elements now inherits visual properties (IsEnabled, Cursor, Font*, etc.).

## C1.Silverlight.PdfViewer

### Bug fixes

- Handle PDF files that start with the UTF-8 BOM marker
- Improved exception handling to re-throw when appropriate

### Improvements

- Added support for extended graphic state dictionaries
- Added support for compound paths (multiple sub-paths)

## C1.Silverlight.Schedule

### Bug Fixes

- fixed issue 14569 - [C1Scheduler] An exception is thrown when the mouse is moved outside
  the browser after quickly resizing the appointment

### Improvements

- C1Scheduler.NestedSetters collection has been added to the default control templates.
  Nested setters should be included into control's visual tree to handle DataContext changes.
  That allows to use them in MVVM scenarios without code-behind workarounds.

# Release version 4.0.20111.122 - 02/17/2011

## C1.Silverlight

### Bug Fixes

- C1FilePicker TextAlignment fixed.

## C1.Silverlight.DataGrid

### Bug Fixes

- DataGridDateTimeColumn doesn't add MaxDate default value at design time.

## C1.Silverlight.Extended

### Improvements

- C1PropertyGrid: disabled "Add New" button on Collection editor when the underlying
  type has no parameterless constructor.

## C1.Silverlight.Imaging

### Bug fixes

- Fixed regression to load any image (provoked by improvements in .119)

# Release version 4.0.20111.120 - 02/16/2011

## C1.Silverlight.PdfViewer

### Bug fixes

- Handle multi-stream page content (need to add whitespace between the streams)

### Improvements

- Added support for text rendering mode 3 (3 Tr: transparent text)

# Release version 4.0.20111.119 - 02/15/2011

## C1.Silverlight.Chart

### Bug fixes

- Chart now refreshes properly after changing DataSeries binding properties.

### Improvements

- added properties of ChartView PlotAreaColumnDefinitions and
  PlotAreaRowDefinitions for adding the definitions in XAML.
- added samples for new features:
- Advanced\Polygon
- Interaction\Add/Remove Markers
- Interaction\Markers
- Interaction\Mouse Marker
- Combination\Plot areas(vertically)
- Combination\Plot areas(horizontally).
- added multiple plot areas(PlotArea class, ChartView.PlotAreas and
  Axis.PlotAreaIndex properties).
- added ChartPanel and ChartPanelObject classes that allows to position UI
  elements over the chart using data coordinates.
- added font properties for the Axis class(FontFamily, FontSize, FontStyle,
  FontStretch, FontWeight).
- added LineAreaOptions.OptimizationRadiusScope property and corresponding enum,
  the optimization now can be applied to the symbol charts.
- LineAreaOptions.OptimizationRadius can be set on the data series.
- improved axis label positioning for small time intervals.

## C1.Silverlight.Data

### Bug Fixes

- DataView exception raised when a column data type was not specified.

## C1.Silverlight.DataGrid

### Bug Fixes

- Exception raised when a row in a group with only one row is edited.
- Validation icon fixed in the new row header.

## C1.Silverlight.DateTime

### Bug Fixes

- DateTimeConverter renamed to DateTimeTypeConverter.

## C1.Silverlight.Imaging

### Improvements

- Added support for local files in out-of-browser scenarios.

## C1.Silverlight.PdfViewer

### Bug fixes

- Improved handing of compressed object streams (see ObjectStream.pdf test case)
- Handle line continuation characters in strings (backslash followed by line break)

### Improvements

- Added support for /ASCII85Decode filter
  see www.pdk-usc.org_sitebuildercontent_sitebuilderfiles_test2.pdf test case
- Added support for printing documents with mixed page orientation
  see mixedOrientation.pdf test case
- Added support for soft image masks
  see SoftMask.pdf test case
- Added LoadDocument(string fileName) and SaveDocument(string fileName) methods.

## C1.Silverlight.ReportViewer

### Breaking Changes

- Renamed the original LoadDocument(string) method to LoadDocumentFromString(string htmlString).
  The LoadDocument(string) method now loads documents from a file, not from HTML fragments.

### Improvements

- Added LoadDocument(string fileName) and SaveDocument(string fileName) methods.
- Added support for printing documents with mixed page orientations (portrait and landscape)
- Added support for PDF soft image masks

# Release version 4.0.20111.118 - 02/05/2011

## C1.Silverlight

### Improvements

- C1DropDown: Disabling the control now hides the popup.
- Window: added Open and Closed visual states.
- C1NumericBox:
  -- Support for an arbitrary format is added.
  -- Paste from Clipboard is supported now.

## C1.Silverlight.Carousel

### Improvements

- First release

## C1.Silverlight.DataGrid

### Breaking changes

- BeginRowEdit, CommitRowEdit, and CancelRowEdit are obsoletes.
  use OnBeginningRowEdit, OnCommitingRowEdit, and OnCancelingRowEdit instead.
- C1PropertyPathHelper class moved to C1.Silverlight.
- DataGrid is not longer scrolled when the user select a cell with the mouse and when the
  current cell is changed from the underlying collection view.

### Bug Fixes

- CommittingRowEdit, and CommittedRowEdit are no longer raised when a new row is created.

### Improvements

- CommittedNewRow event added.
- FiltersCombination property added to allow to combine filters with the "OR" logical operator.
- DataGridComboBoxColumn.ItemNotFoundText property added.
- DataGridRow.OnUnloaded virtual method added.

## C1.Silverlight.DataGrid.Filters

### Improvements

- DataGridFilterRow added.
- C1FullTextSearchBehavior added.

## C1.Silverlight.DataGrid.Ria

### Bug fixes

- Added a new WCF Ria Services compatible filter for C1ComboBoxColumn.
  (previous default filter threw exceptions when filtering)

## C1.Silverlight.DataGrid.Summaries

### Improvements

- DataGridAggregate functions added.
- DataGridSummaryRow added.
- DataGridGroupWithSummaryRow added.
- C1GroupingWithSummariesBehavior added.

## C1.Silverlight.Maps

### Bug fixes

- Fixed support for plus and minus keys in navigation.

### Improvements

- Added support for home, end, page up and page down keys in navigation.

## C1.Silverlight.Schedule

### Breaking changes

- DateFormatIndexer class and DateTimeInfo.FormattedDate property have been marked as Obsolete and
  will be removed in 2012 V1 release. Use System.Windows.Data.BindingBase.StringFormat instead.

### Improvements

- default styles and templates have been optimized for better performance.
  Tips for creating custom styles and templates:
- keep visual tree as simple as possible;
- setting IsHittestVisible="false" on some elements might improve performance.
  Make sure that you don't do that on elements which have CoverElementsPane.Orientaion property set;
- use C1BrushBuilder as high in visual tree as you can. The more C1BrushBuilders you use, the worse performance you have.

# Release version 4.0.20103.93 - 02/04/2011

## C1.Silverlight.DataGrid

### Breaking changes

- DataGridRow.IndentWidth is not longer modified as the leading column header is resized,
  LeadingColumnWidth is modified instead.

### Bug Fixes

- CurrentCellChanged not being fired fixed.

### Improvements

- LeadingColumnWidth property added.

## C1.Silverlight.DataGrid.Ria

### Improvements

- Tested with WCF RIA Services V1.0 SP1 Beta

## C1.Silverlight.PdfViewer

### Bug fixes

- ReportViewer/PdfViewer failed to load PDF MemoryStreams with trailing zeroes.
- Fixed ArgumentNullException when clicking Table of Content links.
- Improved font handling (look in the cache if the font is not embedded)

# Release version 4.0.20103.92 - 01/14/2011

## C1.Silverlight

### Bug Fixes

- C1ComboBox text content was clipped when setting FlowDirection=RightToLeft

## C1.Silverlight.Data

### Bug Fixes

- DataView collection view RemoveAt didn't work when the source is sorted.
- ReadXml method did not handle encoded column names correctly

## C1.Silverlight.DataGrid

### Bug Fixes

- Layout cycle detected when the viewport is null and the content of a cell is set
  in the LoadedCellPresenter event.
- NewRow visibility is incorrect when CanUserEditRows is set to "False" in the
  constructor of the page.

## C1.Silverlight.Docking

### Bug Fixes

- The tab strip for sliding C1DockTabControls sometimes disappeared when using visual themes.

## C1.Silverlight.Gauge

### Bug Fixes

- C1Gauge didn't become gray when disabled.
- Setting C1VolumeGauge.PointerCapStyle had no effect.

## C1.Silverlight.PdfViewer

### Bug fixes

- Added some missing entries to the ligature map.

# Release version 4.0.20103.91 - 01/07/2011

## C1.Silverlight

### Bug Fixes

- FilePicker ButtonForeground bug fix.

## C1.Silverlight.DataGrid

### Bug Fixes

- Visual studio design time error when a column is added.
- DataGridCellPresenter.Cursor is no longer overwritten.

## C1.Silverlight.Docking

### Bug Fixes

- C1DockControl.DockTabControlStyle no longer overwrites C1DockTabControl.Style.

## C1.Silverlight.MediaPlayer

### Improvements

- Added C1MediaItem.MediaStream to get media from a Stream instead of an Uri.

# Release version 4.0.20103.90 - 12/23/2010

## C1.Silverlight

### Bug Fixes

- C1TabControl is now clipped and no longer bleeds out of the measured size.

### Improvements

- ScrollBarStyle property added to the controls C1ComboBox and C1TreeView.

## C1.Silverlight.DataGrid

### Bug Fixes

- Various memory leak fixes.
- Rendering issues fixed when scrollbar visibility is set to visible.
- Row/ColumnHeaderPresenter BorderThickness bound to the inner element.

### Improvements

- ScrollBarStyle property added.

## C1.Silverlight.DataGrid.Ria

### Bug fixes

- Fixed issue with retrieval of localized resources.

## C1.Silverlight.DateTime

### Improvements

- C1TimeEditor control doesn't resize itself on content while end-user typing.
- added new dependency properties to the C1DateTimePicker control:
  public double MinDatePickerWidth { get; set; }
  Gets or sets minimum width constraint of the date picker part.
  public double MinTimeEditorWidth { get; set; }
  Gets or sets minimum width constraint of the time editor part.
  Use these properties to avoid sizing date and picker parts on content.

## C1.Silverlight.Extended

### Bug fixes

- Fixed issue with retrieval of localized resources.

## C1.Silverlight.PdfViewer

### Bug fixes

- Fixed issue with retrieval of localized resources. In WPF, allow hosting the control from WinForms.
- Several fixes in PDF parsing.

### Improvements

- ScrollBarStyle property added.

## C1.Silverlight.ReportViewer

### Bug fixes

- Fixed issue with retrieval of localized resources. In WPF, allow hosting the control from WinForms.

### Improvements

- Added ScrollBarStyle property.

# Release version 4.0.20103.89 - 12/10/2010

## C1.Silverlight

### Bug Fixes

- TwoWay bindings on C1ComboBox.Text now reread the other property after setting it.
- TwoWay bindings on C1ComboBox.Text now reread the other property after setting it.

### Improvements

- Improved C1Window.ShowModal() method behavior.
- Improved C1Window.ShowModal() method behavior.

## C1.Silverlight.Data

### Bug Fixes

- fixed issue 13357 - "AutoIncrementSeed" value is not starting value and increase one on adding new row.
- fixed issue 14111 - LIKE operator priority was not being applied correctly, which prevented
  Expressions such as "Name Like 'a*' OR Name Like 'b*'" from evaluating correctly.

## C1.Silverlight.DateTime

### Bug Fixes

- fixed issue with not honoring typed text at pressing up/down keys in the C1TimeEditor control.

## C1.Silverlight.Docking

### Bug Fixes

